2005-11-12 04:30  dmik

	* os2-doc/misc.html:
	  - Fixed typos.

2005-11-12 04:28  dmik

	* os2-doc/general.html:
	  - No more necessary.

2005-11-12 04:27  dmik

	* os2-doc/gnumake.html:
	  - Moved to doc.html.

2005-11-12 04:27  dmik

	* os2-doc/: contrib.html, doc.html, index.html, install.html,
	  misc.html:
	  - Rewritten the project documentation (in view switching to open
	  source).

2005-11-12 04:20  dmik

	* os2-doc/: qtos2-www.css, qtos2.css:
	  - Minor doc stylesheet update.

2005-11-12 04:19  dmik

	* LICENSE.GPL:
	  - Added GNU General Public License version 2.

2005-11-11 22:13  dmik

	* include/qwindowdefs_pm.h, src/kernel/qapplication_pm.cpp,
	  src/kernel/qclipboard_pm.cpp, src/kernel/qcolor_pm.cpp,
	  src/kernel/qcursor_pm.cpp, src/kernel/qdesktopwidget_pm.cpp,
	  src/kernel/qeventloop_pm.cpp, src/kernel/qfont_pm.cpp,
	  src/kernel/qfontdatabase_pm.cpp, src/kernel/qfontengine_pm.cpp,
	  src/kernel/qmime_pm.cpp, src/kernel/qpaintdevice_pm.cpp,
	  src/kernel/qpainter_pm.cpp, src/kernel/qpixmap_pm.cpp,
	  src/kernel/qregion_pm.cpp, src/kernel/qscriptengine_pm.cpp,
	  src/kernel/qtextengine_pm.cpp, src/kernel/qthread_pm.cpp,
	  src/kernel/qwidget_pm.cpp, src/network/qsocketdevice_pm.cpp,
	  src/tools/qdir_pm.cpp, src/tools/qfile_pm.cpp,
	  src/tools/qfileinfo_pm.cpp, src/tools/qlibrary_pm.cpp,
	  src/tools/qmutex_pm.cpp, src/tools/qsettings_pm.cpp,
	  src/tools/qthreadstorage_pm.cpp, src/tools/qwaitcondition_pm.cpp:
	  - Changed copyright headers to contain Norman ASA and netlabs.org.

2005-11-11 21:30  dmik

	* mkspecs/os2-g++/qplatformdefs.h:
	  - Removed outdated comments.

2005-11-11 21:23  dmik

	* readme.txt:
	  - Now refers to os2-doc/index.html.

2005-11-09 01:44  dmik

	* configure.cmd:
	  - configure.cmd script is rewritten from scratch: now it is fully
	  interactive.

2005-11-09 01:42  dmik

	* src/: qt.def.map.os2-g++, qt.def.tpl.os2-g++:
	  - Added qt.def template and map files for Innotek GCC 3.2.2.

2005-11-09 01:30  dmik

	* src/qt.pro:
	  - qt.def template and map files are assumed to be compiler
	  dependent, so they use .<qmakespec> as the extension (i.e.
	  qt.def.tpl.os2-g++, etc.).

2005-11-09 01:28  dmik

	* Makefile.os2-g++:
	  - Added 'sub-tools' dependency to the 'sub-examples' target (some
	  examples need uic.exe).

2005-11-09 01:26  dmik

	* mkspecs/os2-g++/emxexpw.cmd:
	  - Ordinals of data and code exports are not maintained separately
	  any more (this would be useful for C symbols only, but exporting by
	  ordinals is good for large C++ projects that usually have very few C
	  symbols).

2005-11-07 00:58  dmik

	* include/qconfig.h:
	  - Removed (autogenerated by the configure.cmd script).

2005-11-06 22:45  dmik

	* qmake/Makefile.os2-g++:
	  - del command output is redirected to nul.

2005-11-06 22:42  dmik

	* Makefile.os2-g++:
	  - Added 'src-moc' to 'sub-src' dependencies.
	  - copy command output is redirected to nul.

2005-11-02 02:31  dmik

	* src/qt.pro:
	  - Added Qt DLL .def file template.
	  - Added Qt DLL .def file map to simplify providing  the binary
	  compatibility of the DLL (by making symbol=ordinal assignments
	  persistent).

2005-11-02 02:22  dmik

	* mkspecs/os2-g++/: emxexpw.cmd, envcat.cmd:
	  - Fixed CVS Id string parsing.

2005-11-02 02:09  dmik

	* mkspecs/os2-g++/: emxexpw.cmd, envcat.cmd, qmake.conf:
	  - Optimized the generation of response files (containing c/c++
	  flags, include dirs and object files) using the supplied envcat.cmd
	  script.
	  - Significantly improved the .DEF file generation using the supplied
	  emxexpw.cmd script (that is capable of making "symbol=ordinal"
	  assignments persistent between builds).

2005-11-02 01:23  dmik

	* qmake/generators/os2/gnumake.cpp:
	  - QMAKESPECDIR variable is defined in the generated makefile and
	  points to the directory where a qmake.conf file being used was read
	  from.
	  - When defined, DEF_FILE_TEMPLATE and DEF_FILE_MAP qmake variables
	  go to the generated makefile w/o any changes (and are also appended
	  to the contetns of the QMAKE_GENDEF_DEPS variable).
	  - User defined target's objects got the .extradeps attribute (to
	  specify additional dependencies not for a target followed by
	  commands).

2005-10-24 01:03  dmik

	* src/kernel/qtranslator.cpp:
	  - Adapted for OS/2.

2005-10-24 00:51  dmik

	* examples/i18n/: mywidget_ar.qm, mywidget_cs.qm, mywidget_de.qm,
	  mywidget_el.qm, mywidget_en.qm, mywidget_eo.qm, mywidget_fr.qm,
	  mywidget_it.qm, mywidget_jp.qm, mywidget_ko.qm, mywidget_no.qm,
	  mywidget_ru.qm, mywidget_zh.qm: Imported Qt 3.3.1 original
	  sources

2005-10-24 00:51  dmik

	* examples/i18n/: mywidget_ar.qm, mywidget_cs.qm, mywidget_de.qm,
	  mywidget_el.qm, mywidget_en.qm, mywidget_eo.qm, mywidget_fr.qm,
	  mywidget_it.qm, mywidget_jp.qm, mywidget_ko.qm, mywidget_no.qm,
	  mywidget_ru.qm, mywidget_zh.qm: Initial revision

2005-10-23 17:32  dmik

	* examples/examples.pro:
	  - A bunch of new examples.

2005-10-23 17:30  dmik

	* configure.cmd:
	  - Added the workspace module (enabled by default).

2005-10-23 17:29  dmik

	* .qtos2defines:
	  - Removed QT_NO_TRANSLATION and QT_NO_MOVIE (QTranslator and QMovie
	  have been added to compilation).

2005-10-23 17:27  dmik

	* src/kernel/qt_kernel.pri:
	  - Enabled compilation of QTranslator and QMovie.

2005-10-23 17:26  dmik

	* include/qlabel.h: Uncommented temporary comments (related to
	  QT_NO_MOVIE). Now this file is the exact copy of the release 3.3.1
	  of Qt/Win32, so its revision is forced to be 2.0

2005-10-23 17:23  dmik

	* src/qt.pro:
	  - Added the workspace module.

2005-10-23 17:21  dmik

	* src/kernel/qapplication.cpp:
	  - Removed outdated @todo's.

2005-10-23 17:20  dmik

	* tools/: tools.pro, linguist/linguist.pro:
	  - Enabled compilation of linguist (lupdate and lrelease only).

2005-10-23 17:09  dmik

	* examples/i18n/README, examples/i18n/i18n.doc,
	  examples/i18n/i18n.pro, examples/i18n/main.cpp,
	  examples/i18n/mywidget.cpp, examples/i18n/mywidget.h,
	  examples/i18n/mywidget_ar.ts, examples/i18n/mywidget_cs.ts,
	  examples/i18n/mywidget_de.ts, examples/i18n/mywidget_el.ts,
	  examples/i18n/mywidget_en.ts, examples/i18n/mywidget_eo.ts,
	  examples/i18n/mywidget_fr.ts, examples/i18n/mywidget_it.ts,
	  examples/i18n/mywidget_jp.ts, examples/i18n/mywidget_ko.ts,
	  examples/i18n/mywidget_no.ts, examples/i18n/mywidget_ru.ts,
	  examples/i18n/mywidget_zh.ts, examples/mdi/application.cpp,
	  examples/mdi/application.h, examples/mdi/document.xpm,
	  examples/mdi/fileopen.xpm, examples/mdi/fileprint.xpm,
	  examples/mdi/filesave.xpm, examples/mdi/main.cpp,
	  examples/mdi/mdi.doc, examples/mdi/mdi.pro,
	  examples/network/archivesearch/archivedialog.ui,
	  examples/network/archivesearch/archivedialog.ui.h,
	  examples/network/archivesearch/archivesearch.doc,
	  examples/network/archivesearch/archivesearch.pro,
	  examples/network/archivesearch/main.cpp,
	  examples/network/ftpclient/README,
	  examples/network/ftpclient/connectdialog.ui,
	  examples/network/ftpclient/ftpclient.doc,
	  examples/network/ftpclient/ftpclient.pro,
	  examples/network/ftpclient/ftpmainwindow.ui,
	  examples/network/ftpclient/ftpmainwindow.ui.h,
	  examples/network/ftpclient/ftpviewitem.cpp,
	  examples/network/ftpclient/ftpviewitem.h,
	  examples/network/ftpclient/main.cpp,
	  examples/network/ftpclient/images/file.png,
	  examples/network/ftpclient/images/folder.png,
	  examples/network/infoprotocol/infoclient/client.cpp,
	  examples/network/infoprotocol/infoclient/client.h,
	  examples/network/infoprotocol/infoclient/clientbase.ui,
	  examples/network/infoprotocol/infoclient/infoclient.pro,
	  examples/network/infoprotocol/infoclient/main.cpp,
	  examples/network/infoprotocol/infoserver/infodata.cpp,
	  examples/network/infoprotocol/infoserver/infodata.h,
	  examples/network/infoprotocol/infoserver/infoserver.pro,
	  examples/network/infoprotocol/infoserver/main.cpp,
	  examples/network/infoprotocol/infoserver/server.cpp,
	  examples/network/infoprotocol/infoserver/server.h,
	  examples/network/infoprotocol/infoserver/serverbase.ui,
	  examples/network/infoprotocol/infourlclient/client.cpp,
	  examples/network/infoprotocol/infourlclient/client.h,
	  examples/network/infoprotocol/infourlclient/clientbase.ui,
	  examples/network/infoprotocol/infourlclient/infourlclient.pro,
	  examples/network/infoprotocol/infourlclient/main.cpp,
	  examples/network/infoprotocol/infourlclient/qip.cpp,
	  examples/network/infoprotocol/infourlclient/qip.h,
	  examples/network/remotecontrol/Makefile,
	  examples/network/remotecontrol/ipcserver.cpp,
	  examples/network/remotecontrol/ipcserver.h,
	  examples/network/remotecontrol/main.cpp,
	  examples/network/remotecontrol/maindialog.ui,
	  examples/network/remotecontrol/remotecontrol.pro,
	  examples/network/remotecontrol/remotectrl.ui,
	  examples/network/remotecontrol/remotectrlimpl.cpp,
	  examples/network/remotecontrol/remotectrlimpl.h,
	  examples/network/remotecontrol/startup.cpp,
	  examples/network/remotecontrol/startup.h,
	  include/qsessionmanager.h, include/qtranslator.h,
	  include/qworkspace.h, src/kernel/qmovie.cpp,
	  src/kernel/qtranslator.cpp, src/workspace/qt_workspace.pri,
	  src/workspace/qworkspace.cpp, tools/linguist/linguist.pro,
	  tools/linguist/lrelease/lrelease.pro,
	  tools/linguist/lrelease/main.cpp,
	  tools/linguist/lupdate/fetchtr.cpp,
	  tools/linguist/lupdate/lupdate.pro,
	  tools/linguist/lupdate/main.cpp,
	  tools/linguist/lupdate/merge.cpp,
	  tools/linguist/lupdate/numberh.cpp,
	  tools/linguist/lupdate/sametexth.cpp,
	  tools/linguist/shared/metatranslator.cpp,
	  tools/linguist/shared/metatranslator.h,
	  tools/linguist/shared/proparser.cpp,
	  tools/linguist/shared/proparser.h: Imported Qt 3.3.1 original
	  sources

2005-10-23 17:09  dmik

	* examples/i18n/README, examples/i18n/i18n.doc,
	  examples/i18n/i18n.pro, examples/i18n/main.cpp,
	  examples/i18n/mywidget.cpp, examples/i18n/mywidget.h,
	  examples/i18n/mywidget_ar.ts, examples/i18n/mywidget_cs.ts,
	  examples/i18n/mywidget_de.ts, examples/i18n/mywidget_el.ts,
	  examples/i18n/mywidget_en.ts, examples/i18n/mywidget_eo.ts,
	  examples/i18n/mywidget_fr.ts, examples/i18n/mywidget_it.ts,
	  examples/i18n/mywidget_jp.ts, examples/i18n/mywidget_ko.ts,
	  examples/i18n/mywidget_no.ts, examples/i18n/mywidget_ru.ts,
	  examples/i18n/mywidget_zh.ts, examples/mdi/application.cpp,
	  examples/mdi/application.h, examples/mdi/document.xpm,
	  examples/mdi/fileopen.xpm, examples/mdi/fileprint.xpm,
	  examples/mdi/filesave.xpm, examples/mdi/main.cpp,
	  examples/mdi/mdi.doc, examples/mdi/mdi.pro,
	  examples/network/archivesearch/archivedialog.ui,
	  examples/network/archivesearch/archivedialog.ui.h,
	  examples/network/archivesearch/archivesearch.doc,
	  examples/network/archivesearch/archivesearch.pro,
	  examples/network/archivesearch/main.cpp,
	  examples/network/ftpclient/README,
	  examples/network/ftpclient/connectdialog.ui,
	  examples/network/ftpclient/ftpclient.doc,
	  examples/network/ftpclient/ftpclient.pro,
	  examples/network/ftpclient/ftpmainwindow.ui,
	  examples/network/ftpclient/ftpmainwindow.ui.h,
	  examples/network/ftpclient/ftpviewitem.cpp,
	  examples/network/ftpclient/ftpviewitem.h,
	  examples/network/ftpclient/main.cpp,
	  examples/network/ftpclient/images/file.png,
	  examples/network/ftpclient/images/folder.png,
	  examples/network/infoprotocol/infoclient/client.cpp,
	  examples/network/infoprotocol/infoclient/client.h,
	  examples/network/infoprotocol/infoclient/clientbase.ui,
	  examples/network/infoprotocol/infoclient/infoclient.pro,
	  examples/network/infoprotocol/infoclient/main.cpp,
	  examples/network/infoprotocol/infoserver/infodata.cpp,
	  examples/network/infoprotocol/infoserver/infodata.h,
	  examples/network/infoprotocol/infoserver/infoserver.pro,
	  examples/network/infoprotocol/infoserver/main.cpp,
	  examples/network/infoprotocol/infoserver/server.cpp,
	  examples/network/infoprotocol/infoserver/server.h,
	  examples/network/infoprotocol/infoserver/serverbase.ui,
	  examples/network/infoprotocol/infourlclient/client.cpp,
	  examples/network/infoprotocol/infourlclient/client.h,
	  examples/network/infoprotocol/infourlclient/clientbase.ui,
	  examples/network/infoprotocol/infourlclient/infourlclient.pro,
	  examples/network/infoprotocol/infourlclient/main.cpp,
	  examples/network/infoprotocol/infourlclient/qip.cpp,
	  examples/network/infoprotocol/infourlclient/qip.h,
	  examples/network/remotecontrol/Makefile,
	  examples/network/remotecontrol/ipcserver.cpp,
	  examples/network/remotecontrol/ipcserver.h,
	  examples/network/remotecontrol/main.cpp,
	  examples/network/remotecontrol/maindialog.ui,
	  examples/network/remotecontrol/remotecontrol.pro,
	  examples/network/remotecontrol/remotectrl.ui,
	  examples/network/remotecontrol/remotectrlimpl.cpp,
	  examples/network/remotecontrol/remotectrlimpl.h,
	  examples/network/remotecontrol/startup.cpp,
	  examples/network/remotecontrol/startup.h,
	  include/qsessionmanager.h, include/qtranslator.h,
	  include/qworkspace.h, src/kernel/qmovie.cpp,
	  src/kernel/qtranslator.cpp, src/workspace/qt_workspace.pri,
	  src/workspace/qworkspace.cpp, tools/linguist/linguist.pro,
	  tools/linguist/lrelease/lrelease.pro,
	  tools/linguist/lrelease/main.cpp,
	  tools/linguist/lupdate/fetchtr.cpp,
	  tools/linguist/lupdate/lupdate.pro,
	  tools/linguist/lupdate/main.cpp,
	  tools/linguist/lupdate/merge.cpp,
	  tools/linguist/lupdate/numberh.cpp,
	  tools/linguist/lupdate/sametexth.cpp,
	  tools/linguist/shared/metatranslator.cpp,
	  tools/linguist/shared/metatranslator.h,
	  tools/linguist/shared/proparser.cpp,
	  tools/linguist/shared/proparser.h: Initial revision

2005-10-18 02:42  dmik

	* src/dialogs/qfiledialog.cpp:
	  - Dismissing or accepting a dialog now stops the current network
	  operation in progress.

2005-10-18 02:40  dmik

	* src/kernel/: qlocalfs.cpp, qnetworkprotocol.cpp:
	  - [Qt bug] Fixed spontaneous application traps happened when
	  deleting a QNetworkProtocol instance with an operation in progress
	  (most noticeable in QFileDialog):
	  * Deleting QNetworkProtocol with an op in progress now sets the op
	  state to StStopped and emits finished();
	  * QNetworkOperation delayed deletion (initiated by
	  QNetworkOperation::free()) can now be blocked by doing
	  blockSignals(TRUE) on the op instance and resumed using
	  blockSignals(FALSE) + one more free() call.
	  * LocalFs::operationListChildren(): the above two, together with
	  calling qApp->processEvents() are used to keep the UI from being
	  frozen up when listing dirs with many (thousands) children on slow
	  storage resources.

2005-10-18 02:20  dmik

	* src/tools/qfileinfo_pm.cpp:
	  - QFileInfo::isHidden(): use the st_attr field when have a valid
	  cache instead of doing a direct DosQueryPathInfo() call every time.

2005-10-16 21:22  dmik

	* src/tools/qdir_pm.cpp:
	  -  Fixed a typo in QDir::readDirEntries(): file names with national
	  characters were wrongly decoded producing inaccessible entries.

2005-10-13 14:10  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Fixed: Alt+Shift layout switch combinations were not processed
	  correctly, so that Qt apps didn't see Shift presses and releases and
	  interpreted Alt as pressed alone (that could cause main window's
	  menu activation, etc.).

2005-10-13 13:11  dmik

	* src/kernel/: qfont_pm.cpp, qfontdatabase_pm.cpp:
	  - Fixed font selection: it was not possible to specify the size of
	  QFont in pixels -- a font with zero size (visible as a single dot)
	  was actually used for output.

2005-10-13 13:07  dmik

	* src/styles/: qcompactstyle.cpp, qmotifplusstyle.cpp,
	  qmotifstyle.cpp, qsgistyle.cpp, qwindowsstyle.cpp:
	  - [Qt misbehavior] Fixed drawControl() for CE_PopupMenuItem:
	  requesting to draw an empty menu item placeholder was ignored by all
	  styles (i.e. nothing was actually drawn).

2005-10-13 13:04  dmik

	* src/widgets/qpopupmenu.cpp:
	  - [Qt misbehavior] Fixed multicolumn QPopupMenu: the background not
	  covered by menu items was not erased.

2005-10-13 12:58  dmik

	* src/widgets/qtextedit.cpp:
	  - [Qt misbehavior] Fixed QTextEdit in LogText mode: the background
	  not covered by the text was not erased.

2005-10-13 12:54  dmik

	* src/kernel/qfontdatabase.cpp:
	  - Added printing the pointSize request in font database debug
	  output.

2005-10-13 12:50  dmik

	* src/kernel/: qapplication_pm.cpp, qwidget_pm.cpp:
	  - Debug statements relative to repainting and resizing are enclosed
	  with #ifdef DEBUG_REPAINTRESIZE.

2005-10-13 12:36  dmik

	* examples/: qwerty/ANSI_X3.110-1983.map,
	  qwerty/ANSI_X3.110-1983.txt, qwerty/IBM277.map,
	  qwerty/IBM277.txt, qwerty/eucJP.txt, qwerty/koi8.txt,
	  qwerty/latin1.txt, qwerty/main.cpp, qwerty/msunicode.txt,
	  qwerty/qwerty.cpp, qwerty/qwerty.doc, qwerty/qwerty.h,
	  qwerty/qwerty.pro, qwerty/unicode.txt, textedit/editcopy.xpm,
	  textedit/editcut.xpm, textedit/editpaste.xpm,
	  textedit/editredo.xpm, textedit/editundo.xpm,
	  textedit/example.html, textedit/filenew.xpm,
	  textedit/fileopen.xpm, textedit/fileprint.xpm,
	  textedit/filesave.xpm, textedit/main.cpp, textedit/textbold.xpm,
	  textedit/textcenter.xpm, textedit/textedit.cpp,
	  textedit/textedit.doc, textedit/textedit.h,
	  textedit/textedit.pro, textedit/textitalic.xpm,
	  textedit/textjustify.xpm, textedit/textleft.xpm,
	  textedit/textright.xpm, textedit/textunder.xpm: Imported Qt 3.3.1
	  original sources

2005-10-13 12:36  dmik

	* examples/: qwerty/ANSI_X3.110-1983.map,
	  qwerty/ANSI_X3.110-1983.txt, qwerty/IBM277.map,
	  qwerty/IBM277.txt, qwerty/eucJP.txt, qwerty/koi8.txt,
	  qwerty/latin1.txt, qwerty/main.cpp, qwerty/msunicode.txt,
	  qwerty/qwerty.cpp, qwerty/qwerty.doc, qwerty/qwerty.h,
	  qwerty/qwerty.pro, qwerty/unicode.txt, textedit/editcopy.xpm,
	  textedit/editcut.xpm, textedit/editpaste.xpm,
	  textedit/editredo.xpm, textedit/editundo.xpm,
	  textedit/example.html, textedit/filenew.xpm,
	  textedit/fileopen.xpm, textedit/fileprint.xpm,
	  textedit/filesave.xpm, textedit/main.cpp, textedit/textbold.xpm,
	  textedit/textcenter.xpm, textedit/textedit.cpp,
	  textedit/textedit.doc, textedit/textedit.h,
	  textedit/textedit.pro, textedit/textitalic.xpm,
	  textedit/textjustify.xpm, textedit/textleft.xpm,
	  textedit/textright.xpm, textedit/textunder.xpm: Initial revision

2005-10-11 01:33  dmik

	* src/kernel/: qfont_pm.cpp, qfontengine_pm.cpp:
	  - Implemented font transformations according to QPainter view and
	  world matrices (this still has some issues because both native TTF
	  and FreeType2 font rendering engines are bogus when applying complex
	  world transformations such as rotation).

2005-10-11 01:32  dmik

	* include/qpainter.h:
	  - Added setNativeXForm() and clearNativeXForm() private methods.

2005-10-11 01:31  dmik

	* src/kernel/qpainter_pm.cpp:
	  - Fixed QPainter::drawPixmap(): it now (temporarily?) uses xForm
	  instead of direct GpiBitBlt() for plain scaling and no mask, because
	  the latter seems to be  bogus (at least on my machine).

2005-10-11 01:26  dmik

	* src/kernel/qpaintdevice_pm.cpp:
	  - Renamed ropCodes to qt_ropCodes_2ROP that is now a public symbol
	  (reused in QFontEnginePM).

2005-10-11 01:16  dmik

	* examples/: picture/README, picture/car_orig.pic,
	  picture/flag.bmp, picture/picture.cpp, picture/picture.doc,
	  picture/picture.pro, qfd/fontdisplayer.cpp, qfd/fontdisplayer.h,
	  qfd/qfd.cpp, qfd/qfd.doc, qfd/qfd.pro, qmag/README,
	  qmag/qmag.cpp, qmag/qmag.doc, qmag/qmag.pro,
	  qtl/qtl-qvaluelist.doc, qtl/qtl.pro, qtl/qvaluelistiterator.cpp,
	  rot13/rot13.cpp, rot13/rot13.doc, rot13/rot13.h, rot13/rot13.pro,
	  tictac/README, tictac/main.cpp, tictac/tictac.cpp,
	  tictac/tictac.doc, tictac/tictac.h, tictac/tictac.pro,
	  toplevel/main.cpp, toplevel/options.ui, toplevel/options.ui.h,
	  toplevel/toplevel.doc, toplevel/toplevel.pro: Imported Qt 3.3.1
	  original sources

2005-10-11 01:16  dmik

	* examples/: picture/README, picture/car_orig.pic,
	  picture/flag.bmp, picture/picture.cpp, picture/picture.doc,
	  picture/picture.pro, qfd/fontdisplayer.cpp, qfd/fontdisplayer.h,
	  qfd/qfd.cpp, qfd/qfd.doc, qfd/qfd.pro, qmag/README,
	  qmag/qmag.cpp, qmag/qmag.doc, qmag/qmag.pro,
	  qtl/qtl-qvaluelist.doc, qtl/qtl.pro, qtl/qvaluelistiterator.cpp,
	  rot13/rot13.cpp, rot13/rot13.doc, rot13/rot13.h, rot13/rot13.pro,
	  tictac/README, tictac/main.cpp, tictac/tictac.cpp,
	  tictac/tictac.doc, tictac/tictac.h, tictac/tictac.pro,
	  toplevel/main.cpp, toplevel/options.ui, toplevel/options.ui.h,
	  toplevel/toplevel.doc, toplevel/toplevel.pro: Initial revision

2005-10-11 00:00  dmik

	* examples/: drawlines/README, drawlines/connect.cpp,
	  drawlines/drawlines.doc, drawlines/drawlines.pro, xform/README,
	  xform/aticatac.cpp, xform/image.any, xform/picture.any,
	  xform/xform.cpp, xform/xform.doc, xform/xform.pro: Imported Qt
	  3.3.1 original sources

2005-10-11 00:00  dmik

	* examples/: drawlines/README, drawlines/connect.cpp,
	  drawlines/drawlines.doc, drawlines/drawlines.pro, xform/README,
	  xform/aticatac.cpp, xform/image.any, xform/picture.any,
	  xform/xform.cpp, xform/xform.doc, xform/xform.pro: Initial
	  revision

2005-10-02 01:49  dmik

	* examples/showimg/: README, imagefip.cpp, imagefip.h,
	  imagetexteditor.cpp, imagetexteditor.h, main.cpp, showimg.cpp,
	  showimg.doc, showimg.h, showimg.pro: Imported Qt 3.3.1 original
	  sources

2005-10-02 01:49  dmik

	* examples/showimg/: README, imagefip.cpp, imagefip.h,
	  imagetexteditor.cpp, imagetexteditor.h, main.cpp, showimg.cpp,
	  showimg.doc, showimg.h, showimg.pro: Initial revision

2005-10-02 01:20  dmik

	* .qtos2defines:
	  - Removed QT_NO_PIXMAP_TRANSFORMATION.

2005-10-02 01:20  dmik

	* src/kernel/qpixmap_pm.cpp:
	  - Implemented QPixmap::xForm().

2005-10-02 01:14  dmik

	* src/kernel/qpixmap.cpp:
	  - Removed outdated @todo.

2005-09-26 14:04  dmik

	* .qtos2defines, include/qmime.h, src/kernel/qapplication.cpp,
	  src/kernel/qapplication_pm.cpp, src/kernel/qclipboard.cpp,
	  src/kernel/qt_kernel.pri:
	  - Implemented OS/2 PM clipboard support. The macro QT_NO_CLIPBOARD
	  is no more defined by default.

2005-09-26 14:02  dmik

	* src/qt.pro:
	  - Fixed lang typo

2005-09-26 14:01  dmik

	* include/: qlineedit.h, qtextedit.h: Uncommented temporary
	  comments (related to QT_NO_CLIPBOARD). Now this file is the exact
	  copy of the release 3.3.1 of Qt/Win32, so its revision is forced to
	  be 2.0

2005-09-26 13:49  dmik

	* include/qpixmap.h, src/kernel/qpixmap_pm.cpp:
	  - Added private void attachHandle( HBITMAP hbm ) and HBITMAP
	  detachHandle() needed for QPMMimeImage.

2005-09-26 13:46  dmik

	* src/kernel/qmime_pm.cpp:
	  - Implemented OS/2 version of QMime.

2005-09-26 13:46  dmik

	* src/kernel/qclipboard_pm.cpp:
	  - Implemented OS/2 version of QClipboard.

2005-07-18 02:30  dmik

	* src/kernel/qclipboard.cpp: Imported Qt 3.3.1 original sources

2005-07-18 02:30  dmik

	* src/kernel/qclipboard.cpp: Initial revision

2004-11-14 01:43  dmik

	* src/widgets/qtooltip.cpp:
	  - Fixed  QTipManager::hideTip(): OS/2 PM has a very low limit on the
	  number of simultaneous PM timers, which produced "qStartTimer:
	  Failed to create a timer. (Error code 000820F9)" messages, if we
	  moved a mouse over a widget while pressing a button, and tooltps
	  were enabled for the application.

2004-11-14 00:52  dmik

	* examples/examples.pro:
	  - Added new examples: action, application and cursor.

2004-11-14 00:50  dmik

	* examples/: action/application.cpp, application/application.cpp:
	  - Can now be compiled w/o QPriner available (i.e. when QT_NO_PRINTER
	  is defined).

2004-11-14 00:36  dmik

	* examples/: action/action.pro, action/application.cpp,
	  action/application.doc, action/application.h,
	  action/fileopen.xpm, action/fileprint.xpm, action/filesave.xpm,
	  action/main.cpp, application/application.cpp,
	  application/application.doc, application/application.h,
	  application/application.pro, application/fileopen.xpm,
	  application/fileprint.xpm, application/filesave.xpm,
	  application/main.cpp, cursor/README, cursor/cursor.cpp,
	  cursor/cursor.doc, cursor/cursor.pro: Imported Qt 3.3.1 original
	  sources

2004-11-14 00:36  dmik

	* examples/: action/action.pro, action/application.cpp,
	  action/application.doc, action/application.h,
	  action/fileopen.xpm, action/fileprint.xpm, action/filesave.xpm,
	  action/main.cpp, application/application.cpp,
	  application/application.doc, application/application.h,
	  application/application.pro, application/fileopen.xpm,
	  application/fileprint.xpm, application/filesave.xpm,
	  application/main.cpp, cursor/README, cursor/cursor.cpp,
	  cursor/cursor.doc, cursor/cursor.pro: Initial revision

2004-11-14 00:29  dmik

	* .qtos2defines:
	  - QT_NO_CURSOR is no more defined. This also implies that
	  QT_NO_PROPERTIES is no more defined as well, hence now we have the
	  QObject's properties mechanism working.

2004-11-14 00:26  dmik

	* include/qcursor.h, src/kernel/qapplication_pm.cpp,
	  src/kernel/qcursor_pm.cpp, src/kernel/qwidget_pm.cpp:
	  - OS/2 version of the QCursor class is fully implemented, including
	  pointer shape control.

2004-11-08 17:49  dmik

	* src/widgets/qdockwindow.cpp:
	  - The QDockWindow's move handle now uses the SizeAllCursor, like in
	  Qt/Win32.

2004-11-08 17:47  dmik

	* tools/designer/uic/main.cpp:
	  - The annoying warning about morphing the console process to PM is
	  disabled for uic.exe, which is the console tool by desing but uses
	  some PM capabilities.

2004-11-08 17:44  dmik

	* src/kernel/qeventloop_pm.cpp:
	  - The warning about morphing the console process to PM can be
	  disabled by setting the global internal variable
	  qt_suppress_morph_warning to true before creating a QEventLoop or
	  QApplication instance.

2004-11-08 02:13  dmik

	* tools/designer/shared/domtool.cpp:
	  - Uncommented temporarily commented out code. Now this file is the
	  exact copy of the release 3.3.1 of Qt/Win32, so its revision is
	  forced to be 2.0

2004-11-03 18:40  dmik

	* include/qscrollview.h:
	  - Explicitly commented out properties that use QDrag* and QDrop*
	  classes  (we need this since MOC ignores preprocessor macros and
	  defines these properties anyway, which produces compile errors)

2004-11-03 17:19  dmik

	* src/kernel/qpixmap_pm.cpp:
	  - Fixed QBitmap::QBitmap(int w, int h, const uchar * bits, bool
	  isXbitmap): created bitmaps were incorrect when isXbitmap was TRUE.

2004-11-03 14:25  dmik

	* src/dialogs/qmessagebox.cpp:
	  - OS/2 and eComStation are now mentioned in the
	  QMessageBox::aboutQt() dialog.

2004-10-02 19:23  dmik

	* configure.cmd:
	  - fixed the defailt library type to release.

2004-10-02 19:20  dmik

	* os2-doc/: ChangeLog, changes.html, general.html, gnumake.html,
	  index.html:
	  - rc04 changes

2004-10-02 19:17  dmik

	* bin/dummy:
	  - Removed, not necessary.

2004-10-02 19:16  dmik

	* configure.cmd, bin/configure.cmd, os2-misc/gcc322.cmd,
	  os2-misc/qt.cmd:
	  - The Qt library can now be compiled as the DLL.
	  - Moved configure.cmd from the \bin subdirectory to the root
	  directory.

2004-10-01 21:12  dmik

	* Makefile.os2-g++, tools/tools.pro, tools/designer/designer.pro:
	  - Enabled uic.exe compilation. All other parts of QDesigner are
	  currently disabled.

2004-10-01 21:11  dmik

	* tools/designer/shared/domtool.cpp:
	  - Temporarily disabled processing of the 'cursor' property in .ui
	  files, since the QCursor class implementation is currently
	  incomplete.

2004-10-01 20:29  dmik

	* mkspecs/os2-g++/qmake.conf, qmake/Makefile.os2-g++,
	  qmake/generators/makefile.cpp, qmake/generators/os2/gnumake.cpp,
	  qmake/generators/os2/gnumake.h, src/qt.pro,
	  src/3rdparty/zlib/zlib.h:
	  - A new makefile generator (backend) for qmake has been created -
	  GNUMAKE. It is used in Qt/OS2 along with the GCC compiler and GNU
	  Make to generate makefiles from qmake's project files (instead of a
	  bit buggy MINGWMAKE).
	  - The Qt library can now be compiled as the DLL.

2004-10-01 17:44  dmik

	* tools/: tools.pro, designer/designer.pro,
	  designer/interfaces/actioninterface.h,
	  designer/interfaces/classbrowserinterface.h,
	  designer/interfaces/designerinterface.h,
	  designer/interfaces/editorinterface.h,
	  designer/interfaces/filterinterface.h,
	  designer/interfaces/interpreterinterface.h,
	  designer/interfaces/languageinterface.h,
	  designer/interfaces/preferenceinterface.h,
	  designer/interfaces/projectsettingsiface.h,
	  designer/interfaces/sourcetemplateiface.h,
	  designer/interfaces/templatewizardiface.h,
	  designer/interfaces/widgetinterface.h,
	  designer/shared/domtool.cpp, designer/shared/domtool.h,
	  designer/shared/globaldefs.h, designer/shared/parser.cpp,
	  designer/shared/parser.h, designer/shared/ui2uib.cpp,
	  designer/shared/ui2uib.h, designer/shared/uib.cpp,
	  designer/shared/uib.h, designer/shared/widgetdatabase.cpp,
	  designer/shared/widgetdatabase.h, designer/uic/embed.cpp,
	  designer/uic/form.cpp, designer/uic/main.cpp,
	  designer/uic/object.cpp, designer/uic/subclassing.cpp,
	  designer/uic/uic.cpp, designer/uic/uic.dsp, designer/uic/uic.h,
	  designer/uic/uic.pro: Imported Qt 3.3.1 original sources

2004-10-01 17:44  dmik

	* tools/: tools.pro, designer/designer.pro,
	  designer/interfaces/actioninterface.h,
	  designer/interfaces/classbrowserinterface.h,
	  designer/interfaces/designerinterface.h,
	  designer/interfaces/editorinterface.h,
	  designer/interfaces/filterinterface.h,
	  designer/interfaces/interpreterinterface.h,
	  designer/interfaces/languageinterface.h,
	  designer/interfaces/preferenceinterface.h,
	  designer/interfaces/projectsettingsiface.h,
	  designer/interfaces/sourcetemplateiface.h,
	  designer/interfaces/templatewizardiface.h,
	  designer/interfaces/widgetinterface.h,
	  designer/shared/domtool.cpp, designer/shared/domtool.h,
	  designer/shared/globaldefs.h, designer/shared/parser.cpp,
	  designer/shared/parser.h, designer/shared/ui2uib.cpp,
	  designer/shared/ui2uib.h, designer/shared/uib.cpp,
	  designer/shared/uib.h, designer/shared/widgetdatabase.cpp,
	  designer/shared/widgetdatabase.h, designer/uic/embed.cpp,
	  designer/uic/form.cpp, designer/uic/main.cpp,
	  designer/uic/object.cpp, designer/uic/subclassing.cpp,
	  designer/uic/uic.cpp, designer/uic/uic.dsp, designer/uic/uic.h,
	  designer/uic/uic.pro: Initial revision

2004-09-12 20:12  dmik

	* examples/examples.pro:
	  - Corrected a typo.

2004-09-12 20:11  dmik

	* examples/xml/: outliner/main.cpp, outliner/outliner.doc,
	  outliner/outliner.pro, outliner/outlinetree.cpp,
	  outliner/outlinetree.h, outliner/todos.opml,
	  tagreader/animals.xml, tagreader/structureparser.cpp,
	  tagreader/structureparser.h, tagreader/tagreader.cpp,
	  tagreader/tagreader.doc, tagreader/tagreader.pro,
	  tagreader-with-features/fnord.xml,
	  tagreader-with-features/structureparser.cpp,
	  tagreader-with-features/structureparser.h,
	  tagreader-with-features/tagreader-with-features.pro,
	  tagreader-with-features/tagreader.cpp,
	  tagreader-with-features/tagreader.doc: Imported Qt 3.3.1 original
	  sources

2004-09-12 20:11  dmik

	* examples/xml/: outliner/main.cpp, outliner/outliner.doc,
	  outliner/outliner.pro, outliner/outlinetree.cpp,
	  outliner/outlinetree.h, outliner/todos.opml,
	  tagreader/animals.xml, tagreader/structureparser.cpp,
	  tagreader/structureparser.h, tagreader/tagreader.cpp,
	  tagreader/tagreader.doc, tagreader/tagreader.pro,
	  tagreader-with-features/fnord.xml,
	  tagreader-with-features/structureparser.cpp,
	  tagreader-with-features/structureparser.h,
	  tagreader-with-features/tagreader-with-features.pro,
	  tagreader-with-features/tagreader.cpp,
	  tagreader-with-features/tagreader.doc: Initial revision

2004-09-12 19:34  dmik

	* examples/examples.pro:
	  - Added helpviewer example, some network examples.

2004-09-12 19:31  dmik

	* examples/helpviewer/back.xpm, examples/helpviewer/forward.xpm,
	  examples/helpviewer/helpviewer.doc,
	  examples/helpviewer/helpviewer.pro,
	  examples/helpviewer/helpwindow.cpp,
	  examples/helpviewer/helpwindow.h, examples/helpviewer/home.xpm,
	  examples/helpviewer/main.cpp,
	  examples/network/clientserver/clientserver.doc,
	  examples/network/clientserver/client/client.cpp,
	  examples/network/clientserver/client/client.pro,
	  examples/network/clientserver/server/server.cpp,
	  examples/network/clientserver/server/server.pro,
	  examples/network/httpd/README, examples/network/httpd/httpd.cpp,
	  examples/network/httpd/httpd.doc,
	  examples/network/httpd/httpd.pro,
	  examples/network/mail/composer.cpp,
	  examples/network/mail/composer.h, examples/network/mail/mail.doc,
	  examples/network/mail/mail.pro, examples/network/mail/main.cpp,
	  examples/network/mail/smtp.cpp, examples/network/mail/smtp.h,
	  examples/network/networkprotocol/README,
	  examples/network/networkprotocol/main.cpp,
	  examples/network/networkprotocol/networkprotocol.doc,
	  examples/network/networkprotocol/networkprotocol.pro,
	  examples/network/networkprotocol/nntp.cpp,
	  examples/network/networkprotocol/nntp.h,
	  examples/network/networkprotocol/view.cpp,
	  examples/network/networkprotocol/view.h, include/qprinter.h:
	  Imported Qt 3.3.1 original sources

2004-09-12 19:31  dmik

	* examples/helpviewer/back.xpm, examples/helpviewer/forward.xpm,
	  examples/helpviewer/helpviewer.doc,
	  examples/helpviewer/helpviewer.pro,
	  examples/helpviewer/helpwindow.cpp,
	  examples/helpviewer/helpwindow.h, examples/helpviewer/home.xpm,
	  examples/helpviewer/main.cpp,
	  examples/network/clientserver/clientserver.doc,
	  examples/network/clientserver/client/client.cpp,
	  examples/network/clientserver/client/client.pro,
	  examples/network/clientserver/server/server.cpp,
	  examples/network/clientserver/server/server.pro,
	  examples/network/httpd/README, examples/network/httpd/httpd.cpp,
	  examples/network/httpd/httpd.doc,
	  examples/network/httpd/httpd.pro,
	  examples/network/mail/composer.cpp,
	  examples/network/mail/composer.h, examples/network/mail/mail.doc,
	  examples/network/mail/mail.pro, examples/network/mail/main.cpp,
	  examples/network/mail/smtp.cpp, examples/network/mail/smtp.h,
	  examples/network/networkprotocol/README,
	  examples/network/networkprotocol/main.cpp,
	  examples/network/networkprotocol/networkprotocol.doc,
	  examples/network/networkprotocol/networkprotocol.pro,
	  examples/network/networkprotocol/nntp.cpp,
	  examples/network/networkprotocol/nntp.h,
	  examples/network/networkprotocol/view.cpp,
	  examples/network/networkprotocol/view.h, include/qprinter.h:
	  Initial revision

2004-09-12 18:08  dmik

	* src/kernel/qthread_pm.cpp:
	  - Changed QThread::start(): TimeCriticalPriority now corresponds to
	  PRTYC_TIMECRITICAL/PRTYD_MAXIMUM.

2004-09-12 17:29  dmik

	* src/kernel/qfontengine_pm.cpp:
	  - Changed QFonteEnginePM::draw(): OS/2 GPI thinks that regular font
	  letters (without any lower elements) should "overlap" the baseline
	  (i.e, a line drawn at the same y coordinate as we draw the
	  baseline-aligned string of text), while Qt/Win32 thinks they should
	  "sit" on that baseline. For now, we simly mimic the Qt/Win32
	  behavior (for compatibilty) by correcting the y coordinate by one
	  pixel.

2004-07-28 17:35  dmik

	* src/widgets/qt_widgets.pri:
	  - This file is now the exact copy of the release 3.3.1 of Qt/Win32,
	  so its revision is forced to be 2.0

2004-07-28 17:31  dmik

	* .qtos2defines, src/kernel/qapplication_pm.cpp,
	  src/widgets/qt_widgets.pri:
	  - widgets: added classes: QDateTimeEditor, QDial, QSplashScreen,
	  QWhatsThis, added animation and fading effects support. The widgets
	  module is now completely implemented.
	  - QApplication: implemented setEffectEnabled() and isEffectEnabled()
	  methods.

2004-07-28 17:27  dmik

	* src/kernel/qpixmap_pm.cpp:
	  - Fixed QPixmap::grabWindow(): window areas were properly grabbed
	  only when we passed negative width and height values to it (to
	  indicate the the entire window).

2004-07-28 15:06  dmik

	* src/widgets/qeffects.cpp: Imported Qt 3.3.1 original sources

2004-07-28 15:06  dmik

	* src/widgets/qeffects.cpp: Initial revision

2004-07-28 14:58  dmik

	* include/qdatetimeedit.h, include/qdatetm.h, include/qdial.h,
	  include/qsplashscreen.h, src/widgets/qdatetimeedit.cpp,
	  src/widgets/qdial.cpp, src/widgets/qsplashscreen.cpp,
	  src/widgets/qwhatsthis.cpp: Imported Qt 3.3.1 original sources

2004-07-28 14:58  dmik

	* include/qdatetimeedit.h, include/qdatetm.h, include/qdial.h,
	  include/qsplashscreen.h, src/widgets/qdatetimeedit.cpp,
	  src/widgets/qdial.cpp, src/widgets/qsplashscreen.cpp,
	  src/widgets/qwhatsthis.cpp: Initial revision

2004-07-28 14:47  dmik

	* mkspecs/os2-g++/qmake.conf, mkspecs/os2-g++/qplatformdefs.h,
	  src/kernel/qeventloop_p.h, src/kernel/qeventloop_pm.cpp,
	  src/network/qsocketdevice_pm.cpp:
	  - Changed QEventLoop (socket notifier processing), QSocketDevice:
	  network socket implementation is completely reimplemented,
	  PMWSOCK.DLL is no more used because it is too buggy; the new
	  implementation is now similar to Qt/X11, but it currently requires
	  Qt to be compiled with thread support (otherwise socket notifiers
	  will not function properly).

2004-07-23 16:23  dmik

	* bin/configure.cmd:
	  - added new variables XML, ZLIB, JPEG, PNG, MNG and GIF to
	  enable/disable the compilation of the corresponding features.

2004-07-23 16:21  dmik

	* .qtos2defines, Makefile.os2-g++, src/qt.pro,
	  src/kernel/qt_gfx.pri, src/kernel/qt_kernel.pri,
	  src/widgets/qt_widgets.pri:
	  - kernel: enabled compilation of basic MIME support (QMimeSource,
	  QMimeSourceFactory classes), but no PM DDE Clipboard <-> Open MIME
	  conversion yet.
	  - kernel: enabled compilation of  basic DND support (QDragObject and
	  Q*Drag classes), but no actual drag&drop yet.
	  - kernel: added QAsyncIO class.
	  - kernel: enabled compilation of third party sources (zlib, jpeg,
	  png and mng support), the xml module.
	  - widgets: added classes: QTextBrowser, QWidgetPlugin (plus internal
	  QWidgetFactory).

2004-07-23 15:12  dmik

	* src/kernel/qmime.cpp:
	  - QMimeSourceFactory: adopted for OS/2.

2004-07-23 15:06  dmik

	* include/qtextedit.h:
	  - Uncommented slot that uses the QMimeSourceFactory class since the
	  latter has been added into compilation.

2004-07-23 15:04  dmik

	* include/qdragobject.h:
	  - Explicitly commented out QDragManager class (we need this since
	  MOC ignores preprocessor macros and defines this class anyway which
	  produces compile errors); will be uncommented when drag&drop is
	  implemented.

2004-07-23 15:01  dmik

	* src/kernel/qdragobject.cpp:
	  - QTextDrag, QUriDrag: adopted for OS/2.

2004-07-23 14:57  dmik

	* src/kernel/qregion_pm.cpp:
	  - Implemented QRegion::QRegion(const QBitmap&) constructor.

2004-07-23 13:28  dmik

	* include/qdropsite.h, src/kernel/qdragobject.cpp,
	  src/kernel/qdropsite.cpp: Imported Qt 3.3.1 original sources

2004-07-23 13:28  dmik

	* include/qdropsite.h, src/kernel/qdragobject.cpp,
	  src/kernel/qdropsite.cpp: Initial revision

2004-07-23 02:33  dmik

	* include/qasyncio.h, src/kernel/qasyncio.cpp,
	  src/kernel/qjpegio.cpp, src/kernel/qmngio.cpp,
	  src/kernel/qpngio.cpp: Imported Qt 3.3.1 original sources

2004-07-23 02:33  dmik

	* include/qasyncio.h, src/kernel/qasyncio.cpp,
	  src/kernel/qjpegio.cpp, src/kernel/qmngio.cpp,
	  src/kernel/qpngio.cpp: Initial revision

2004-07-23 02:12  dmik

	* src/: 3rdparty/README, 3rdparty/libjpeg/change.log,
	  3rdparty/libjpeg/coderules.doc, 3rdparty/libjpeg/filelist.doc,
	  3rdparty/libjpeg/install.doc, 3rdparty/libjpeg/jcapimin.c,
	  3rdparty/libjpeg/README, 3rdparty/libjpeg/jcapistd.c,
	  3rdparty/libjpeg/jccoefct.c, 3rdparty/libjpeg/jccolor.c,
	  3rdparty/libjpeg/jcdctmgr.c, 3rdparty/libjpeg/jchuff.c,
	  3rdparty/libjpeg/jchuff.h, 3rdparty/libjpeg/jcinit.c,
	  3rdparty/libjpeg/jcmainct.c, 3rdparty/libjpeg/jcmarker.c,
	  3rdparty/libjpeg/jcmaster.c, 3rdparty/libjpeg/jcomapi.c,
	  3rdparty/libjpeg/jconfig.bcc, 3rdparty/libjpeg/jconfig.cfg,
	  3rdparty/libjpeg/jconfig.dj, 3rdparty/libjpeg/jconfig.doc,
	  3rdparty/libjpeg/jconfig.h, 3rdparty/libjpeg/jconfig.mac,
	  3rdparty/libjpeg/jconfig.manx, 3rdparty/libjpeg/jconfig.mc6,
	  3rdparty/libjpeg/jconfig.sas, 3rdparty/libjpeg/jconfig.st,
	  3rdparty/libjpeg/jconfig.vc, 3rdparty/libjpeg/jconfig.vms,
	  3rdparty/libjpeg/jconfig.wat, 3rdparty/libjpeg/jcparam.c,
	  3rdparty/libjpeg/jcphuff.c, 3rdparty/libjpeg/jcprepct.c,
	  3rdparty/libjpeg/jcsample.c, 3rdparty/libjpeg/jctrans.c,
	  3rdparty/libjpeg/jdapimin.c, 3rdparty/libjpeg/jdapistd.c,
	  3rdparty/libjpeg/jdatadst.c, 3rdparty/libjpeg/jdatasrc.c,
	  3rdparty/libjpeg/jdcoefct.c, 3rdparty/libjpeg/jdcolor.c,
	  3rdparty/libjpeg/jdct.h, 3rdparty/libjpeg/jddctmgr.c,
	  3rdparty/libjpeg/jdhuff.c, 3rdparty/libjpeg/jdhuff.h,
	  3rdparty/libjpeg/jdinput.c, 3rdparty/libjpeg/jdmainct.c,
	  3rdparty/libjpeg/jdmarker.c, 3rdparty/libjpeg/jdmaster.c,
	  3rdparty/libjpeg/jdmerge.c, 3rdparty/libjpeg/jdphuff.c,
	  3rdparty/libjpeg/jdpostct.c, 3rdparty/libjpeg/jdsample.c,
	  3rdparty/libjpeg/jdtrans.c, 3rdparty/libjpeg/jerror.c,
	  3rdparty/libjpeg/jerror.h, 3rdparty/libjpeg/jfdctflt.c,
	  3rdparty/libjpeg/jfdctfst.c, 3rdparty/libjpeg/jfdctint.c,
	  3rdparty/libjpeg/jidctflt.c, 3rdparty/libjpeg/jidctfst.c,
	  3rdparty/libjpeg/jidctint.c, 3rdparty/libjpeg/jidctred.c,
	  3rdparty/libjpeg/jinclude.h, 3rdparty/libjpeg/jmemmgr.c,
	  3rdparty/libjpeg/jmemnobs.c, 3rdparty/libjpeg/jmemsys.h,
	  3rdparty/libjpeg/jmorecfg.h, 3rdparty/libjpeg/jpegint.h,
	  3rdparty/libjpeg/jpeglib.h, 3rdparty/libjpeg/jquant1.c,
	  3rdparty/libjpeg/jquant2.c, 3rdparty/libjpeg/jutils.c,
	  3rdparty/libjpeg/jversion.h, 3rdparty/libjpeg/libjpeg.doc,
	  3rdparty/libjpeg/makefile.ansi, 3rdparty/libjpeg/makefile.bcc,
	  3rdparty/libjpeg/makefile.cfg, 3rdparty/libjpeg/makefile.dj,
	  3rdparty/libjpeg/makefile.manx, 3rdparty/libjpeg/makefile.mc6,
	  3rdparty/libjpeg/makefile.mms, 3rdparty/libjpeg/makefile.sas,
	  3rdparty/libjpeg/makefile.unix, 3rdparty/libjpeg/makefile.vc,
	  3rdparty/libjpeg/makefile.vms, 3rdparty/libjpeg/makefile.wat,
	  3rdparty/libjpeg/structure.doc, 3rdparty/libjpeg/usage.doc,
	  3rdparty/libjpeg/wizard.doc, 3rdparty/libmng/Changes,
	  3rdparty/libmng/acinclude.m4, 3rdparty/libmng/aclocal.m4,
	  3rdparty/libmng/autogen.sh, 3rdparty/libmng/config.guess,
	  3rdparty/libmng/config.sub, 3rdparty/libmng/LICENSE,
	  3rdparty/libmng/Makefile.am, 3rdparty/libmng/Makefile.in,
	  3rdparty/libmng/README, 3rdparty/libmng/README.autoconf,
	  3rdparty/libmng/README.config, 3rdparty/libmng/README.contrib,
	  3rdparty/libmng/README.dll, 3rdparty/libmng/README.examples,
	  3rdparty/libmng/README.packaging, 3rdparty/libmng/configure,
	  3rdparty/libmng/configure.in, 3rdparty/libmng/install-sh,
	  3rdparty/libmng/libmng.h, 3rdparty/libmng/libmng_callback_xs.c,
	  3rdparty/libmng/libmng_chunk_io.c,
	  3rdparty/libmng/libmng_chunk_io.h,
	  3rdparty/libmng/libmng_chunk_prc.c,
	  3rdparty/libmng/libmng_chunk_prc.h,
	  3rdparty/libmng/libmng_chunk_xs.c,
	  3rdparty/libmng/libmng_chunks.h, 3rdparty/libmng/libmng_cms.c,
	  3rdparty/libmng/libmng_cms.h, 3rdparty/libmng/libmng_conf.h,
	  3rdparty/libmng/libmng_data.h, 3rdparty/libmng/libmng_display.c,
	  3rdparty/libmng/libmng_display.h,
	  3rdparty/libmng/libmng_dither.c, 3rdparty/libmng/libmng_dither.h,
	  3rdparty/libmng/libmng_error.c, 3rdparty/libmng/libmng_error.h,
	  3rdparty/libmng/libmng_filter.c, 3rdparty/libmng/libmng_filter.h,
	  3rdparty/libmng/libmng_hlapi.c, 3rdparty/libmng/libmng_jpeg.c,
	  3rdparty/libmng/libmng_jpeg.h, 3rdparty/libmng/libmng_memory.h,
	  3rdparty/libmng/libmng_object_prc.c,
	  3rdparty/libmng/libmng_object_prc.h,
	  3rdparty/libmng/libmng_objects.h,
	  3rdparty/libmng/libmng_pixels.c, 3rdparty/libmng/libmng_pixels.h,
	  3rdparty/libmng/libmng_prop_xs.c, 3rdparty/libmng/libmng_read.c,
	  3rdparty/libmng/libmng_read.h, 3rdparty/libmng/libmng_trace.c,
	  3rdparty/libmng/libmng_trace.h, 3rdparty/libmng/libmng_types.h,
	  3rdparty/libmng/libmng_write.c, 3rdparty/libmng/libmng_write.h,
	  3rdparty/libmng/libmng_zlib.c, 3rdparty/libmng/libmng_zlib.h,
	  3rdparty/libmng/ltmain.sh, 3rdparty/libmng/missing,
	  3rdparty/libmng/mkinstalldirs, 3rdparty/libmng/doc/doc.readme,
	  3rdparty/libmng/doc/Plan1.png, 3rdparty/libmng/doc/Plan2.png,
	  3rdparty/libmng/doc/libmng.txt, 3rdparty/libmng/doc/man/jng.5,
	  3rdparty/libmng/doc/man/libmng.3, 3rdparty/libmng/doc/man/mng.5,
	  3rdparty/libmng/doc/rpm/libmng-1.0.4-rhconf.patch,
	  3rdparty/libmng/doc/rpm/libmng.spec,
	  3rdparty/libmng/makefiles/Makefile.am,
	  3rdparty/libmng/makefiles/README,
	  3rdparty/libmng/makefiles/acinclude.m4,
	  3rdparty/libmng/makefiles/configure.in,
	  3rdparty/libmng/makefiles/makefile.bcb3,
	  3rdparty/libmng/makefiles/makefile.dj,
	  3rdparty/libmng/makefiles/makefile.linux,
	  3rdparty/libmng/makefiles/makefile.mingw,
	  3rdparty/libmng/makefiles/makefile.unix,
	  3rdparty/libmng/makefiles/makefile.vcwin32,
	  3rdparty/libpng/ANNOUNCE, 3rdparty/libpng/CHANGES,
	  3rdparty/libpng/INSTALL, 3rdparty/libpng/KNOWNBUG,
	  3rdparty/libpng/LICENSE, 3rdparty/libpng/README,
	  3rdparty/libpng/TODO, 3rdparty/libpng/Y2KINFO,
	  3rdparty/libpng/configure, 3rdparty/libpng/example.c,
	  3rdparty/libpng/libpng.3, 3rdparty/libpng/libpng.txt,
	  3rdparty/libpng/libpngpf.3, 3rdparty/libpng/png.5,
	  3rdparty/libpng/png.c, 3rdparty/libpng/png.h,
	  3rdparty/libpng/pngasmrd.h, 3rdparty/libpng/pngbar.jpg,
	  3rdparty/libpng/pngbar.png, 3rdparty/libpng/pngconf.h,
	  3rdparty/libpng/pngerror.c, 3rdparty/libpng/pnggccrd.c,
	  3rdparty/libpng/pngget.c, 3rdparty/libpng/pngmem.c,
	  3rdparty/libpng/pngnow.png, 3rdparty/libpng/pngpread.c,
	  3rdparty/libpng/pngread.c, 3rdparty/libpng/pngrio.c,
	  3rdparty/libpng/pngrtran.c, 3rdparty/libpng/pngrutil.c,
	  3rdparty/libpng/pngset.c, 3rdparty/libpng/pngtest.c,
	  3rdparty/libpng/pngtest.png, 3rdparty/libpng/pngtrans.c,
	  3rdparty/libpng/pngvcrd.c, 3rdparty/libpng/pngwio.c,
	  3rdparty/libpng/pngwrite.c, 3rdparty/libpng/pngwtran.c,
	  3rdparty/libpng/pngwutil.c, 3rdparty/libpng/projects/netware.txt,
	  3rdparty/libpng/projects/wince.txt,
	  3rdparty/libpng/projects/beos/x86-shared.proj,
	  3rdparty/libpng/projects/beos/x86-shared.txt,
	  3rdparty/libpng/projects/beos/x86-static.proj,
	  3rdparty/libpng/projects/beos/x86-static.txt,
	  3rdparty/libpng/projects/borland/libpng.bpf,
	  3rdparty/libpng/projects/borland/libpng.bpg,
	  3rdparty/libpng/projects/borland/libpng.bpr,
	  3rdparty/libpng/projects/borland/libpng.cpp,
	  3rdparty/libpng/projects/borland/libpng.readme.txt,
	  3rdparty/libpng/projects/borland/libpngstat.bpf,
	  3rdparty/libpng/projects/borland/libpngstat.bpr,
	  3rdparty/libpng/projects/borland/zlib+libpng.bpg,
	  3rdparty/libpng/projects/borland/zlib.bpf,
	  3rdparty/libpng/projects/borland/zlib.bpg,
	  3rdparty/libpng/projects/borland/zlib.bpr,
	  3rdparty/libpng/projects/borland/zlib.cpp,
	  3rdparty/libpng/projects/borland/zlibstat.bpf,
	  3rdparty/libpng/projects/borland/zlibstat.bpr,
	  3rdparty/libpng/projects/msvc/README.txt,
	  3rdparty/libpng/projects/msvc/libpng.dsp,
	  3rdparty/libpng/projects/msvc/libpng.dsw,
	  3rdparty/libpng/projects/msvc/png.rc,
	  3rdparty/libpng/projects/msvc/png32ms.def,
	  3rdparty/libpng/projects/msvc/zlib.def,
	  3rdparty/libpng/projects/msvc/zlib.dsp,
	  3rdparty/libpng/scripts/SCOPTIONS.ppc,
	  3rdparty/libpng/scripts/descrip.mms,
	  3rdparty/libpng/scripts/libpng-config-body.in,
	  3rdparty/libpng/scripts/libpng-config-head.in,
	  3rdparty/libpng/scripts/libpng.icc,
	  3rdparty/libpng/scripts/libpng.pc.in,
	  3rdparty/libpng/scripts/makefile.32sunu,
	  3rdparty/libpng/scripts/makefile.64sunu,
	  3rdparty/libpng/scripts/makefile.acorn,
	  3rdparty/libpng/scripts/makefile.aix,
	  3rdparty/libpng/scripts/makefile.amiga,
	  3rdparty/libpng/scripts/makefile.atari,
	  3rdparty/libpng/scripts/makefile.bc32,
	  3rdparty/libpng/scripts/makefile.bd32,
	  3rdparty/libpng/scripts/makefile.beos,
	  3rdparty/libpng/scripts/makefile.bor,
	  3rdparty/libpng/scripts/makefile.cygwin,
	  3rdparty/libpng/scripts/makefile.darwin,
	  3rdparty/libpng/scripts/makefile.dec,
	  3rdparty/libpng/scripts/makefile.dj2,
	  3rdparty/libpng/scripts/makefile.freebsd,
	  3rdparty/libpng/scripts/makefile.gcc,
	  3rdparty/libpng/scripts/makefile.gcmmx,
	  3rdparty/libpng/scripts/makefile.hpgcc,
	  3rdparty/libpng/scripts/makefile.hpux,
	  3rdparty/libpng/scripts/makefile.ibmc,
	  3rdparty/libpng/scripts/makefile.intel,
	  3rdparty/libpng/scripts/makefile.knr,
	  3rdparty/libpng/scripts/makefile.linux,
	  3rdparty/libpng/scripts/makefile.macosx,
	  3rdparty/libpng/scripts/makefile.mips,
	  3rdparty/libpng/scripts/makefile.msc,
	  3rdparty/libpng/scripts/makefile.ne10bsd,
	  3rdparty/libpng/scripts/makefile.ne12bsd,
	  3rdparty/libpng/scripts/makefile.netbsd,
	  3rdparty/libpng/scripts/makefile.openbsd,
	  3rdparty/libpng/scripts/makefile.os2,
	  3rdparty/libpng/scripts/makefile.sco,
	  3rdparty/libpng/scripts/makefile.sggcc,
	  3rdparty/libpng/scripts/makefile.sgi,
	  3rdparty/libpng/scripts/makefile.so9,
	  3rdparty/libpng/scripts/makefile.solaris,
	  3rdparty/libpng/scripts/makefile.std,
	  3rdparty/libpng/scripts/makefile.sunos,
	  3rdparty/libpng/scripts/makefile.tc3,
	  3rdparty/libpng/scripts/makefile.vcawin32,
	  3rdparty/libpng/scripts/makefile.vcwin32,
	  3rdparty/libpng/scripts/makefile.watcom,
	  3rdparty/libpng/scripts/makevms.com,
	  3rdparty/libpng/scripts/pngdef.pas,
	  3rdparty/libpng/scripts/pngos2.def,
	  3rdparty/libpng/scripts/smakefile.ppc, 3rdparty/zlib/ChangeLog,
	  3rdparty/zlib/FAQ, 3rdparty/zlib/INDEX,
	  3rdparty/zlib/Make_vms.com, 3rdparty/zlib/Makefile,
	  3rdparty/zlib/Makefile.in, 3rdparty/zlib/Makefile.riscos,
	  3rdparty/zlib/README, 3rdparty/zlib/adler32.c,
	  3rdparty/zlib/algorithm.txt, 3rdparty/zlib/compress.c,
	  3rdparty/zlib/configure, 3rdparty/zlib/crc32.c,
	  3rdparty/zlib/deflate.c, 3rdparty/zlib/deflate.h,
	  3rdparty/zlib/descrip.mms, 3rdparty/zlib/example.c,
	  3rdparty/zlib/gzio.c, 3rdparty/zlib/infblock.c,
	  3rdparty/zlib/infblock.h, 3rdparty/zlib/infcodes.c,
	  3rdparty/zlib/infcodes.h, 3rdparty/zlib/inffast.c,
	  3rdparty/zlib/inffast.h, 3rdparty/zlib/inffixed.h,
	  3rdparty/zlib/inflate.c, 3rdparty/zlib/inftrees.c,
	  3rdparty/zlib/inftrees.h, 3rdparty/zlib/infutil.c,
	  3rdparty/zlib/infutil.h, 3rdparty/zlib/maketree.c,
	  3rdparty/zlib/minigzip.c, 3rdparty/zlib/trees.c,
	  3rdparty/zlib/trees.h, 3rdparty/zlib/uncompr.c,
	  3rdparty/zlib/zconf.h, 3rdparty/zlib/zlib.3,
	  3rdparty/zlib/zlib.h, 3rdparty/zlib/zlib.html,
	  3rdparty/zlib/zutil.c, 3rdparty/zlib/zutil.h,
	  3rdparty/zlib/amiga/Makefile.pup,
	  3rdparty/zlib/amiga/Makefile.sas,
	  3rdparty/zlib/msdos/Makefile.b32,
	  3rdparty/zlib/msdos/Makefile.bor,
	  3rdparty/zlib/msdos/Makefile.dj2,
	  3rdparty/zlib/msdos/Makefile.emx,
	  3rdparty/zlib/msdos/Makefile.msc,
	  3rdparty/zlib/msdos/Makefile.tc,
	  3rdparty/zlib/msdos/Makefile.w32,
	  3rdparty/zlib/msdos/Makefile.wat, 3rdparty/zlib/msdos/zlib.def,
	  3rdparty/zlib/msdos/zlib.rc, 3rdparty/zlib/nt/Makefile.emx,
	  3rdparty/zlib/nt/Makefile.gcc, 3rdparty/zlib/nt/Makefile.nt,
	  3rdparty/zlib/nt/zlib.dnt, 3rdparty/zlib/os2/Makefile.os2,
	  3rdparty/zlib/os2/zlib.def, kernel/qt_gfx.pri: Imported Qt 3.3.1
	  original sources

2004-07-23 02:12  dmik

	* src/: 3rdparty/README, 3rdparty/libjpeg/change.log,
	  3rdparty/libjpeg/coderules.doc, 3rdparty/libjpeg/filelist.doc,
	  3rdparty/libjpeg/install.doc, 3rdparty/libjpeg/jcapimin.c,
	  3rdparty/libjpeg/README, 3rdparty/libjpeg/jcapistd.c,
	  3rdparty/libjpeg/jccoefct.c, 3rdparty/libjpeg/jccolor.c,
	  3rdparty/libjpeg/jcdctmgr.c, 3rdparty/libjpeg/jchuff.c,
	  3rdparty/libjpeg/jchuff.h, 3rdparty/libjpeg/jcinit.c,
	  3rdparty/libjpeg/jcmainct.c, 3rdparty/libjpeg/jcmarker.c,
	  3rdparty/libjpeg/jcmaster.c, 3rdparty/libjpeg/jcomapi.c,
	  3rdparty/libjpeg/jconfig.bcc, 3rdparty/libjpeg/jconfig.cfg,
	  3rdparty/libjpeg/jconfig.dj, 3rdparty/libjpeg/jconfig.doc,
	  3rdparty/libjpeg/jconfig.h, 3rdparty/libjpeg/jconfig.mac,
	  3rdparty/libjpeg/jconfig.manx, 3rdparty/libjpeg/jconfig.mc6,
	  3rdparty/libjpeg/jconfig.sas, 3rdparty/libjpeg/jconfig.st,
	  3rdparty/libjpeg/jconfig.vc, 3rdparty/libjpeg/jconfig.vms,
	  3rdparty/libjpeg/jconfig.wat, 3rdparty/libjpeg/jcparam.c,
	  3rdparty/libjpeg/jcphuff.c, 3rdparty/libjpeg/jcprepct.c,
	  3rdparty/libjpeg/jcsample.c, 3rdparty/libjpeg/jctrans.c,
	  3rdparty/libjpeg/jdapimin.c, 3rdparty/libjpeg/jdapistd.c,
	  3rdparty/libjpeg/jdatadst.c, 3rdparty/libjpeg/jdatasrc.c,
	  3rdparty/libjpeg/jdcoefct.c, 3rdparty/libjpeg/jdcolor.c,
	  3rdparty/libjpeg/jdct.h, 3rdparty/libjpeg/jddctmgr.c,
	  3rdparty/libjpeg/jdhuff.c, 3rdparty/libjpeg/jdhuff.h,
	  3rdparty/libjpeg/jdinput.c, 3rdparty/libjpeg/jdmainct.c,
	  3rdparty/libjpeg/jdmarker.c, 3rdparty/libjpeg/jdmaster.c,
	  3rdparty/libjpeg/jdmerge.c, 3rdparty/libjpeg/jdphuff.c,
	  3rdparty/libjpeg/jdpostct.c, 3rdparty/libjpeg/jdsample.c,
	  3rdparty/libjpeg/jdtrans.c, 3rdparty/libjpeg/jerror.c,
	  3rdparty/libjpeg/jerror.h, 3rdparty/libjpeg/jfdctflt.c,
	  3rdparty/libjpeg/jfdctfst.c, 3rdparty/libjpeg/jfdctint.c,
	  3rdparty/libjpeg/jidctflt.c, 3rdparty/libjpeg/jidctfst.c,
	  3rdparty/libjpeg/jidctint.c, 3rdparty/libjpeg/jidctred.c,
	  3rdparty/libjpeg/jinclude.h, 3rdparty/libjpeg/jmemmgr.c,
	  3rdparty/libjpeg/jmemnobs.c, 3rdparty/libjpeg/jmemsys.h,
	  3rdparty/libjpeg/jmorecfg.h, 3rdparty/libjpeg/jpegint.h,
	  3rdparty/libjpeg/jpeglib.h, 3rdparty/libjpeg/jquant1.c,
	  3rdparty/libjpeg/jquant2.c, 3rdparty/libjpeg/jutils.c,
	  3rdparty/libjpeg/jversion.h, 3rdparty/libjpeg/libjpeg.doc,
	  3rdparty/libjpeg/makefile.ansi, 3rdparty/libjpeg/makefile.bcc,
	  3rdparty/libjpeg/makefile.cfg, 3rdparty/libjpeg/makefile.dj,
	  3rdparty/libjpeg/makefile.manx, 3rdparty/libjpeg/makefile.mc6,
	  3rdparty/libjpeg/makefile.mms, 3rdparty/libjpeg/makefile.sas,
	  3rdparty/libjpeg/makefile.unix, 3rdparty/libjpeg/makefile.vc,
	  3rdparty/libjpeg/makefile.vms, 3rdparty/libjpeg/makefile.wat,
	  3rdparty/libjpeg/structure.doc, 3rdparty/libjpeg/usage.doc,
	  3rdparty/libjpeg/wizard.doc, 3rdparty/libmng/Changes,
	  3rdparty/libmng/acinclude.m4, 3rdparty/libmng/aclocal.m4,
	  3rdparty/libmng/autogen.sh, 3rdparty/libmng/config.guess,
	  3rdparty/libmng/config.sub, 3rdparty/libmng/LICENSE,
	  3rdparty/libmng/Makefile.am, 3rdparty/libmng/Makefile.in,
	  3rdparty/libmng/README, 3rdparty/libmng/README.autoconf,
	  3rdparty/libmng/README.config, 3rdparty/libmng/README.contrib,
	  3rdparty/libmng/README.dll, 3rdparty/libmng/README.examples,
	  3rdparty/libmng/README.packaging, 3rdparty/libmng/configure,
	  3rdparty/libmng/configure.in, 3rdparty/libmng/install-sh,
	  3rdparty/libmng/libmng.h, 3rdparty/libmng/libmng_callback_xs.c,
	  3rdparty/libmng/libmng_chunk_io.c,
	  3rdparty/libmng/libmng_chunk_io.h,
	  3rdparty/libmng/libmng_chunk_prc.c,
	  3rdparty/libmng/libmng_chunk_prc.h,
	  3rdparty/libmng/libmng_chunk_xs.c,
	  3rdparty/libmng/libmng_chunks.h, 3rdparty/libmng/libmng_cms.c,
	  3rdparty/libmng/libmng_cms.h, 3rdparty/libmng/libmng_conf.h,
	  3rdparty/libmng/libmng_data.h, 3rdparty/libmng/libmng_display.c,
	  3rdparty/libmng/libmng_display.h,
	  3rdparty/libmng/libmng_dither.c, 3rdparty/libmng/libmng_dither.h,
	  3rdparty/libmng/libmng_error.c, 3rdparty/libmng/libmng_error.h,
	  3rdparty/libmng/libmng_filter.c, 3rdparty/libmng/libmng_filter.h,
	  3rdparty/libmng/libmng_hlapi.c, 3rdparty/libmng/libmng_jpeg.c,
	  3rdparty/libmng/libmng_jpeg.h, 3rdparty/libmng/libmng_memory.h,
	  3rdparty/libmng/libmng_object_prc.c,
	  3rdparty/libmng/libmng_object_prc.h,
	  3rdparty/libmng/libmng_objects.h,
	  3rdparty/libmng/libmng_pixels.c, 3rdparty/libmng/libmng_pixels.h,
	  3rdparty/libmng/libmng_prop_xs.c, 3rdparty/libmng/libmng_read.c,
	  3rdparty/libmng/libmng_read.h, 3rdparty/libmng/libmng_trace.c,
	  3rdparty/libmng/libmng_trace.h, 3rdparty/libmng/libmng_types.h,
	  3rdparty/libmng/libmng_write.c, 3rdparty/libmng/libmng_write.h,
	  3rdparty/libmng/libmng_zlib.c, 3rdparty/libmng/libmng_zlib.h,
	  3rdparty/libmng/ltmain.sh, 3rdparty/libmng/missing,
	  3rdparty/libmng/mkinstalldirs, 3rdparty/libmng/doc/doc.readme,
	  3rdparty/libmng/doc/Plan1.png, 3rdparty/libmng/doc/Plan2.png,
	  3rdparty/libmng/doc/libmng.txt, 3rdparty/libmng/doc/man/jng.5,
	  3rdparty/libmng/doc/man/libmng.3, 3rdparty/libmng/doc/man/mng.5,
	  3rdparty/libmng/doc/rpm/libmng-1.0.4-rhconf.patch,
	  3rdparty/libmng/doc/rpm/libmng.spec,
	  3rdparty/libmng/makefiles/Makefile.am,
	  3rdparty/libmng/makefiles/README,
	  3rdparty/libmng/makefiles/acinclude.m4,
	  3rdparty/libmng/makefiles/configure.in,
	  3rdparty/libmng/makefiles/makefile.bcb3,
	  3rdparty/libmng/makefiles/makefile.dj,
	  3rdparty/libmng/makefiles/makefile.linux,
	  3rdparty/libmng/makefiles/makefile.mingw,
	  3rdparty/libmng/makefiles/makefile.unix,
	  3rdparty/libmng/makefiles/makefile.vcwin32,
	  3rdparty/libpng/ANNOUNCE, 3rdparty/libpng/CHANGES,
	  3rdparty/libpng/INSTALL, 3rdparty/libpng/KNOWNBUG,
	  3rdparty/libpng/LICENSE, 3rdparty/libpng/README,
	  3rdparty/libpng/TODO, 3rdparty/libpng/Y2KINFO,
	  3rdparty/libpng/configure, 3rdparty/libpng/example.c,
	  3rdparty/libpng/libpng.3, 3rdparty/libpng/libpng.txt,
	  3rdparty/libpng/libpngpf.3, 3rdparty/libpng/png.5,
	  3rdparty/libpng/png.c, 3rdparty/libpng/png.h,
	  3rdparty/libpng/pngasmrd.h, 3rdparty/libpng/pngbar.jpg,
	  3rdparty/libpng/pngbar.png, 3rdparty/libpng/pngconf.h,
	  3rdparty/libpng/pngerror.c, 3rdparty/libpng/pnggccrd.c,
	  3rdparty/libpng/pngget.c, 3rdparty/libpng/pngmem.c,
	  3rdparty/libpng/pngnow.png, 3rdparty/libpng/pngpread.c,
	  3rdparty/libpng/pngread.c, 3rdparty/libpng/pngrio.c,
	  3rdparty/libpng/pngrtran.c, 3rdparty/libpng/pngrutil.c,
	  3rdparty/libpng/pngset.c, 3rdparty/libpng/pngtest.c,
	  3rdparty/libpng/pngtest.png, 3rdparty/libpng/pngtrans.c,
	  3rdparty/libpng/pngvcrd.c, 3rdparty/libpng/pngwio.c,
	  3rdparty/libpng/pngwrite.c, 3rdparty/libpng/pngwtran.c,
	  3rdparty/libpng/pngwutil.c, 3rdparty/libpng/projects/netware.txt,
	  3rdparty/libpng/projects/wince.txt,
	  3rdparty/libpng/projects/beos/x86-shared.proj,
	  3rdparty/libpng/projects/beos/x86-shared.txt,
	  3rdparty/libpng/projects/beos/x86-static.proj,
	  3rdparty/libpng/projects/beos/x86-static.txt,
	  3rdparty/libpng/projects/borland/libpng.bpf,
	  3rdparty/libpng/projects/borland/libpng.bpg,
	  3rdparty/libpng/projects/borland/libpng.bpr,
	  3rdparty/libpng/projects/borland/libpng.cpp,
	  3rdparty/libpng/projects/borland/libpng.readme.txt,
	  3rdparty/libpng/projects/borland/libpngstat.bpf,
	  3rdparty/libpng/projects/borland/libpngstat.bpr,
	  3rdparty/libpng/projects/borland/zlib+libpng.bpg,
	  3rdparty/libpng/projects/borland/zlib.bpf,
	  3rdparty/libpng/projects/borland/zlib.bpg,
	  3rdparty/libpng/projects/borland/zlib.bpr,
	  3rdparty/libpng/projects/borland/zlib.cpp,
	  3rdparty/libpng/projects/borland/zlibstat.bpf,
	  3rdparty/libpng/projects/borland/zlibstat.bpr,
	  3rdparty/libpng/projects/msvc/README.txt,
	  3rdparty/libpng/projects/msvc/libpng.dsp,
	  3rdparty/libpng/projects/msvc/libpng.dsw,
	  3rdparty/libpng/projects/msvc/png.rc,
	  3rdparty/libpng/projects/msvc/png32ms.def,
	  3rdparty/libpng/projects/msvc/zlib.def,
	  3rdparty/libpng/projects/msvc/zlib.dsp,
	  3rdparty/libpng/scripts/SCOPTIONS.ppc,
	  3rdparty/libpng/scripts/descrip.mms,
	  3rdparty/libpng/scripts/libpng-config-body.in,
	  3rdparty/libpng/scripts/libpng-config-head.in,
	  3rdparty/libpng/scripts/libpng.icc,
	  3rdparty/libpng/scripts/libpng.pc.in,
	  3rdparty/libpng/scripts/makefile.32sunu,
	  3rdparty/libpng/scripts/makefile.64sunu,
	  3rdparty/libpng/scripts/makefile.acorn,
	  3rdparty/libpng/scripts/makefile.aix,
	  3rdparty/libpng/scripts/makefile.amiga,
	  3rdparty/libpng/scripts/makefile.atari,
	  3rdparty/libpng/scripts/makefile.bc32,
	  3rdparty/libpng/scripts/makefile.bd32,
	  3rdparty/libpng/scripts/makefile.beos,
	  3rdparty/libpng/scripts/makefile.bor,
	  3rdparty/libpng/scripts/makefile.cygwin,
	  3rdparty/libpng/scripts/makefile.darwin,
	  3rdparty/libpng/scripts/makefile.dec,
	  3rdparty/libpng/scripts/makefile.dj2,
	  3rdparty/libpng/scripts/makefile.freebsd,
	  3rdparty/libpng/scripts/makefile.gcc,
	  3rdparty/libpng/scripts/makefile.gcmmx,
	  3rdparty/libpng/scripts/makefile.hpgcc,
	  3rdparty/libpng/scripts/makefile.hpux,
	  3rdparty/libpng/scripts/makefile.ibmc,
	  3rdparty/libpng/scripts/makefile.intel,
	  3rdparty/libpng/scripts/makefile.knr,
	  3rdparty/libpng/scripts/makefile.linux,
	  3rdparty/libpng/scripts/makefile.macosx,
	  3rdparty/libpng/scripts/makefile.mips,
	  3rdparty/libpng/scripts/makefile.msc,
	  3rdparty/libpng/scripts/makefile.ne10bsd,
	  3rdparty/libpng/scripts/makefile.ne12bsd,
	  3rdparty/libpng/scripts/makefile.netbsd,
	  3rdparty/libpng/scripts/makefile.openbsd,
	  3rdparty/libpng/scripts/makefile.os2,
	  3rdparty/libpng/scripts/makefile.sco,
	  3rdparty/libpng/scripts/makefile.sggcc,
	  3rdparty/libpng/scripts/makefile.sgi,
	  3rdparty/libpng/scripts/makefile.so9,
	  3rdparty/libpng/scripts/makefile.solaris,
	  3rdparty/libpng/scripts/makefile.std,
	  3rdparty/libpng/scripts/makefile.sunos,
	  3rdparty/libpng/scripts/makefile.tc3,
	  3rdparty/libpng/scripts/makefile.vcawin32,
	  3rdparty/libpng/scripts/makefile.vcwin32,
	  3rdparty/libpng/scripts/makefile.watcom,
	  3rdparty/libpng/scripts/makevms.com,
	  3rdparty/libpng/scripts/pngdef.pas,
	  3rdparty/libpng/scripts/pngos2.def,
	  3rdparty/libpng/scripts/smakefile.ppc, 3rdparty/zlib/ChangeLog,
	  3rdparty/zlib/FAQ, 3rdparty/zlib/INDEX,
	  3rdparty/zlib/Make_vms.com, 3rdparty/zlib/Makefile,
	  3rdparty/zlib/Makefile.in, 3rdparty/zlib/Makefile.riscos,
	  3rdparty/zlib/README, 3rdparty/zlib/adler32.c,
	  3rdparty/zlib/algorithm.txt, 3rdparty/zlib/compress.c,
	  3rdparty/zlib/configure, 3rdparty/zlib/crc32.c,
	  3rdparty/zlib/deflate.c, 3rdparty/zlib/deflate.h,
	  3rdparty/zlib/descrip.mms, 3rdparty/zlib/example.c,
	  3rdparty/zlib/gzio.c, 3rdparty/zlib/infblock.c,
	  3rdparty/zlib/infblock.h, 3rdparty/zlib/infcodes.c,
	  3rdparty/zlib/infcodes.h, 3rdparty/zlib/inffast.c,
	  3rdparty/zlib/inffast.h, 3rdparty/zlib/inffixed.h,
	  3rdparty/zlib/inflate.c, 3rdparty/zlib/inftrees.c,
	  3rdparty/zlib/inftrees.h, 3rdparty/zlib/infutil.c,
	  3rdparty/zlib/infutil.h, 3rdparty/zlib/maketree.c,
	  3rdparty/zlib/minigzip.c, 3rdparty/zlib/trees.c,
	  3rdparty/zlib/trees.h, 3rdparty/zlib/uncompr.c,
	  3rdparty/zlib/zconf.h, 3rdparty/zlib/zlib.3,
	  3rdparty/zlib/zlib.h, 3rdparty/zlib/zlib.html,
	  3rdparty/zlib/zutil.c, 3rdparty/zlib/zutil.h,
	  3rdparty/zlib/amiga/Makefile.pup,
	  3rdparty/zlib/amiga/Makefile.sas,
	  3rdparty/zlib/msdos/Makefile.b32,
	  3rdparty/zlib/msdos/Makefile.bor,
	  3rdparty/zlib/msdos/Makefile.dj2,
	  3rdparty/zlib/msdos/Makefile.emx,
	  3rdparty/zlib/msdos/Makefile.msc,
	  3rdparty/zlib/msdos/Makefile.tc,
	  3rdparty/zlib/msdos/Makefile.w32,
	  3rdparty/zlib/msdos/Makefile.wat, 3rdparty/zlib/msdos/zlib.def,
	  3rdparty/zlib/msdos/zlib.rc, 3rdparty/zlib/nt/Makefile.emx,
	  3rdparty/zlib/nt/Makefile.gcc, 3rdparty/zlib/nt/Makefile.nt,
	  3rdparty/zlib/nt/zlib.dnt, 3rdparty/zlib/os2/Makefile.os2,
	  3rdparty/zlib/os2/zlib.def, kernel/qt_gfx.pri: Initial revision

2004-07-23 01:37  dmik

	* include/qwidgetfactory.h, include/qwidgetplugin.h,
	  src/widgets/qwidgetinterface_p.h, src/widgets/qwidgetplugin.cpp:
	  Imported Qt 3.3.1 original sources

2004-07-23 01:37  dmik

	* include/qwidgetfactory.h, include/qwidgetplugin.h,
	  src/widgets/qwidgetinterface_p.h, src/widgets/qwidgetplugin.cpp:
	  Initial revision

2004-07-23 00:46  dmik

	* include/qdom.h, include/qxml.h, src/xml/qdom.cpp,
	  src/xml/qsvgdevice.cpp, src/xml/qsvgdevice_p.h,
	  src/xml/qt_xml.pri, src/xml/qxml.cpp: Imported Qt 3.3.1 original
	  sources

2004-07-23 00:46  dmik

	* include/qdom.h, include/qxml.h, src/xml/qdom.cpp,
	  src/xml/qsvgdevice.cpp, src/xml/qsvgdevice_p.h,
	  src/xml/qt_xml.pri, src/xml/qxml.cpp: Initial revision

2004-07-20 23:27  dmik

	* .qtos2defines, Makefile.os2-g++, bin/configure.cmd,
	  include/qmodules.h, os2-misc/gcc322.cmd, src/qt.pro,
	  src/network/qt_network.pri:
	  - The network module has been included into compilation.
	  - configure.cmd: added variable to enable/disable the network
	  module; include\qmodules.h is now created automatically.

2004-07-20 22:20  dmik

	* src/kernel/: qapplication_pm.cpp, qeventloop_pm.cpp:
	  - Implemented QSocketNotifier functionality.
	  - Removed some unnecessary (commented out) blocks of code.

2004-07-20 22:15  dmik

	* src/network/qdns.cpp:
	  - QDns is adapted for OS/2.
	  - [Qt misbehavior] Fixed QDnsManager::manager(): DNS manager cleanup
	  routine was installed before creating a QDnsManager instance, which
	  caused the Windows Sockets cleanup routine (installed later from the
	  QDnsManager constructor by creating the QSocketDevice instance for
	  the first time) to be called before it (since they are in FILO
	  order); as a result, the DNS socket was closed after
	  deinitialization and ::closesocket() returned an error.
	  - [Qt bug] Fixed QDns::doResInit(): nameservers were not read
	  properly from the resolv file.

2004-07-20 21:37  dmik

	* src/network/qsocketdevice_pm.cpp:
	  - Implemented OS/2 version of the QSocketDevice class.

2004-07-20 21:35  dmik

	* mkspecs/os2-g++/: pmwsock.h, qmake.conf, qplatformdefs.h:
	  - Added pmwsock.h from the toolkit to the GCC specification
	  directory of Qt (GCC lacks this header).
	  - qplatformdefs.h: Added workaround to avoid  conflicts (duplicate
	  definitions, etc.) when including pmwsock.h.
	  - qmake.conf (for GCC): all Qt applications are now linked against
	  the pmwsock.dll.

2004-07-06 00:10  dmik

	* include/qdns.h, include/qftp.h, include/qhostaddress.h,
	  include/qhttp.h, include/qnetwork.h, include/qserversocket.h,
	  include/qsocket.h, include/qsocketdevice.h, include/qsocknot.h,
	  src/network/qdns.cpp, src/network/qftp.cpp,
	  src/network/qhostaddress.cpp, src/network/qhttp.cpp,
	  src/network/qnetwork.cpp, src/network/qserversocket.cpp,
	  src/network/qsocket.cpp, src/network/qsocketdevice.cpp,
	  src/network/qt_network.pri: Imported Qt 3.3.1 original sources

2004-07-06 00:10  dmik

	* include/qdns.h, include/qftp.h, include/qhostaddress.h,
	  include/qhttp.h, include/qnetwork.h, include/qserversocket.h,
	  include/qsocket.h, include/qsocketdevice.h, include/qsocknot.h,
	  src/network/qdns.cpp, src/network/qftp.cpp,
	  src/network/qhostaddress.cpp, src/network/qhttp.cpp,
	  src/network/qnetwork.cpp, src/network/qserversocket.cpp,
	  src/network/qsocket.cpp, src/network/qsocketdevice.cpp,
	  src/network/qt_network.pri: Initial revision

2004-07-04 16:02  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Improved widget resize processing: now widget contents are updated
	  instantly while resizing, which slows it down slightly, but gives a
	  better look because invalid window contents cannot be seen.

2004-07-04 15:34  dmik

	* src/widgets/qpopupmenu.cpp:
	  - Fixed QPopupMenu: the functionality of underlined letter
	  accelerators in popups was broken by the previous fix.

2004-07-01 21:40  dmik

	* src/kernel/qwidget_pm.cpp:
	  - Fixed QWidget::scroll(): now we use our own implementation of the
	  procedure to scroll window contents -- WinScrollWindow() supplied by
	  PM is a bit buggy and corrupts update regions sometimes (which
	  leaves some outdated areas unpainted after scrolling).

2004-06-30 16:12  dmik

	* src/widgets/qscrollview.cpp:
	  - [Qt misbehavior] Fixed QScrollView: the QScrollView widget itself
	  is now forced NOT to have the WRepaintNoErase flag (similary to
	  WStaticContents and WResizeNoErase); this flag (among those
	  mentioned in brackets) is passed to the viewport() widget instead.
	  Without this fix, QListView didn't erase it's corner on repainting
	  when there was no resize widget. See also the message to the
	  previous revision about why the above is not important on Qt/Win32.

2004-06-30 13:54  dmik

	* CVSROOT/cvswrappers:
	  - Removed keyword substitution option for *.xpm files (now they are
	  treated as text files).

2004-06-30 13:52  dmik

	* examples/examples.pro:
	  - Enabled scrollview example.

2004-06-30 13:49  dmik

	* examples/: listboxcombo/qtlogo.png, richtext/marble.png,
	  themes/qtlogo.png, themes/trolltech.gif:
	  - These files are the exact copies of the release 3.3.1 of Qt/Win32,
	  so their revision is forced to be 2.0

2004-06-30 13:48  dmik

	* examples/: listboxcombo/qtlogo.png, richtext/marble.png,
	  themes/qtlogo.png, themes/trolltech.gif:
	  - Readded example bitmaps as binary files.

2004-06-30 13:46  dmik

	* examples/: listboxcombo/qtlogo.png, richtext/marble.png,
	  themes/qtlogo.png, themes/trolltech.gif:
	  - Removed badly imported example bitmaps (had been imported as text
	  instead of binary).

2004-06-29 19:17  dmik

	* examples/scrollview/: README, bg.ppm, scrollview.cpp,
	  scrollview.doc, scrollview.pro: Imported Qt 3.3.1 original
	  sources

2004-06-29 19:17  dmik

	* examples/scrollview/: README, bg.ppm, scrollview.cpp,
	  scrollview.doc, scrollview.pro: Initial revision

2004-06-29 19:17  dmik

	* CVSROOT/cvswrappers:
	  - Added keyword substitution option for *.ppm files (binary)

2004-06-29 19:12  dmik

	* CVSROOT/cvswrappers:
	  - Added keyword substitution options for binary files

2004-06-27 19:18  dmik

	* src/kernel/: qapplication_pm.cpp, qwidget_pm.cpp:
	  - Changed widget redrawing on resize: now widgets without the
	  WStaticContents flag are always repainted (i.e. immediately redrawn)
	  rather than updated (redrawn later).
	  - Fixed QWidget::scroll():
	  * the geometry of moved children was not properly updated.
	  * pending update events are now flushed before scrolling is done to
	  have the up-to-date window contents to be scrolled.

2004-06-27 16:16  dmik

	* src/widgets/qscrollview.cpp:
	  - [Qt misbehavior] Fixed QScrollView: the viewport() widget is no
	  more forced to have the WResizeNoErase; now it sets this flag only
	  when it is passed to the QScrollView constructor (similary to other
	  flags such as WRepaintNoErase). So, the warning in Qt docs for
	  QScrollView about this is no more true in Qt/OS2. This is not
	  important under other platforms (at least Qt/Win32) because Qt
	  always erases the widget's background on resize (regardless of
	  WResizeNoErase presence), but does matter under Qt/OS2 where
	  WResizeNoErase flag is strictly obeyed and the background is not
	  erased when it is set, leaving the QScrollView viewport's area
	  unpainted when it is bigger than the actual scroll view contents.

2004-06-24 21:18  dmik

	* src/widgets/qpopupmenu.cpp:
	  - Changed QPopupMenu::keyPressEvent(): a beep is now heard when the
	  user activates a disabled menu item using Enter or an underlined
	  letter, the menu is not dismissed in the latter case -- to conform
	  to the OS/2 CUA standards.

2004-06-23 21:32  dmik

	* os2-doc/: ChangeLog, changes.html:
	  - rc03 changes

2004-06-23 20:52  dmik

	* bin/configure.cmd:
	  - Added a variable that defines what type of the library to compile:
	  release or debug.

2004-06-23 20:49  dmik

	* examples/examples.pro:
	  - Added new example: richtext.

2004-06-23 20:45  dmik

	* examples/richtext/: main.cpp, marble.png, richtext.cpp,
	  richtext.doc, richtext.h, richtext.pro: Imported Qt 3.3.1
	  original sources

2004-06-23 20:45  dmik

	* examples/richtext/: main.cpp, marble.png, richtext.cpp,
	  richtext.doc, richtext.h, richtext.pro: Initial revision

2004-06-23 20:02  dmik

	* .qtos2defines:
	  - Removed unnecessary defines.

2004-06-23 20:01  dmik

	* examples/examples.pro:
	  - Added new examples: menu, rangecontrols, listbox, tabdialog,
	  wizard, life, hello, gridview, forever, fonts, addressbook,
	  splitter, layout, customlayout, themes, scribble,
	  action\toggleaction, thread\prodcons, thread\semaphores.

2004-06-23 19:58  dmik

	* examples/: listbox/listbox.cpp, listbox/listbox.doc,
	  listbox/listbox.h, listbox/listbox.pro, listbox/main.cpp,
	  rangecontrols/main.cpp, rangecontrols/rangecontrols.cpp,
	  rangecontrols/rangecontrols.doc, rangecontrols/rangecontrols.h,
	  rangecontrols/rangecontrols.pro: Imported Qt 3.3.1 original
	  sources

2004-06-23 19:58  dmik

	* examples/: listbox/listbox.cpp, listbox/listbox.doc,
	  listbox/listbox.h, listbox/listbox.pro, listbox/main.cpp,
	  rangecontrols/main.cpp, rangecontrols/rangecontrols.cpp,
	  rangecontrols/rangecontrols.doc, rangecontrols/rangecontrols.h,
	  rangecontrols/rangecontrols.pro: Initial revision

2004-06-23 19:50  dmik

	* examples/thread/: prodcons/prodcons.cpp, prodcons/prodcons.pro,
	  semaphores/main.cpp, semaphores/semaphores.pro: Imported Qt 3.3.1
	  original sources

2004-06-23 19:50  dmik

	* examples/thread/: prodcons/prodcons.cpp, prodcons/prodcons.pro,
	  semaphores/main.cpp, semaphores/semaphores.pro: Initial revision

2004-06-23 19:41  dmik

	* src/widgets/qt_widgets.pri:
	  - Added new classes: QAction, QMultiLineEdit, QTabBar, QTabWidget,
	  QToolBox.

2004-06-23 19:37  dmik

	* src/dialogs/qt_dialogs.pri:
	  - Added missing dialog classes. Now this file is the exact copy of
	  the release 3.3.1 of Qt/Win32, so its revision is forced to be 2.0

2004-06-23 19:32  dmik

	* examples/menu/menu.cpp:
	  - [Qt misbehavior] Fixed "Options" menu: it always used the
	  QPopupMenu font for the "Normal Font" entry, which was not actually
	  displayed using a normal (i.e. w/o any attributes) font on systems
	  where QPopupMenu font was not normal itself (but, for example, bold,
	  as on OS/2).

2004-06-23 19:13  dmik

	* examples/: action/toggleaction/labelonoff.xpm,
	  action/toggleaction/toggleaction.cpp,
	  action/toggleaction/toggleaction.doc,
	  action/toggleaction/toggleaction.pro, customlayout/border.cpp,
	  customlayout/border.h, customlayout/card.cpp,
	  customlayout/card.h, customlayout/customlayout.doc,
	  customlayout/customlayout.pro, customlayout/flow.cpp,
	  customlayout/flow.h, customlayout/main.cpp, layout/layout.cpp,
	  layout/layout.doc, layout/layout.pro, scribble/main.cpp,
	  scribble/scribble.cpp, scribble/scribble.doc,
	  scribble/scribble.h, scribble/scribble.pro,
	  splitter/splitter.cpp, splitter/splitter.doc,
	  splitter/splitter.pro, themes/fileopen.xpm, themes/main.cpp,
	  themes/marble.xpm, themes/metal.cpp, themes/metal.h,
	  themes/metal.xpm, themes/qtlogo.png, themes/stone1.xpm,
	  themes/stonebright.xpm, themes/stonedark.xpm, themes/themes.cpp,
	  themes/themes.doc, themes/themes.h, themes/themes.pro,
	  themes/trolltech.gif, themes/wood.cpp, themes/wood.h: Imported Qt
	  3.3.1 original sources

2004-06-23 19:13  dmik

	* examples/: action/toggleaction/labelonoff.xpm,
	  action/toggleaction/toggleaction.cpp,
	  action/toggleaction/toggleaction.doc,
	  action/toggleaction/toggleaction.pro, customlayout/border.cpp,
	  customlayout/border.h, customlayout/card.cpp,
	  customlayout/card.h, customlayout/customlayout.doc,
	  customlayout/customlayout.pro, customlayout/flow.cpp,
	  customlayout/flow.h, customlayout/main.cpp, layout/layout.cpp,
	  layout/layout.doc, layout/layout.pro, scribble/main.cpp,
	  scribble/scribble.cpp, scribble/scribble.doc,
	  scribble/scribble.h, scribble/scribble.pro,
	  splitter/splitter.cpp, splitter/splitter.doc,
	  splitter/splitter.pro, themes/fileopen.xpm, themes/main.cpp,
	  themes/marble.xpm, themes/metal.cpp, themes/metal.h,
	  themes/metal.xpm, themes/qtlogo.png, themes/stone1.xpm,
	  themes/stonebright.xpm, themes/stonedark.xpm, themes/themes.cpp,
	  themes/themes.doc, themes/themes.h, themes/themes.pro,
	  themes/trolltech.gif, themes/wood.cpp, themes/wood.h: Initial
	  revision

2004-06-23 19:11  dmik

	* src/kernel/: qapplication_pm.cpp, qwidget_pm.cpp:
	  - Fixed creation of widgets with the WStyle_NoBorder flag: they
	  didn't receive activation messages from the system; now a WC_FRAME
	  window is created for them as well as for other top-level widgets
	  except popups.

2004-06-23 19:05  dmik

	* src/widgets/qtitlebar.cpp:
	  - Adapted for OS/2: it now uses PM system color settings for
	  titlebar colors.

2004-06-23 16:30  dmik

	* src/kernel/: qpaintdevice_pm.cpp, qpixmap_pm.cpp:
	  - Fixed QPixmap::convertFromImage(): in some cases, when a 8-bit
	  image palette had less than 256 entries, it failed with a trap
	  (SYS3175).

2004-06-23 16:25  dmik

	* src/kernel/qpainter_pm.cpp:
	  - Fixed QPainter::begin(): starting painting on a desktop widget
	  caused a trap (SYS3175).

2004-06-23 13:15  dmik

	* examples/addressbook/addressbook.doc,
	  examples/addressbook/addressbook.pro,
	  examples/addressbook/centralwidget.cpp,
	  examples/addressbook/centralwidget.h,
	  examples/addressbook/fileopen.xpm,
	  examples/addressbook/fileprint.xpm,
	  examples/addressbook/filesave.xpm, examples/addressbook/main.cpp,
	  examples/addressbook/mainwindow.cpp,
	  examples/addressbook/mainwindow.h, examples/fonts/fonts.pro,
	  examples/fonts/simple-qfont-demo/simple-qfont-demo.cpp,
	  examples/fonts/simple-qfont-demo/simple-qfont-demo.doc,
	  examples/fonts/simple-qfont-demo/simple-qfont-demo.pro,
	  examples/fonts/simple-qfont-demo/viewer.cpp,
	  examples/fonts/simple-qfont-demo/viewer.h,
	  examples/forever/README, examples/forever/forever.cpp,
	  examples/forever/forever.doc, examples/forever/forever.h,
	  examples/forever/forever.pro, examples/gridview/gridview.cpp,
	  examples/gridview/gridview.pro, examples/hello/README,
	  examples/hello/hello.cpp, examples/hello/hello.doc,
	  examples/hello/hello.h, examples/hello/hello.pro,
	  examples/hello/main.cpp, examples/life/life.cpp,
	  examples/life/life.doc, examples/life/life.h,
	  examples/life/life.pro, examples/life/lifedlg.cpp,
	  examples/life/lifedlg.h, examples/life/main.cpp,
	  examples/life/patterns.cpp, examples/tabdialog/main.cpp,
	  examples/tabdialog/tabdialog.cpp,
	  examples/tabdialog/tabdialog.doc, examples/tabdialog/tabdialog.h,
	  examples/tabdialog/tabdialog.pro, examples/wizard/main.cpp,
	  examples/wizard/wizard.cpp, examples/wizard/wizard.doc,
	  examples/wizard/wizard.h, examples/wizard/wizard.pro,
	  include/qaction.h, include/qmultilinedit.h,
	  include/qmultilineedit.h, src/widgets/qaction.cpp,
	  src/widgets/qmultilineedit.cpp: Imported Qt 3.3.1 original
	  sources

2004-06-23 13:15  dmik

	* examples/addressbook/addressbook.doc,
	  examples/addressbook/addressbook.pro,
	  examples/addressbook/centralwidget.cpp,
	  examples/addressbook/centralwidget.h,
	  examples/addressbook/fileopen.xpm,
	  examples/addressbook/fileprint.xpm,
	  examples/addressbook/filesave.xpm, examples/addressbook/main.cpp,
	  examples/addressbook/mainwindow.cpp,
	  examples/addressbook/mainwindow.h, examples/fonts/fonts.pro,
	  examples/fonts/simple-qfont-demo/simple-qfont-demo.cpp,
	  examples/fonts/simple-qfont-demo/simple-qfont-demo.doc,
	  examples/fonts/simple-qfont-demo/simple-qfont-demo.pro,
	  examples/fonts/simple-qfont-demo/viewer.cpp,
	  examples/fonts/simple-qfont-demo/viewer.h,
	  examples/forever/README, examples/forever/forever.cpp,
	  examples/forever/forever.doc, examples/forever/forever.h,
	  examples/forever/forever.pro, examples/gridview/gridview.cpp,
	  examples/gridview/gridview.pro, examples/hello/README,
	  examples/hello/hello.cpp, examples/hello/hello.doc,
	  examples/hello/hello.h, examples/hello/hello.pro,
	  examples/hello/main.cpp, examples/life/life.cpp,
	  examples/life/life.doc, examples/life/life.h,
	  examples/life/life.pro, examples/life/lifedlg.cpp,
	  examples/life/lifedlg.h, examples/life/main.cpp,
	  examples/life/patterns.cpp, examples/tabdialog/main.cpp,
	  examples/tabdialog/tabdialog.cpp,
	  examples/tabdialog/tabdialog.doc, examples/tabdialog/tabdialog.h,
	  examples/tabdialog/tabdialog.pro, examples/wizard/main.cpp,
	  examples/wizard/wizard.cpp, examples/wizard/wizard.doc,
	  examples/wizard/wizard.h, examples/wizard/wizard.pro,
	  include/qaction.h, include/qmultilinedit.h,
	  include/qmultilineedit.h, src/widgets/qaction.cpp,
	  src/widgets/qmultilineedit.cpp: Initial revision

2004-06-23 11:26  dmik

	* examples/menu/menu.cpp, examples/menu/menu.doc,
	  examples/menu/menu.h, examples/menu/menu.pro,
	  include/qerrormessage.h, include/qinputdialog.h,
	  include/qtabdialog.h, include/qtabdlg.h, include/qwizard.h,
	  src/dialogs/qerrormessage.cpp, src/dialogs/qinputdialog.cpp,
	  src/dialogs/qtabdialog.cpp, src/dialogs/qwizard.cpp,
	  src/widgets/qtabbar.cpp, src/widgets/qtabwidget.cpp,
	  src/widgets/qtoolbox.cpp: Imported Qt 3.3.1 original sources

2004-06-23 11:26  dmik

	* examples/menu/menu.cpp, examples/menu/menu.doc,
	  examples/menu/menu.h, examples/menu/menu.pro,
	  include/qerrormessage.h, include/qinputdialog.h,
	  include/qtabdialog.h, include/qtabdlg.h, include/qwizard.h,
	  src/dialogs/qerrormessage.cpp, src/dialogs/qinputdialog.cpp,
	  src/dialogs/qtabdialog.cpp, src/dialogs/qwizard.cpp,
	  src/widgets/qtabbar.cpp, src/widgets/qtabwidget.cpp,
	  src/widgets/qtoolbox.cpp: Initial revision

2004-06-22 20:02  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Added support of OS/2 system fonts for widgets: now Qt
	  applications use the PM Scheme Palette settings to choose default
	  widget fonts if QApplication::desktopSettingsAware() is TRUE (which
	  is by default).

2004-06-22 19:57  dmik

	* src/kernel/qfontengine_pm.cpp:
	  - Changed QFontEngine::lineThickness() and underlinePosition(): now
	  they use the corresponding values from the font definition to let
	  underlined fonts look similar to other OS/2 apps.

2004-06-22 16:13  dmik

	* src/kernel/: qapplication_pm.cpp, qwidget.cpp, qwidget_pm.cpp:
	  - Implemented QWidget::reparent(); tearing off menus seems to works
	  well.
	  - Changed widget creation: the WStyle_Tool flag is now specially
	  handled when it is not combined with WStyle_Customize -- the
	  resulting window gets a thin border and a title (it violates the Qt
	  docs about WStyle_* flags, but it is used by QPopupMenu to create
	  torn-off menus).
	  - Fixed the automatic mouse capture when opening popup widgets: if
	  there are no mouse buttons remaining pressed at a time when a popup
	  is opened (for example, from a QContextMenuEvent handler) it doesn't
	  capture the mouse input outside its boundaries anymore.

2004-06-22 16:02  dmik

	* src/widgets/qpopupmenu.cpp:
	  - Changed QPopupMenu::mouseReleaseEvent(): a beep is now heard when
	  the user selects a disabled menu item with a mouse -- to conform to
	  the standard OS/2 CUA.

2004-06-22 12:50  dmik

	* src/kernel/qcursor_pm.cpp:
	  - Fixed QCursor::pos(): y coordinate was returned relative to the
	  bottom of the screen rather than to the top.

2004-06-21 16:37  dmik

	* src/kernel/: qapplication_pm.cpp, qwidget_pm.cpp:
	  - Improved the behavior of the standard system menu:
	  * OS/2-default accelerators for menu entries (move, size, etc.) are
	  now removed from the menu text because these accelerators are
	  disabled in Qt/OS2 to avoid possible conflicts with multiplatform Qt
	  applications that use Alt-F7, Alt-F8, etc. for their own purposes.
	  * The system menu can now be completely closed by a single ESC
	  press; previously this brought us to its "menu bar", whose active
	  state could not be seen in frame windows with an icon and therefore
	  confused the user.

2004-06-20 20:36  dmik

	* include/qpixmap.h, src/kernel/qpaintdevice_pm.cpp,
	  src/kernel/qpixmap_pm.cpp:
	  - Fixed QPixmap::convertToImage(): pixmaps with a mask were not
	  converted properly to images with alpha.
	  - Fixed ::bitBlt(): bitmaps (1-bpp pixmaps) with a mask might have
	  been drawn in wrong colors in some cases.

2004-06-19 02:10  dmik

	* src/styles/qcommonstyle.cpp:
	  - [Qt misbehavior]
	  QCommonStyle::drawPrimitive(PE_CheckListController): the icon for
	  this primitive was always scaled to fit the supplied rectangle; now
	  it is scaled only of it is larger, otherwise (and this is more
	  frequent case) it is centered in the rectangle, giving much more
	  accurate look.

2004-06-18 19:06  dmik

	* tutorial/t14/cannon.cpp:
	  - [Qt bug]: CannonField::paintCannon() the cannon base left
	  one-pixel line unpainted under it (at least on Win32 and OS/2).

2004-06-18 16:35  dmik

	* include/qpixmap.h, src/kernel/qpaintdevice_pm.cpp,
	  src/kernel/qpixmap_pm.cpp:
	  - Improved drawing pixmaps with masks:
	  * the black flicker (appeared due to a black-source method for
	  transparency) is no more visible (internal doublebuffering is used
	  for this, which slightly decreases the speed).
	  * now it's possible to use all available ROP operations with masked
	  pixmaps (not only  CopyROP and XorROP as before).

2004-06-18 16:26  dmik

	* src/kernel/qpainter_pm.cpp:
	  - Fixed QPainter::updateBrush(): pixmap brushes set on this painter
	  were not properly updated; as a result, figures were always filled
	  with black.
	  - Fixed QPainter::setBrushOrigin(): the origin was always shifted 1
	  pixel downwards from the requested.

2004-06-17 21:43  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Improved QEvent::ContextMenu handling: PM mouse system settings
	  for this are now obeyed; pressing the Windows context menu key on
	  extended keyboards also sends this event.

2004-06-17 19:45  dmik

	* src/widgets/qsplitter.cpp:
	  - [Qt improvement] Optimized QSplitter::setRubberband( int p ): the
	  rubberband is now moving without a flicker

2004-06-17 15:00  dmik

	* src/kernel/: qpaintdevice_pm.cpp, qpainter_pm.cpp:
	  - Fixed QPainter::begin() and ::bitBlt: requesting unclipped
	  painting (via the WPaintUnclipped widget flag or the corresponding
	  parameter of begin()) for top level widgets caused the painter's
	  origin to be shifted leftwards and downwards by the widget's frame
	  width and height.

2004-06-17 01:58  dmik

	* src/dialogs/qfiledialog.cpp:
	  - Improved QFileDialog: added OS/2-specific code to exclude hidden
	  files from the listing when the corresponding popup menu flag is
	  set.

2004-06-16 19:31  dmik

	* os2-doc/: ChangeLog, changes.html:
	  - rc02 changes

2004-06-16 18:51  dmik

	* src/kernel/qpainter_pm.cpp:
	  - Changed QPainter::drawWinFocusRect(...,QColor): now it draws white
	  points instead of black if the gray value of the given color is 128
	  and less (the threshold was less than 120 before).
	  - Fixed XOR version of QPainter::drawWinFocusRect(): due to a bug in
	  OS/2 GPI the focus rectange was drawn wrongly if there was a clip
	  region set.

2004-06-16 18:41  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Corrected a typo.

2004-06-16 18:40  dmik

	* src/kernel/qwidget_pm.cpp:
	  - Fixed QWidget::erase(QRegion): it left the region flipped (i.e. in
	  GPI coordinates) which produced wrong results if the region was used
	  again later.

2004-06-16 03:03  dmik

	* src/dialogs/qmessagebox.cpp:
	  - Changed QMessageBox::showEvent(): when Qt is compiled on OS/2
	  without the accessibility support (which is currently the only case
	  for this platform), it plays a sound corresponding to the messagebox
	  type directly, not through QAccessible::updateAccessibility().
	  Probably, this will be changed later, as soon as the accessibility
	  support is implemented on OS/2.

2004-06-15 20:20  dmik

	* examples/examples.pro:
	  - Corrected a typo.

2004-06-15 19:55  dmik

	* .qtos2defines, src/dialogs/qt_dialogs.pri,
	  src/kernel/qt_kernel.pri, examples/examples.pro,
	  src/widgets/qt_widgets.pri:
	  - Added classes:
	  * kernel: QStyleSheet, QSimpleRichText;
	  * widgets: QGridView, QSpinBox, QSyntaxHighlighter, QTextEdit,
	  QTextView;
	  * dialogs: QColorDialog, QFontDialog
	  - Added examples: lineedits, listboxcombo, listviews, progressbar.

2004-06-15 19:28  dmik

	* examples/lineedits/lineedits.cpp,
	  examples/lineedits/lineedits.doc, examples/lineedits/lineedits.h,
	  examples/lineedits/lineedits.pro, examples/lineedits/main.cpp,
	  examples/listboxcombo/fileopen.xpm,
	  examples/listboxcombo/listboxcombo.cpp,
	  examples/listboxcombo/listboxcombo.doc,
	  examples/listboxcombo/listboxcombo.h,
	  examples/listboxcombo/listboxcombo.pro,
	  examples/listboxcombo/main.cpp, examples/listboxcombo/qtlogo.png,
	  examples/listviews/listviews.cpp,
	  examples/listviews/listviews.doc, examples/listviews/listviews.h,
	  examples/listviews/listviews.pro, examples/listviews/main.cpp,
	  examples/progressbar/main.cpp,
	  examples/progressbar/progressbar.cpp,
	  examples/progressbar/progressbar.doc,
	  examples/progressbar/progressbar.h,
	  examples/progressbar/progressbar.pro, src/widgets/qspinbox.cpp:
	  Imported Qt 3.3.1 original sources

2004-06-15 19:28  dmik

	* examples/lineedits/lineedits.cpp,
	  examples/lineedits/lineedits.doc, examples/lineedits/lineedits.h,
	  examples/lineedits/lineedits.pro, examples/lineedits/main.cpp,
	  examples/listboxcombo/fileopen.xpm,
	  examples/listboxcombo/listboxcombo.cpp,
	  examples/listboxcombo/listboxcombo.doc,
	  examples/listboxcombo/listboxcombo.h,
	  examples/listboxcombo/listboxcombo.pro,
	  examples/listboxcombo/main.cpp, examples/listboxcombo/qtlogo.png,
	  examples/listviews/listviews.cpp,
	  examples/listviews/listviews.doc, examples/listviews/listviews.h,
	  examples/listviews/listviews.pro, examples/listviews/main.cpp,
	  examples/progressbar/main.cpp,
	  examples/progressbar/progressbar.cpp,
	  examples/progressbar/progressbar.doc,
	  examples/progressbar/progressbar.h,
	  examples/progressbar/progressbar.pro, src/widgets/qspinbox.cpp:
	  Initial revision

2004-06-15 19:22  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Implemented mouse wheel handling (including QEvent::Wheel
	  processing).
	  - Fixed popup handling: if a popup was closed by clicking on an
	  inactive Qt window, that window became active in PM but not in Qt.

2004-06-15 19:14  dmik

	* src/: kernel/qrichtext.cpp, widgets/qtextedit.cpp:
	  - Adapted for OS/2

2004-06-15 19:12  dmik

	* src/kernel/: qfontdata_p.h, qfontdatabase.cpp,
	  qfontdatabase_pm.cpp:
	  - Fixed QFontDatabase: point sizes for bitmap (non-scalable) fonts
	  were reported multiplied by 10.
	  - Changed QFontDatabase::families(scrpit) functionality: now it
	  returns all fonts installed when script = QFont::UnknownScript and
	  nothing otherwise. This is a temporary solution to let QFontDialog
	  work.
	  - Fixed font matching algorithm for the "System VIO" font: not all
	  its sizes were available.

2004-06-15 15:42  dmik

	* include/qtextedit.h:
	  - Explicitly commented out slots that use QMime and QClipboard  (we
	  need this since MOC ignores preprocessor macros and defines these
	  slots anyway which produces compile errors)

2004-06-15 11:54  dmik

	* include/qfontdialog.h, src/dialogs/qfontdialog.cpp: Imported Qt
	  3.3.1 original sources

2004-06-15 11:54  dmik

	* include/qfontdialog.h, src/dialogs/qfontdialog.cpp: Initial
	  revision

2004-06-15 11:31  dmik

	* include/qcolordialog.h, include/qgridview.h,
	  include/qsyntaxhighlighter.h, include/qtextbrowser.h,
	  include/qtextedit.h, include/qtextview.h,
	  src/dialogs/qcolordialog.cpp, src/kernel/qrichtext.cpp,
	  src/kernel/qrichtext_p.cpp, src/kernel/qrichtext_p.h,
	  src/kernel/qsimplerichtext.cpp, src/kernel/qstylesheet.cpp,
	  src/widgets/qgridview.cpp, src/widgets/qsyntaxhighlighter.cpp,
	  src/widgets/qsyntaxhighlighter_p.h, src/widgets/qtextbrowser.cpp,
	  src/widgets/qtextedit.cpp, src/widgets/qtextview.cpp: Imported Qt
	  3.3.1 original sources

2004-06-15 11:31  dmik

	* include/qcolordialog.h, include/qgridview.h,
	  include/qsyntaxhighlighter.h, include/qtextbrowser.h,
	  include/qtextedit.h, include/qtextview.h,
	  src/dialogs/qcolordialog.cpp, src/kernel/qrichtext.cpp,
	  src/kernel/qrichtext_p.cpp, src/kernel/qrichtext_p.h,
	  src/kernel/qsimplerichtext.cpp, src/kernel/qstylesheet.cpp,
	  src/widgets/qgridview.cpp, src/widgets/qsyntaxhighlighter.cpp,
	  src/widgets/qsyntaxhighlighter_p.h, src/widgets/qtextbrowser.cpp,
	  src/widgets/qtextedit.cpp, src/widgets/qtextview.cpp: Initial
	  revision

2004-06-15 01:06  dmik

	* src/kernel/qpainter_pm.cpp:
	  - Fixed QPainter::drawPolyInternal(): it modified the original point
	  array, which produced wrong results if the array was subsequently
	  used for drawing. Now it does a copy.

2004-06-14 23:48  dmik

	* src/kernel/qeventloop_pm.cpp:
	  - Changed starting zero timers: the delay between starting a zero
	  timer and emitting its first signal was too long (could be several
	  times longer than for regular 1 ms timers). Now it is comparable.

2004-06-14 23:44  dmik

	* include/qpainter.h, include/qwindowdefs_pm.h,
	  src/kernel/qapplication_pm.cpp, src/kernel/qpaintdevice_pm.cpp,
	  src/kernel/qpainter_pm.cpp, src/kernel/qregion_pm.cpp,
	  src/kernel/qwidget_pm.cpp:
	  - Changed QWidget::repaint() functionality. Now the QPaintEvent that
	  follows immediately after repaint() will have its rect() and
	  region() equal to those passed to repaint(). It's turned out that
	  some widgets (for example, QListView) strictly rely on this and
	  produce an infinite number of repaint events (which gives 100% CPU
	  load and can lead to a PM hang) when the area passed to repaint()
	  differs from that one reported by QPaintEvent's methods.
	  - Added support of OS/2 system colors for widgets: now Qt
	  applications use the PM Scheme Palette color settings if
	  QApplication::desktopSettingsAware() is TRUE (which is by default).

2004-06-11 22:04  dmik

	* include/qpixmap.h, src/kernel/qpaintdevice_pm.cpp,
	  src/kernel/qpixmap.cpp, src/kernel/qpixmap_pm.cpp:
	  - FIxed ::bitBlt(): due to a limitation of OS/2 GRE (or the majority
	  of video drivers?) regarding to bitmap patterns, pixmaps with the
	  mask were not drawn correctly; now they do. This fix also makes the
	  optimization setting for such pixmaps meaningful
	  (NoOptim/MemoryOptim optimizes for memory, NormalOptim/BestOptim --
	  for speed).

2004-06-11 21:46  dmik

	* src/kernel/qiconset.cpp: [Qt misbehavior] Changed
	  QIconSet::createDisabled(): it used base() and foreground() colors
	  of the disabled() QColorGroup from the standard app palette for the
	  risen and sunken effects correspondingly when generating the
	  disabled icon. But that base() color is the same as background() in
	  the standard (non-themed) palette, which eliminated the 3D effect
	  (disabled icon became just a one-color shade). Now it uses light()
	  and dark() instead, which looks more logical as well. Also, disabled
	  icons in Qt/Win32 (using Windows style) do not look too dark any
	  more.

2004-06-11 20:48  dmik

	* src/kernel/qiconset.cpp: [Qt bug] Fixed
	  QIconSet::createDisabled(): disabled icons were wrongly generated
	  when the QApplication::palette().disabled().base() color was other
	  than white.

2004-06-10 15:48  dmik

	* src/tools/qfileinfo_pm.cpp:
	  - Changed QFileInfo::isDir(): now it reports true for paths like
	  "//server/share" or "x:/" even if they don't actually exist -- it's
	  done for compatibility with Qt/Win32.

2004-06-10 15:45  dmik

	* src/tools/qdir_pm.cpp:
	  - Fixed QDir::canonicalPath(): accidentally it changed the current
	  dir on the drive it represented, which could make it impossible to
	  remove or rename a directory with QDir::rmdir()/rename() --
	  QFileDialog was the example of such poor behavior.

2004-06-10 15:30  dmik

	* src/kernel/qurl.cpp:
	  - Adapted for OS/2

2004-06-10 00:10  dmik

	* src/kernel/: qapplication_pm.cpp, qwidget.cpp, qwidget_pm.cpp:
	  - Changed: now dialog windows get resizeable frame by default (for
	  compatibility with Qt/Win32).
	  - Fixed: setting top-level widget's child as a parent for other
	  top-level widget caused a trap in PMMERGE.DLL.
	  - Fixed modality and popup support (many changes related to this):
	  * widgets could be blocked twice by the second and the following
	  modal widgets; likewise, they could be unblocked too early by closed
	  modals while other modals were still existing.
	  * secondary top-level widgets could not be blocked by modals
	  sometimes; also the WGroupLeader flag was not obeyed in some cases
	  when choosing what widgets to block.
	  * newly shown modal widgets did not block other modals if they
	  existed (only one modal must be active at a time in Qt).
	  * a modal widget launched by the other modal that had a parent
	  caused stack overflow and SYS3171.
	  * popup widgets launched from modals were covered by them and it was
	  not possible to make them visible.
	  * popup widgets did not disappear when the user clicked on the
	  disabled Qt window.
	  - Fixed: mouse events now contain correct key state for LWIN/RWIN
	  and AltGr.

2004-06-09 22:48  dmik

	* include/qwindowdefs_pm.h, src/kernel/qfontengine_pm.cpp,
	  src/kernel/qpaintdevice_pm.cpp, src/kernel/qpainter_pm.cpp:
	  - Changed prefix LCID_* to LCID_Q* in special Qt constants, for
	  clarity.
	  - qwindowdefs_pm.h: added QWL_QTMODAL window data field to store the
	  modal widget pointer that made the given window blocked.

2004-06-05 21:21  dmik

	* src/widgets/qlabel.cpp:
	  - [QT bug] Fixed setText(): '&'-accels in labels were not
	  recognizable if Qt was compiled with QT_NO_RICHTEXT macro.

2004-06-05 17:42  dmik

	* src/widgets/qlabel.cpp:
	  - [Qt bug] Fixed resizeEvent(): cr.right() and cr.bottom() are
	  inclusive, so we must add 1 to get the width and height.

2004-06-04 04:16  dmik

	* os2-doc/: ChangeLog, changes.html:
	  - rc01 changes

2004-06-04 03:48  dmik

	* bin/configure.cmd:
	  - Added dialogs module.

2004-06-04 03:31  dmik

	* examples/examples.pro:
	  - Added a few more examples.

2004-06-04 03:26  dmik

	* examples/: buttongroups/README, buttongroups/buttongroups.cpp,
	  buttongroups/buttongroups.doc, buttongroups/buttongroups.h,
	  buttongroups/buttongroups.pro, buttongroups/main.cpp,
	  checklists/checklists.cpp, checklists/checklists.doc,
	  checklists/checklists.h, checklists/checklists.pro,
	  checklists/main.cpp, popup/README, popup/popup.cpp,
	  popup/popup.doc, popup/popup.h, popup/popup.pro, progress/README,
	  progress/progress.cpp, progress/progress.doc,
	  progress/progress.pro, tooltip/README, tooltip/main.cpp,
	  tooltip/tooltip.cpp, tooltip/tooltip.doc, tooltip/tooltip.h,
	  tooltip/tooltip.pro: Imported Qt 3.3.1 original sources

2004-06-04 03:26  dmik

	* examples/: buttongroups/README, buttongroups/buttongroups.cpp,
	  buttongroups/buttongroups.doc, buttongroups/buttongroups.h,
	  buttongroups/buttongroups.pro, buttongroups/main.cpp,
	  checklists/checklists.cpp, checklists/checklists.doc,
	  checklists/checklists.h, checklists/checklists.pro,
	  checklists/main.cpp, popup/README, popup/popup.cpp,
	  popup/popup.doc, popup/popup.h, popup/popup.pro, progress/README,
	  progress/progress.cpp, progress/progress.doc,
	  progress/progress.pro, tooltip/README, tooltip/main.cpp,
	  tooltip/tooltip.cpp, tooltip/tooltip.doc, tooltip/tooltip.h,
	  tooltip/tooltip.pro: Initial revision

2004-06-04 03:21  dmik

	* .qtos2defines, src/dialogs/qt_dialogs.pri,
	  src/kernel/qt_kernel.pri, src/widgets/qt_widgets.pri:
	  - dialogs: added QFileDialog.
	  - kernel, widgets: lots of new classes, see changelog.

2004-06-04 03:03  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Changed handling of Alt-F4 for top-level widgets that do not have
	  the system menu: they ignored it; now they close themselves.
	  - Changed WM_PAINT handling: QWidget::erase() wasn't called if
	  either WRepaintNoErase or WResizeNoErase were set; now they both
	  must be set to disable erase().

2004-06-04 02:55  dmik

	* src/dialogs/qfiledialog.cpp:
	  - Adapted for OS/2

2004-06-04 02:54  dmik

	* src/kernel/qeventloop_pm.cpp:
	  - Small fixes of timer handling.

2004-06-04 02:52  dmik

	* src/kernel/qwidget_pm.cpp:
	  - Fixed create(): WinQueryDesktopWindow() passed as an owner (when
	  the widget's parent was QDesktopWidget) to WinCreateWindow()  caused
	  100% CPU load; now HWND_DESKTOP is used instead .
	  - Changed create(): WPaintUnclipped is ignored for now (it causes
	  terrible flicker in QFileDialog's list boxes). Btw, Qt/Win32 does
	  the same.
	  - Implemented scroll().

2004-06-03 22:34  dmik

	* src/kernel/qfontengine_pm.cpp:
	  - Fixed QFontEnginePM::draw(): sometimes QPainter could come with
	  DirtyFont flag set, which caused text do be drawn with the wrong
	  font; now the font is updated in such cases.

2004-06-03 21:02  dmik

	* include/qlocalfs.h, include/qwidgetstack.h,
	  src/kernel/qlocalfs.cpp, src/kernel/qnetworkprotocol.cpp,
	  src/kernel/qurl.cpp, src/kernel/qurlinfo.cpp,
	  src/kernel/qurloperator.cpp, src/widgets/qwidgetstack.cpp:
	  Imported Qt 3.3.1 original sources

2004-06-03 21:02  dmik

	* include/qlocalfs.h, include/qwidgetstack.h,
	  src/kernel/qlocalfs.cpp, src/kernel/qnetworkprotocol.cpp,
	  src/kernel/qurl.cpp, src/kernel/qurlinfo.cpp,
	  src/kernel/qurloperator.cpp, src/widgets/qwidgetstack.cpp:
	  Initial revision

2004-06-03 20:21  dmik

	* include/: qlistview.h, qscrollview.h:
	  - Explicitly commented out slots that use QDrag* and QDrop* classes
	  (we need this since MOC ignores preprocessor macros and defines
	  these slots anyway which produces compile errors)

2004-06-03 20:18  dmik

	* include/qfiledialog.h, include/qfiledlg.h,
	  include/qnetworkprotocol.h, include/qurl.h, include/qurlinfo.h,
	  include/qurloperator.h, src/dialogs/qfiledialog.cpp: Imported Qt
	  3.3.1 original sources

2004-06-03 20:18  dmik

	* include/qfiledialog.h, include/qfiledlg.h,
	  include/qnetworkprotocol.h, include/qurl.h, include/qurlinfo.h,
	  include/qurloperator.h, src/dialogs/qfiledialog.cpp: Initial
	  revision

2004-06-03 00:49  dmik

	* src/widgets/qwidgetresizehandler.cpp:
	  - Adapted for OS/2.

2004-06-03 00:19  dmik

	* src/kernel/qpainter_pm.cpp:
	  - Fixed: Qt::NoPen pen style caused lines to be drawn by the current
	  painter's background color (in the opaque background mode) instead
	  of being totally invisible.

2004-06-02 20:42  dmik

	* include/qsplitter.h, src/widgets/qsplitter.cpp: Imported Qt 3.3.1
	  original sources

2004-06-02 20:42  dmik

	* include/qsplitter.h, src/widgets/qsplitter.cpp: Initial revision

2004-06-02 20:31  dmik

	* include/qtooltip.h, src/widgets/qcombobox.cpp,
	  src/widgets/qdialogbuttons.cpp, src/widgets/qdockarea.cpp,
	  src/widgets/qdockwindow.cpp, src/widgets/qheader.cpp,
	  src/widgets/qlistbox.cpp, src/widgets/qlistview.cpp,
	  src/widgets/qscrollbar.cpp, src/widgets/qscrollview.cpp,
	  src/widgets/qtitlebar.cpp, src/widgets/qtoolbar.cpp,
	  src/widgets/qtoolbutton.cpp, src/widgets/qtooltip.cpp,
	  src/widgets/qwidgetresizehandler.cpp,
	  src/widgets/qwidgetresizehandler_p.h: Imported Qt 3.3.1 original
	  sources

2004-06-02 20:31  dmik

	* include/qtooltip.h, src/widgets/qcombobox.cpp,
	  src/widgets/qdialogbuttons.cpp, src/widgets/qdockarea.cpp,
	  src/widgets/qdockwindow.cpp, src/widgets/qheader.cpp,
	  src/widgets/qlistbox.cpp, src/widgets/qlistview.cpp,
	  src/widgets/qscrollbar.cpp, src/widgets/qscrollview.cpp,
	  src/widgets/qtitlebar.cpp, src/widgets/qtoolbar.cpp,
	  src/widgets/qtoolbutton.cpp, src/widgets/qtooltip.cpp,
	  src/widgets/qwidgetresizehandler.cpp,
	  src/widgets/qwidgetresizehandler_p.h: Initial revision

2004-06-02 18:37  dmik

	* src/kernel/qpainter_pm.cpp:
	  - Changed: pen width greater than 0 caused QPainter to draw
	  geometric lines; now geometric lines are drawn for widths greater
	  than 1 -- this gives 1-pixel wide lines an opportunity to use pen
	  styles. Previously, only 0-pixel wide lines used them because GPI
	  doesn't support line styles for geometric lines.
	  - Replaced: cpen.color() is used instead of cpen.data->color; for
	  clarity.

2004-06-02 18:09  dmik

	* src/kernel/qregion_pm.cpp: contains(QRect&): fixed: rectangles
	  partially overlapped by this region returned FALSE; now they return
	  TRUE.

2004-06-02 18:06  dmik

	* src/kernel/qwidget_pm.cpp:
	  - create(): some fixes of debug messages.
	  - showWindow(): now WStyle_Dialog widgets with no parent also create
	  a window list entry for themselves.
	  - Fixed erase(QRegion&): old clip region was not deselected from hps
	  before combining, which resulted into erasing nothing.

2004-06-02 13:53  dmik

	* .qtos2defines, Makefile.os2-g++, src/qt.pro,
	  src/dialogs/qt_dialogs.pri, src/widgets/qt_widgets.pri:
	  - dialogs: added dialogs module, QDialog, QMessageBox and
	  QProgressDialog classes.
	  - widgets: added QPopupMenu, QMenuBar, QMenuData, QLineEdit,
	  QValidator, QProgressBar and QStatusBar classes.

2004-06-02 13:45  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Implemented modal and popup widget functionality.
	  - Some keyboard and mouse move handling fixes.
	  - Implemented QApplication::cursorFlashTime(), setCursorFlashTime(),
	  doubleClickInterval() and setDoubleClickInterval() methods.

2004-06-02 13:36  dmik

	* src/kernel/qapplication.cpp:
	  - qmessagebox.h is included now.

2004-06-02 13:33  dmik

	* src/kernel/qwidget.cpp:
	  - Now setFocus() and clearFocus() do not use
	  WinSetFocus()/WinQueryFocus(). This seems not to be necessary at all
	  (Qt completely handles focus traversal itself) and slightly
	  simplifies focus handlig in some cases.

2004-06-02 13:30  dmik

	* src/kernel/qeventloop_pm.cpp:
	  - Fixed: when ExcludeUserInput was specified messages that need to
	  be "eaten" were not defined correctly.

2004-06-02 13:27  dmik

	* mkspecs/os2-g++/qmake.conf:
	  - Fixed the temporary solution to let makefiles generated from
	  'subdirs' projects work correctly (MINGW generator is buggy here).

2004-06-02 12:54  dmik

	* src/kernel/qabstractlayout.cpp:
	  - Removed temporary comments. Now this file is the exact copy of the
	  release 3.3.1 of Qt/Win32, so its revision is forced to be 2.0

2004-06-02 12:52  dmik

	* include/qpushbutton.h:
	  - Uncommented temporary comments. Now this file is the exact copy of
	  the release 3.3.1 of Qt/Win32, so its revision is forced to be 2.0

2004-06-02 12:47  dmik

	* include/qlineedit.h:
	  - Explicitly commented out slots that use QClipboard  (we need this
	  since MOC ignores preprocessor macros and defines these slots anyway
	  which produces compile errors)

2004-06-01 13:38  dmik

	* src/widgets/qlineedit.cpp:
	  - Adapted for OS/2

2004-06-01 13:17  dmik

	* src/widgets/qstatusbar.cpp: Imported Qt 3.3.1 original sources

2004-06-01 13:17  dmik

	* src/widgets/qstatusbar.cpp: Initial revision

2004-06-01 12:31  dmik

	* include/qprogressdialog.h, include/qsemimodal.h,
	  src/dialogs/qprogressdialog.cpp, src/widgets/qprogressbar.cpp:
	  Imported Qt 3.3.1 original sources

2004-06-01 12:31  dmik

	* include/qprogressdialog.h, include/qsemimodal.h,
	  src/dialogs/qprogressdialog.cpp, src/widgets/qprogressbar.cpp:
	  Initial revision

2004-05-31 17:12  dmik

	* include/qclipboard.h, include/qclipbrd.h, include/qlined.h,
	  include/qlineedit.h, include/qvalidator.h,
	  src/widgets/qlineedit.cpp, src/widgets/qvalidator.cpp: Imported
	  Qt 3.3.1 original sources

2004-05-31 17:12  dmik

	* include/qclipboard.h, include/qclipbrd.h, include/qlined.h,
	  include/qlineedit.h, include/qvalidator.h,
	  src/widgets/qlineedit.cpp, src/widgets/qvalidator.cpp: Initial
	  revision

2004-05-28 18:51  dmik

	* include/qmainwindow.h, include/qmessagebox.h,
	  src/dialogs/qdialog.cpp, src/dialogs/qmessagebox.cpp,
	  src/dialogs/qt_dialogs.pri, src/widgets/qmainwindow.cpp,
	  src/widgets/qmenubar.cpp, src/widgets/qmenudata.cpp,
	  src/widgets/qpopupmenu.cpp: Imported Qt 3.3.1 original sources

2004-05-28 18:51  dmik

	* include/qmainwindow.h, include/qmessagebox.h,
	  src/dialogs/qdialog.cpp, src/dialogs/qmessagebox.cpp,
	  src/dialogs/qt_dialogs.pri, src/widgets/qmainwindow.cpp,
	  src/widgets/qmenubar.cpp, src/widgets/qmenudata.cpp,
	  src/widgets/qpopupmenu.cpp: Initial revision

2004-05-27 20:48  dmik

	* os2-doc/: ChangeLog, changes.html, general.html:
	  - b02 changes and remarks.

2004-05-27 20:32  dmik

	* .qtos2defines, Makefile.os2-g++:
	  - Enabled automatic compilation of the Qt tutorial and examples.

2004-05-27 20:31  dmik

	* examples/examples.pro:
	  - currently only aclock and dclock examples can be compiled.

2004-05-27 20:31  dmik

	* mkspecs/os2-g++/qmake.conf:
	  - a temporary solution to let makefiles generated by qmake from
	  projects with the 'subdirs' template work correctly

2004-05-27 20:30  dmik

	* src/widgets/qt_widgets.pri:
	  - widgets: added class QSpinWidget.

2004-05-27 20:25  dmik

	* src/widgets/qspinwidget.cpp: Imported Qt 3.3.1 original sources

2004-05-27 20:25  dmik

	* src/widgets/qspinwidget.cpp: Initial revision

2004-05-27 19:36  dmik

	* examples/README, examples/examples.pro, examples/aclock/README,
	  examples/aclock/aclock.cpp, examples/aclock/aclock.doc,
	  examples/aclock/aclock.h, examples/aclock/aclock.pro,
	  examples/aclock/main.cpp, examples/dclock/README,
	  examples/dclock/dclock.cpp, examples/dclock/dclock.doc,
	  examples/dclock/dclock.h, examples/dclock/dclock.pro,
	  examples/dclock/main.cpp, tutorial/README, tutorial/tutorial.pro,
	  tutorial/t1/main.cpp, tutorial/t1/t1.pro,
	  tutorial/t10/cannon.cpp, tutorial/t10/cannon.h,
	  tutorial/t10/lcdrange.cpp, tutorial/t10/lcdrange.h,
	  tutorial/t10/main.cpp, tutorial/t10/t10.pro,
	  tutorial/t11/cannon.cpp, tutorial/t11/cannon.h,
	  tutorial/t11/lcdrange.cpp, tutorial/t11/lcdrange.h,
	  tutorial/t11/main.cpp, tutorial/t11/t11.pro,
	  tutorial/t12/cannon.cpp, tutorial/t12/cannon.h,
	  tutorial/t12/lcdrange.cpp, tutorial/t12/lcdrange.h,
	  tutorial/t12/main.cpp, tutorial/t12/t12.pro,
	  tutorial/t13/cannon.cpp, tutorial/t13/cannon.h,
	  tutorial/t13/gamebrd.cpp, tutorial/t13/gamebrd.h,
	  tutorial/t13/lcdrange.cpp, tutorial/t13/lcdrange.h,
	  tutorial/t13/main.cpp, tutorial/t13/t13.pro,
	  tutorial/t14/cannon.cpp, tutorial/t14/cannon.h,
	  tutorial/t14/gamebrd.cpp, tutorial/t14/gamebrd.h,
	  tutorial/t14/lcdrange.cpp, tutorial/t14/lcdrange.h,
	  tutorial/t14/main.cpp, tutorial/t14/t14.pro,
	  tutorial/t2/main.cpp, tutorial/t2/t2.pro, tutorial/t3/main.cpp,
	  tutorial/t3/t3.pro, tutorial/t4/main.cpp, tutorial/t4/t4.pro,
	  tutorial/t5/main.cpp, tutorial/t5/t5.pro, tutorial/t6/main.cpp,
	  tutorial/t6/t6.pro, tutorial/t7/lcdrange.cpp,
	  tutorial/t7/lcdrange.h, tutorial/t7/main.cpp, tutorial/t7/t7.pro,
	  tutorial/t8/cannon.cpp, tutorial/t8/cannon.h,
	  tutorial/t8/lcdrange.cpp, tutorial/t8/lcdrange.h,
	  tutorial/t8/main.cpp, tutorial/t8/t8.pro, tutorial/t9/cannon.cpp,
	  tutorial/t9/cannon.h, tutorial/t9/lcdrange.cpp,
	  tutorial/t9/lcdrange.h, tutorial/t9/main.cpp, tutorial/t9/t9.pro:
	  Imported Qt 3.3.1 original examples and tutorial

2004-05-27 19:36  dmik

	* examples/README, examples/examples.pro, examples/aclock/README,
	  examples/aclock/aclock.cpp, examples/aclock/aclock.doc,
	  examples/aclock/aclock.h, examples/aclock/aclock.pro,
	  examples/aclock/main.cpp, examples/dclock/README,
	  examples/dclock/dclock.cpp, examples/dclock/dclock.doc,
	  examples/dclock/dclock.h, examples/dclock/dclock.pro,
	  examples/dclock/main.cpp, tutorial/README, tutorial/tutorial.pro,
	  tutorial/t1/main.cpp, tutorial/t1/t1.pro,
	  tutorial/t10/cannon.cpp, tutorial/t10/cannon.h,
	  tutorial/t10/lcdrange.cpp, tutorial/t10/lcdrange.h,
	  tutorial/t10/main.cpp, tutorial/t10/t10.pro,
	  tutorial/t11/cannon.cpp, tutorial/t11/cannon.h,
	  tutorial/t11/lcdrange.cpp, tutorial/t11/lcdrange.h,
	  tutorial/t11/main.cpp, tutorial/t11/t11.pro,
	  tutorial/t12/cannon.cpp, tutorial/t12/cannon.h,
	  tutorial/t12/lcdrange.cpp, tutorial/t12/lcdrange.h,
	  tutorial/t12/main.cpp, tutorial/t12/t12.pro,
	  tutorial/t13/cannon.cpp, tutorial/t13/cannon.h,
	  tutorial/t13/gamebrd.cpp, tutorial/t13/gamebrd.h,
	  tutorial/t13/lcdrange.cpp, tutorial/t13/lcdrange.h,
	  tutorial/t13/main.cpp, tutorial/t13/t13.pro,
	  tutorial/t14/cannon.cpp, tutorial/t14/cannon.h,
	  tutorial/t14/gamebrd.cpp, tutorial/t14/gamebrd.h,
	  tutorial/t14/lcdrange.cpp, tutorial/t14/lcdrange.h,
	  tutorial/t14/main.cpp, tutorial/t14/t14.pro,
	  tutorial/t2/main.cpp, tutorial/t2/t2.pro, tutorial/t3/main.cpp,
	  tutorial/t3/t3.pro, tutorial/t4/main.cpp, tutorial/t4/t4.pro,
	  tutorial/t5/main.cpp, tutorial/t5/t5.pro, tutorial/t6/main.cpp,
	  tutorial/t6/t6.pro, tutorial/t7/lcdrange.cpp,
	  tutorial/t7/lcdrange.h, tutorial/t7/main.cpp, tutorial/t7/t7.pro,
	  tutorial/t8/cannon.cpp, tutorial/t8/cannon.h,
	  tutorial/t8/lcdrange.cpp, tutorial/t8/lcdrange.h,
	  tutorial/t8/main.cpp, tutorial/t8/t8.pro, tutorial/t9/cannon.cpp,
	  tutorial/t9/cannon.h, tutorial/t9/lcdrange.cpp,
	  tutorial/t9/lcdrange.h, tutorial/t9/main.cpp, tutorial/t9/t9.pro:
	  Initial revision

2004-05-27 19:11  dmik

	* .qtos2defines, src/widgets/qt_widgets.pri:
	  - widgets: added classes: QLCDNumber, QRangeControl, QSlider.

2004-05-27 19:09  dmik

	* src/kernel/qapplication_pm.cpp:
	  - KbdXlate() call has been replaced by using DosDevIOCtl()
	  direcltly, in a separate qt_scan2Ascii() function. However, this
	  method of calculating QKeyEvent::key() values is currently disabled
	  by the special qt_kbd_compatibility variable set to TRUE, due to
	  some problems with codepages.

2004-05-26 22:49  dmik

	* include/qlcdnum.h, include/qlcdnumber.h, include/qrangect.h,
	  src/widgets/qlcdnumber.cpp, src/widgets/qrangecontrol.cpp,
	  src/widgets/qslider.cpp: Imported Qt 3.3.1 original sources

2004-05-26 22:49  dmik

	* include/qlcdnum.h, include/qlcdnumber.h, include/qrangect.h,
	  src/widgets/qlcdnumber.cpp, src/widgets/qrangecontrol.cpp,
	  src/widgets/qslider.cpp: Initial revision

2004-05-26 21:52  dmik

	* .qtos2defines, src/qt.pro, src/kernel/qt_kernel.pri,
	  src/widgets/qt_widgets.pri:
	  - kernel: added QAccel and QKeySequence classes to the library
	  - The widgets module has been added to the library, including the
	  following classes: QButton, QButtonGroup, QLabel, QFrame,
	  QPushButton, QCheckButton, QRadioButton

2004-05-26 21:42  dmik

	* include/qapplication.h, src/kernel/qapplication_pm.cpp,
	  src/kernel/qwidget.cpp:
	  - Implemented focus handling (including QEvent::FocusIn, FocusOut
	  events), QEvent::WindowActivate, WindowDeactivate,  ContextMenu
	  event deliverance
	  - Implemented keyboard handling (including QEvent::keyPress and
	  keyRelease events), no DBCS support yet.

2004-05-26 21:34  dmik

	* include/qpushbutton.h:
	  - Explicitly commented out slots that use QPopupMenu  (we need this
	  since MOC ignores preprocessor macros and defines these slots anyway
	  which produces compile errors)

2004-05-26 21:32  dmik

	* src/tools/qstring.cpp:
	  - Fixed: fromLocal8Bit() did not pass the string length to
	  qt_os2MB2QString() assuming that the string is always
	  null-terminated

2004-05-26 21:31  dmik

	* src/kernel/qwidget_pm.cpp:
	  - Fixed: top-level widgets are deactivated when made hidden by
	  hide()

2004-05-24 17:21  dmik

	* include/qgrid.h, include/qhbox.h, include/qhbuttongroup.h,
	  include/qhgroupbox.h, include/qvbox.h, include/qvbuttongroup.h,
	  include/qvgroupbox.h, src/widgets/qgrid.cpp,
	  src/widgets/qhbox.cpp, src/widgets/qhbuttongroup.cpp,
	  src/widgets/qhgroupbox.cpp, src/widgets/qvbox.cpp,
	  src/widgets/qvbuttongroup.cpp, src/widgets/qvgroupbox.cpp:
	  Imported Qt 3.3.1 original sources

2004-05-24 17:21  dmik

	* include/qgrid.h, include/qhbox.h, include/qhbuttongroup.h,
	  include/qhgroupbox.h, include/qvbox.h, include/qvbuttongroup.h,
	  include/qvgroupbox.h, src/widgets/qgrid.cpp,
	  src/widgets/qhbox.cpp, src/widgets/qhbuttongroup.cpp,
	  src/widgets/qhgroupbox.cpp, src/widgets/qvbox.cpp,
	  src/widgets/qvbuttongroup.cpp, src/widgets/qvgroupbox.cpp:
	  Initial revision

2004-05-24 17:01  dmik

	* mkspecs/os2-g++/qmake.conf:
	  - Intermediate files containing compiler options and include paths
	  are now regenerated only if the project's makefile has been changed.

2004-05-24 14:31  dmik

	* src/kernel/: qapplication_pm.cpp, qwidget_pm.cpp:
	  - Added WC_FRAME subclassing (QtFrameProc) to take some control over
	  it.
	  - Impmemented logic to let QWidget::setMinimumSize() and
	  setMaximumSize() work.

2004-05-23 15:58  dmik

	* include/qpainter.h, src/kernel/qpainter_pm.cpp:
	  - Added a call to fix_neg_rect() to all primitives where
	  appropriate.
	  - Implemented drawRoundRect() and drawCubicBezier().

2004-05-23 14:55  dmik

	* include/qlabel.h:
	  - Explicitly commented out slots that use QMovie  (we need this
	  since MOC ignores preprocessor macros and defines these slots anyway
	  which produces compile errors)

2004-05-23 14:48  dmik

	* src/kernel/: qapplication_pm.cpp, qwidget_pm.cpp:
	  - Fixed QWidget::internalSetGeometry(): widget height for child
	  widgets is not calculated properly.
	  - Worked around QWidget::update(): PM doesn't handle WS_CLIPCHILDREN
	  correctly -- children receive WM_PAINT anyway if they overlap the
	  parent's update region. New update() should be used instead of
	  WinInvalidateRect() everywhere.

2004-05-20 20:40  dmik

	* src/kernel/qwidget_pm.cpp:
	  - Fixed: Window List entry was not always created correctly, it
	  always used the entry name of the first process that had set its
	  entry in the same session (OS/2 feature).

2004-05-20 19:34  dmik

	* src/widgets/qbuttongroup.cpp: Imported Qt 3.3.1 original sources

2004-05-20 19:34  dmik

	* src/widgets/qbuttongroup.cpp: Initial revision

2004-05-20 19:17  dmik

	* include/: qmovie.h, qstylesheet.h: Imported Qt 3.3.1 original
	  sources

2004-05-20 19:17  dmik

	* include/: qmovie.h, qstylesheet.h: Initial revision

2004-05-20 19:03  dmik

	* include/: qstatusbar.h, qwhatsthis.h: Imported Qt 3.3.1 original
	  sources

2004-05-20 19:03  dmik

	* include/: qstatusbar.h, qwhatsthis.h: Initial revision

2004-05-20 17:48  dmik

	* include/qbuttongroup.h, include/qdialog.h,
	  include/qsimplerichtext.h, src/widgets/qbutton.cpp,
	  src/widgets/qcheckbox.cpp, src/widgets/qeffects_p.h,
	  src/widgets/qframe.cpp, src/widgets/qgroupbox.cpp,
	  src/widgets/qlabel.cpp, src/widgets/qpushbutton.cpp,
	  src/widgets/qradiobutton.cpp, src/widgets/qt_widgets.pri:
	  Imported Qt 3.3.1 original sources

2004-05-20 17:48  dmik

	* include/qbuttongroup.h, include/qdialog.h,
	  include/qsimplerichtext.h, src/widgets/qbutton.cpp,
	  src/widgets/qcheckbox.cpp, src/widgets/qeffects_p.h,
	  src/widgets/qframe.cpp, src/widgets/qgroupbox.cpp,
	  src/widgets/qlabel.cpp, src/widgets/qpushbutton.cpp,
	  src/widgets/qradiobutton.cpp, src/widgets/qt_widgets.pri: Initial
	  revision

2004-05-20 16:19  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Implemented QEvent::Show, Hide, and Close  event delivery.

2004-05-20 16:07  dmik

	* src/kernel/qwidget_pm.cpp, include/qwidget.h:
	  - Fixed QWidget::destroy(): frame handle of top level windows had
	  been detected incorrectly.
	  - Window list entry for top level widgets now follows the visibility
	  state of the widget: it disappears when the widget is made hidden by
	  hide() (and appears again when it is show()n).

2004-05-19 20:15  dmik

	* src/kernel/qapplication_pm.cpp:
	  - Implemented mouse event handling: all QMouseEvent types,
	  QEvent::Enter and QEvent::Leave are now delivered to the widget.
	  - Implemented setGlobalMouseTracking().

2004-05-19 20:11  dmik

	* src/kernel/qwidget_pm.cpp:
	  - Implemented mapToGlobal() and mapFromGlobal().

2004-05-19 11:58  dmik

	* .qtos2defines, bin/configure.cmd, mkspecs/os2-g++/qmake.conf,
	  src/qt.pro:
	  - Temporary defines are extracted to the separate file
	  (.qtos2defines). Currently this file is stored at the repository.

2004-05-18 21:13  dmik

	* os2-doc/ChangeLog:
	  - Added to the repository.

2004-05-18 21:09  dmik

	* os2-doc/changes.html:
	  - Corrected two small typos.

2004-05-18 21:05  dmik

	* os2-doc/: changes.html, general.html:
	  - b01 changes and remarks.

2004-05-18 20:57  dmik

	* src/kernel/qinternal.cpp:
	  - Uncommented font-related code. Now this file is the exact copy of
	  the release 3.3.1 of Qt/Win32, so its revision is forced to be 2.0

2004-05-18 20:19  dmik

	* bin/configure.cmd:
	  - Added "styles", "widgets" and some other defines to the CONFIG
	  variable.
	  - "style-plugins" is made empty for a while.

2004-05-18 20:16  dmik

	* Makefile.os2-g++, mkspecs/os2-g++/qmake.conf, src/qt.pro,
	  src/kernel/qt_kernel.pri:
	  - Included  into compilaton: styles module (QStyle, QStyleFactory,
	  etc.), QIconSet, QSizeGrip, QPicture, drawing utlis for style
	  support.
	  - Removed QT_NO_STYLE, QT_NO_ICONSET
	  - Added lots of QT_NO_* macros to temporarily disable different
	  widgets.
	  - qmake.conf: added a temporary solution to handle long command
	  lines (>1024 chars, a CMD.EXE limitation) when compiling Qt sources
	  -- an intermediate file containing all compiler flags is now used to
	  reduce the length of the command line.

2004-05-18 19:57  dmik

	* include/qfeatures.h:
	  - Added QT_NO_CURSOR to the list of defines that force
	  QT_NO_PROPERTIES to be defined, otherwise QWidget will not compile
	  if QCursor is disabled (and all other features from the list are not
	  disabled) because its properties depend on QCursor

2004-05-18 19:51  dmik

	* src/kernel/qvariant.cpp:
	  - Uncommented qiconset.h include. Now this file is the exact copy of
	  the release 3.3.1 of Qt/Win32, so its revision is forced to be 2.0

2004-05-18 19:40  dmik

	* src/styles/qwindowsstyle.cpp:
	  - Added #ifndef QT_NO_MENUDATA and QT_NO_MENUBAR to make it possible
	  to compile this class when these features (QMenuData and QMenuBar)
	  are disabled

2004-05-18 19:36  dmik

	* src/kernel/: qapplication_pm.cpp, qapplication.cpp:
	  - Uncommented qstyle*.h includes.
	  - The default style for OS/2 is set to "Windows"

2004-05-18 19:34  dmik

	* src/kernel/qsizegrip.cpp:
	  - Added OS/2 specific code

2004-05-18 19:32  dmik

	* include/qpainter.h, src/kernel/qpainter_pm.cpp:
	  - Implemented drawEllipse(), drawArc(), drawPie(), drawChord(),
	  drawPolyLine(), drawLineSegments(), drawWinFocusRect()

2004-05-17 21:51  dmik

	* include/qcommonstyle.h, include/qstyleplugin.h,
	  src/styles/qstyleplugin.cpp: Imported Qt 3.3.1 original sources

2004-05-17 21:51  dmik

	* include/qcommonstyle.h, include/qstyleplugin.h,
	  src/styles/qstyleplugin.cpp: Initial revision

2004-05-17 21:22  dmik

	* include/qbutton.h, include/qcdestyle.h, include/qcheckbox.h,
	  include/qchkbox.h, include/qcombo.h, include/qcombobox.h,
	  include/qcompactstyle.h, include/qdockarea.h,
	  include/qdockwindow.h, include/qframe.h, include/qgroupbox.h,
	  include/qgrpbox.h, include/qheader.h, include/qlabel.h,
	  include/qlistbox.h, include/qlistview.h, include/qmenubar.h,
	  include/qmenudata.h, include/qmenudta.h,
	  include/qmotifplusstyle.h, include/qmotifstyle.h,
	  include/qplatinumstyle.h, include/qpopmenu.h,
	  include/qpopupmenu.h, include/qprogbar.h, include/qprogressbar.h,
	  include/qpushbt.h, include/qpushbutton.h, include/qradiobt.h,
	  include/qradiobutton.h, include/qrangecontrol.h,
	  include/qscrbar.h, include/qscrollbar.h, include/qscrollview.h,
	  include/qsgistyle.h, include/qslider.h, include/qspinbox.h,
	  include/qtabbar.h, include/qtabwidget.h, include/qtoolbar.h,
	  include/qtoolbox.h, include/qtoolbutton.h,
	  include/qwindowsstyle.h, src/styles/qcdestyle.cpp,
	  src/styles/qcommonstyle.cpp, src/styles/qcompactstyle.cpp,
	  src/styles/qinterlacestyle.cpp, src/styles/qmotifplusstyle.cpp,
	  src/styles/qmotifstyle.cpp, src/styles/qplatinumstyle.cpp,
	  src/styles/qsgistyle.cpp, src/styles/qstylefactory.cpp,
	  src/styles/qstyleinterface_p.h, src/styles/qt_styles.pri,
	  src/styles/qwindowsstyle.cpp, src/widgets/qdialogbuttons_p.h,
	  src/widgets/qtitlebar_p.h: Imported Qt 3.3.1 original sources

2004-05-17 21:22  dmik

	* include/qbutton.h, include/qcdestyle.h, include/qcheckbox.h,
	  include/qchkbox.h, include/qcombo.h, include/qcombobox.h,
	  include/qcompactstyle.h, include/qdockarea.h,
	  include/qdockwindow.h, include/qframe.h, include/qgroupbox.h,
	  include/qgrpbox.h, include/qheader.h, include/qlabel.h,
	  include/qlistbox.h, include/qlistview.h, include/qmenubar.h,
	  include/qmenudata.h, include/qmenudta.h,
	  include/qmotifplusstyle.h, include/qmotifstyle.h,
	  include/qplatinumstyle.h, include/qpopmenu.h,
	  include/qpopupmenu.h, include/qprogbar.h, include/qprogressbar.h,
	  include/qpushbt.h, include/qpushbutton.h, include/qradiobt.h,
	  include/qradiobutton.h, include/qrangecontrol.h,
	  include/qscrbar.h, include/qscrollbar.h, include/qscrollview.h,
	  include/qsgistyle.h, include/qslider.h, include/qspinbox.h,
	  include/qtabbar.h, include/qtabwidget.h, include/qtoolbar.h,
	  include/qtoolbox.h, include/qtoolbutton.h,
	  include/qwindowsstyle.h, src/styles/qcdestyle.cpp,
	  src/styles/qcommonstyle.cpp, src/styles/qcompactstyle.cpp,
	  src/styles/qinterlacestyle.cpp, src/styles/qmotifplusstyle.cpp,
	  src/styles/qmotifstyle.cpp, src/styles/qplatinumstyle.cpp,
	  src/styles/qsgistyle.cpp, src/styles/qstylefactory.cpp,
	  src/styles/qstyleinterface_p.h, src/styles/qt_styles.pri,
	  src/styles/qwindowsstyle.cpp, src/widgets/qdialogbuttons_p.h,
	  src/widgets/qtitlebar_p.h: Initial revision

2004-05-17 18:51  dmik

	* include/qdrawutil.h, include/qdrawutl.h, include/qiconset.h,
	  include/qpicture.h, include/qsizegrip.h,
	  src/kernel/qdrawutil.cpp, src/kernel/qiconset.cpp,
	  src/kernel/qpicture.cpp, src/kernel/qsizegrip.cpp: Imported Qt
	  3.3.1 original sources

2004-05-17 18:51  dmik

	* include/qdrawutil.h, include/qdrawutl.h, include/qiconset.h,
	  include/qpicture.h, include/qsizegrip.h,
	  src/kernel/qdrawutil.cpp, src/kernel/qiconset.cpp,
	  src/kernel/qpicture.cpp, src/kernel/qsizegrip.cpp: Initial
	  revision

2004-05-17 18:43  dmik

	* src/kernel/qt_kernel.pri:
	  - Enabled compilation of font and text drawing related classes

2004-05-16 18:54  dmik

	* src/kernel/qpainter_pm.cpp, src/kernel/qwidget_pm.cpp,
	  include/qwindowdefs_pm.h, src/kernel/qapplication_pm.cpp:
	  - Changed QWidget::repaint() implementation, as a result
	  qt_set_paintevent_clipping() and qt_clear_paintevent_clipping() are
	  no more necessary and therefore removed.
	  - Added region flipping code to QWidget::erase(QRegion&,...)

2004-05-16 16:45  dmik

	* src/kernel/: qfontdatabase.cpp, qfontengine_pm.cpp:
	  - QFontDatabase::findFont(): special handling of "System VIO" PM
	  font to allow to select it by its nominal point size (rather then by
	  pixel size, calculated from the requested point size and device dpi
	  value)

2004-05-16 16:41  dmik

	* src/kernel/qfont_pm.cpp:
	  - Fixed QFontPrivate::load(): bitmap fons were not selectable by
	  point size (the smallest size had been always choosen)

2004-05-16 16:39  dmik

	* src/kernel/qfontdatabase_pm.cpp:
	  - the font with lMatch = 0 is ignored when enumerating installed
	  fonts

2004-05-16 14:53  dmik

	* src/kernel/qvariant.cpp:
	  - Uncommented font-related code

2004-05-16 14:42  dmik

	* include/qapplication.h, include/qpainter.h, include/qwidget.h,
	  src/kernel/qapplication.cpp, src/kernel/qapplication_pm.cpp,
	  src/kernel/qpainter.cpp, src/kernel/qpainter_pm.cpp,
	  src/kernel/qwidget.cpp, src/kernel/qwidget_pm.cpp:
	  - Uncommented font-related fields and methods (some font-related
	  functionality can be left commented out though, this will be
	  resolved later)

2004-05-16 14:20  dmik

	* include/qregion.h, src/kernel/qregion_pm.cpp:
	  - Implemented y coordinae flipping algorithm -- regions should now
	  operate properly within Qt.
	  - Creation of uninitialized QRegions now uses the method of lazy
	  allocation instead of one static empy region data instance.

2004-05-16 14:15  dmik

	* src/kernel/: qscriptengine.cpp, qscriptengine_pm.cpp,
	  qtextengine.cpp, qtextengine_p.h, qtextengine_pm.cpp:
	  - Implemented dummy OS/2 version of QTextEngine. This means that
	  there is no true unicode support: script analysis is dummy, and
	  complicated scripts (such as arabic) will not work.

2004-05-16 14:07  dmik

	* include/qfontdatabase.h, src/kernel/qfontdatabase.cpp,
	  src/kernel/qfontdatabase_pm.cpp:
	  - Implemented OS/2 version of QFontDatabase. Due to a bug in
	  GpiQueryFontAction() the database is not sensitive to
	  adding/removing fonts to/from the system during the Qt application
	  lifetime.

2004-05-16 13:49  dmik

	* src/kernel/qfont_pm.cpp, src/kernel/qfontengine_p.h,
	  src/kernel/qfontengine_pm.cpp, include/qfont.h,
	  src/kernel/qfont.cpp, src/kernel/qfontdata_p.h:
	  - Implemented initial OS/2 version of QFont, QFontInfo,
	  QFontMetrics. Current limitations:
	  * unicode is not fully supported (and QFont::Script is ignored
	  everywhere);
	  * fonts are not subject of any coordinate transformations except the
	  simple translation transformation;
	  * QFontMetrics::minLeftBearing() and minRightBearing() return zero.

2004-05-13 14:23  dmik

	* src/kernel/: qscriptengine.cpp, qscriptengine_p.h: Imported Qt
	  3.3.1 original sources

2004-05-13 14:23  dmik

	* src/kernel/: qscriptengine.cpp, qscriptengine_p.h: Initial
	  revision

2004-05-10 15:25  dmik

	* include/qfont.h, include/qfontdatabase.h, include/qfontinf.h,
	  include/qfontinfo.h, include/qfontmet.h, include/qfontmetrics.h,
	  src/kernel/qfont.cpp, src/kernel/qfontdata_p.h,
	  src/kernel/qfontdatabase.cpp, src/kernel/qfontengine_p.h,
	  src/kernel/qtextengine.cpp, src/kernel/qtextengine_p.h,
	  src/kernel/qtextlayout.cpp, src/kernel/qtextlayout_p.h: Imported
	  Qt 3.3.1 original sources

2004-05-10 15:25  dmik

	* include/qfont.h, include/qfontdatabase.h, include/qfontinf.h,
	  include/qfontinfo.h, include/qfontmet.h, include/qfontmetrics.h,
	  src/kernel/qfont.cpp, src/kernel/qfontdata_p.h,
	  src/kernel/qfontdatabase.cpp, src/kernel/qfontengine_p.h,
	  src/kernel/qtextengine.cpp, src/kernel/qtextengine_p.h,
	  src/kernel/qtextlayout.cpp, src/kernel/qtextlayout_p.h: Initial
	  revision

2004-05-08 00:04  dmik

	* os2-doc/changes.html:
	  - Changes for alpha 02

2004-05-08 00:04  dmik

	* os2-doc/general.html:
	  - New compilation instructions

2004-05-08 00:03  dmik

	* os2-doc/macros.html:
	  - Some new macros and config options

2004-05-07 23:07  dmik

	* bin/configure.cmd:
	  - Created simple configure script that will create things necessary
	  for qmake and Qt to work properly

2004-05-07 23:06  dmik

	* Makefile.os2-g++:
	  - Reworked to run well under GNU make
	  - Corrected target rules and dependencies to build qmake, moc and Qt
	  library

2004-05-07 23:04  dmik

	* src/kernel/qthread_pm.cpp:
	  - Corrected typo in comments

2004-05-07 19:13  dmik

	* mkspecs/os2-g++/qmake.conf, src/qt.pro, src/kernel/qt_kernel.pri:
	  - Many new classes from the kernel module are added to compilation,
	  some defines are also added to prevent usage of unimplemented parts

2004-05-07 19:12  dmik

	* src/qtmain.pro:
	  - Removed qtmain.pro -- separate main library is not necessary

2004-05-07 19:08  dmik

	* src/kernel/qinternal.cpp:
	  - Temporarily commented out font handling

2004-05-07 19:08  dmik

	* src/kernel/qabstractlayout.cpp:
	  - Temporarily commented out menubar and toolbar handling

2004-05-07 19:04  dmik

	* src/kernel/qwidget.cpp, src/kernel/qwidget_pm.cpp,
	  include/qwidget.h:
	  - Implemented OS/2 version of QWIdget (no fonts, no cursors, no
	  widget masks, no d&d yet)

2004-05-07 19:00  dmik

	* src/kernel/qpainter.cpp, src/kernel/qpainter_pm.cpp,
	  include/qpainter.h:
	  - Implemented OS/2 version of QPainter (no fonts and no text drawing
	  yet)

2004-05-07 18:58  dmik

	* include/qwindowdefs_pm.h:
	  - Added qt_display_ps() and global LCID_* constants

2004-05-07 18:56  dmik

	* include/qregion.h:
	  - Added friends: QPainter class and qt_set_paintevent_clipping()
	  function

2004-05-07 18:55  dmik

	* include/qpixmap.h, src/kernel/qpixmap.cpp,
	  src/kernel/qpixmap_pm.cpp:
	  - Implemented OS/2 version of QPixmap (no alpha pixmaps and pixmap
	  transformation (QPixmap::xForm()) yet)

2004-05-07 18:51  dmik

	* src/kernel/qeventloop_pm.cpp:
	  - Implemented safe widget configuration (move,resize,setGeometry)
	  mechanism

2004-05-07 18:48  dmik

	* include/qpaintdevice.h, src/kernel/qpaintdevice_pm.cpp:
	  - Implemented OS/2 version of QPaintDevice (no work with alpha
	  pixmaps yet)

2004-05-07 18:46  dmik

	* src/kernel/qapplication.cpp, src/kernel/qapplication_pm.cpp,
	  include/qapplication.h:
	  - Implemented basic application and widget functionality: main event
	  loop, paint/resize/move events

2004-05-06 12:56  dmik

	* src/kernel/qvariant.cpp:
	  - Uncommented almost everything except the code related to handling
	  QFont, QKeySequence and QIconSet

2004-05-05 20:51  dmik

	* include/qtimer.h, src/kernel/qtimer.cpp: Imported Qt 3.3.1
	  original sources

2004-05-05 20:51  dmik

	* include/qtimer.h, src/kernel/qtimer.cpp: Initial revision

2004-05-05 14:11  dmik

	* include/qabstractlayout.h, src/kernel/qabstractlayout.cpp:
	  Imported Qt 3.3.1 original sources

2004-05-05 14:11  dmik

	* include/qabstractlayout.h, src/kernel/qabstractlayout.cpp:
	  Initial revision

2004-04-30 00:25  dmik

	* src/kernel/qcolor_pm.cpp:
	  - Optimized qrgb2rgb2() inline

2004-04-29 15:19  dmik

	* src/kernel/qregion_pm.cpp:
	  - WinGetScreenPS() calls are replaced with qt_display_ps()

2004-04-28 01:49  dmik

	* src/kernel/qdesktopwidget_pm.cpp:
	  - Implemented OS/2 version of QDesktopWidget (as one simple screen)

2004-04-27 22:17  dmik

	* include/qdesktopwidget.h: Imported Qt 3.3.1 original sources

2004-04-27 22:17  dmik

	* include/qdesktopwidget.h: Initial revision

2004-04-27 21:35  dmik

	* include/qfocusdata.h, include/qlayout.h, include/qstyle.h,
	  include/qstylefactory.h, src/kernel/qfocusdata.cpp,
	  src/kernel/qlayout.cpp, src/kernel/qlayoutengine.cpp,
	  src/kernel/qlayoutengine_p.h, src/kernel/qstyle.cpp: Imported Qt
	  3.3.1 original sources

2004-04-27 21:35  dmik

	* include/qfocusdata.h, include/qlayout.h, include/qstyle.h,
	  include/qstylefactory.h, src/kernel/qfocusdata.cpp,
	  src/kernel/qlayout.cpp, src/kernel/qlayoutengine.cpp,
	  src/kernel/qlayoutengine_p.h, src/kernel/qstyle.cpp: Initial
	  revision

2004-04-23 22:48  dmik

	* include/qaccel.h, include/qbrush.h, include/qkeysequence.h,
	  include/qpainter.h, include/qpalette.h, include/qpen.h,
	  include/qwidcoll.h, include/qwidget.h, include/qwidgetintdict.h,
	  include/qwidgetlist.h, src/kernel/qaccel.cpp,
	  src/kernel/qinternal.cpp, src/kernel/qinternal_p.h,
	  src/kernel/qkeysequence.cpp, src/kernel/qpainter.cpp,
	  src/kernel/qpainter_p.h, src/kernel/qpalette.cpp,
	  src/kernel/qwidget.cpp, src/kernel/qwidget_p.h: Imported Qt 3.3.1
	  original sources

2004-04-23 22:48  dmik

	* include/qaccel.h, include/qbrush.h, include/qkeysequence.h,
	  include/qpainter.h, include/qpalette.h, include/qpen.h,
	  include/qwidcoll.h, include/qwidget.h, include/qwidgetintdict.h,
	  include/qwidgetlist.h, src/kernel/qaccel.cpp,
	  src/kernel/qinternal.cpp, src/kernel/qinternal_p.h,
	  src/kernel/qkeysequence.cpp, src/kernel/qpainter.cpp,
	  src/kernel/qpainter_p.h, src/kernel/qpalette.cpp,
	  src/kernel/qwidget.cpp, src/kernel/qwidget_p.h: Initial revision

2004-04-23 20:10  dmik

	* src/kernel/qcolor.cpp:
	  - Corrected color0 and color1 semantics

2004-04-22 17:54  dmik

	* src/kernel/qcolor_pm.cpp:
	  - Corrected typo in the header comments

2004-04-22 17:52  dmik

	* include/qcolor.h, src/kernel/qcolor.cpp,
	  src/kernel/qcolor_pm.cpp:
	  - Implemented OS/2 version of QColor including palette support
	  (which is not tested though)

2004-04-22 12:14  dmik

	* include/qcolor.h: Imported Qt 3.3.1 original sources

2004-04-22 12:14  dmik

	* include/qcolor.h: Initial revision

2004-04-21 19:32  dmik

	* include/qasyncimageio.h, include/qbitmap.h,
	  include/qdragobject.h, include/qgif.h, include/qimage.h,
	  include/qimageformatplugin.h, include/qjpegio.h,
	  include/qmngio.h, include/qpaintd.h, include/qpaintdc.h,
	  include/qpaintdevice.h, include/qpaintdevicedefs.h,
	  include/qpaintdevicemetrics.h, include/qpixmap.h,
	  include/qpixmapcache.h, include/qpngio.h,
	  src/kernel/qasyncimageio.cpp, src/kernel/qbitmap.cpp,
	  src/kernel/qcolor.cpp, src/kernel/qcolor_p.cpp,
	  src/kernel/qcolor_p.h, src/kernel/qimage.cpp,
	  src/kernel/qimageformatinterface_p.h,
	  src/kernel/qimageformatplugin.cpp,
	  src/kernel/qpaintdevicemetrics.cpp, src/kernel/qpixmap.cpp,
	  src/kernel/qpixmapcache.cpp: Imported Qt 3.3.1 original sources

2004-04-21 19:32  dmik

	* include/qasyncimageio.h, include/qbitmap.h,
	  include/qdragobject.h, include/qgif.h, include/qimage.h,
	  include/qimageformatplugin.h, include/qjpegio.h,
	  include/qmngio.h, include/qpaintd.h, include/qpaintdc.h,
	  include/qpaintdevice.h, include/qpaintdevicedefs.h,
	  include/qpaintdevicemetrics.h, include/qpixmap.h,
	  include/qpixmapcache.h, include/qpngio.h,
	  src/kernel/qasyncimageio.cpp, src/kernel/qbitmap.cpp,
	  src/kernel/qcolor.cpp, src/kernel/qcolor_p.cpp,
	  src/kernel/qcolor_p.h, src/kernel/qimage.cpp,
	  src/kernel/qimageformatinterface_p.h,
	  src/kernel/qimageformatplugin.cpp,
	  src/kernel/qpaintdevicemetrics.cpp, src/kernel/qpixmap.cpp,
	  src/kernel/qpixmapcache.cpp: Initial revision

2004-04-21 19:01  dmik

	* mkspecs/os2-g++/qmake.conf, src/qt.pro, src/kernel/qt_kernel.pri:
	  - QComponentFactory, QComLibrary, QGPlugin and QTextCodecPlugin are
	  now compiled, QT_NO_COMPONENT is removed. However, I'm not sure the
	  plugin mechanism can be successfully used -- this needs checking
	  (and probably compiling Qt as DLL)

2004-04-21 18:51  dmik

	* include/qgplugin.h, src/kernel/qgplugin.cpp: Imported Qt 3.3.1
	  original sources

2004-04-21 18:51  dmik

	* include/qgplugin.h, src/kernel/qgplugin.cpp: Initial revision

2004-04-21 01:44  dmik

	* src/kernel/qt_kernel.pri:
	  - Added os2-specific source section.
	  - Unimplemented sources and headers that are are substracted from
	  SOURCES and HEADERS in a special section until become implemented.

2004-04-21 01:30  dmik

	* Makefile.os2-g++, src/qt.pro:
	  - Added initial OS/2 version of the main Makefile
	  - Changed statements to generate rules for automatic synchronization
	  of  private headers
	  - Added more defines to exclude parts that are not yet implemented

2004-04-21 01:25  dmik

	* src/kernel/qapplication_pm.cpp, include/qapplication.h,
	  src/kernel/qapplication.cpp:
	  - Implemented initial OS/2 version of QApplication: integration with
	  QEventLoop is almost done, other parts (mainly related to QWidget)
	  are left commented out

2004-04-21 01:15  dmik

	* mkspecs/os2-g++/qmake.conf:
	  - Added defines to disable parts of Qt not yet implemented in OS/2
	  version. Neecessary for correct compilation of programs using Qt

2004-04-21 01:06  dmik

	* src/kernel/qobject.cpp:
	  - Little comment change

2004-04-21 01:06  dmik

	* src/kernel/: qeventloop_p.h, qeventloop_pm.cpp:
	  - Implemented initial OS/2 version of QEventLoop, almost everything
	  is done except the code to support QSocketNotifier that is currently
	  commented out

2004-04-21 01:03  dmik

	* include/qwindowdefs_pm.h:
	  - Removed NEEDS_QMAIN stuff. Seems that we don't need it at all.

2004-04-19 19:45  dmik

	* include/qeventloop.h, include/qsocketnotifier.h,
	  src/kernel/qeventloop.cpp, src/kernel/qeventloop_p.h,
	  src/kernel/qsocketnotifier.cpp: Imported Qt 3.3.1 original
	  sources

2004-04-19 19:45  dmik

	* include/qeventloop.h, include/qsocketnotifier.h,
	  src/kernel/qeventloop.cpp, src/kernel/qeventloop_p.h,
	  src/kernel/qsocketnotifier.cpp: Initial revision

2004-04-17 17:40  dmik

	* src/kernel/qvariant.cpp:
	  - Draft OS/2 version of QVariant (no QBitmap, QFont, QPixmap,
	  QImage, QBrush, QColor, QPen, QPalette, QColorGroup, QIconSet,
	  QKeySequense handling yet)

2004-04-17 17:39  dmik

	* src/kernel/qcursor_pm.cpp:
	  - Implemented two static methods of QCursor (pos() and setPos())

2004-04-17 17:37  dmik

	* src/kernel/qregion_pm.cpp, include/qregion.h:
	  - Partially implemented OS/2 version of QRegion (creation of regions
	  from ellipses and polygons always uses  their bounding rectangles
	  and no regions from bitmaps yet)

2004-04-17 16:49  dmik

	* src/kernel/qconnection.cpp: Imported Qt 3.3.1 original sources

2004-04-17 16:49  dmik

	* src/kernel/qconnection.cpp: Initial revision

2004-04-16 20:24  dmik

	* src/kernel/qucomextra.cpp: Imported Qt 3.3.1 original sources

2004-04-16 20:24  dmik

	* src/kernel/qucomextra.cpp: Initial revision

2004-04-16 19:11  dmik

	* src/kernel/qmetaobject.cpp, include/qsizepolicy.h: Imported Qt
	  3.3.1 original sources

2004-04-16 19:11  dmik

	* src/kernel/qmetaobject.cpp, include/qsizepolicy.h: Initial
	  revision

2004-04-16 17:55  dmik

	* include/qpointarray.h, include/qwmatrix.h,
	  src/kernel/qpointarray.cpp, src/kernel/qwmatrix.cpp: Imported Qt
	  3.3.1 original sources

2004-04-16 17:55  dmik

	* include/qpointarray.h, include/qwmatrix.h,
	  src/kernel/qpointarray.cpp, src/kernel/qwmatrix.cpp: Initial
	  revision

2004-04-16 16:00  dmik

	* include/qapp.h, include/qapplication.h, include/qcursor.h,
	  include/qevent.h, include/qmime.h, include/qregion.h,
	  src/kernel/qapplication.cpp, src/kernel/qapplication_p.h,
	  src/kernel/qcursor.cpp, src/kernel/qevent.cpp,
	  src/kernel/qmime.cpp, src/kernel/qregion.cpp: Imported Qt 3.3.1
	  original sources

2004-04-16 16:00  dmik

	* include/qapp.h, include/qapplication.h, include/qcursor.h,
	  include/qevent.h, include/qmime.h, include/qregion.h,
	  src/kernel/qapplication.cpp, src/kernel/qapplication_p.h,
	  src/kernel/qcursor.cpp, src/kernel/qevent.cpp,
	  src/kernel/qmime.cpp, src/kernel/qregion.cpp: Initial revision

2004-04-16 01:13  dmik

	* include/qsignalmapper.h: Imported Qt 3.3.1 original sources

2004-04-16 01:13  dmik

	* include/qsignalmapper.h: Initial revision

2004-04-16 00:41  dmik

	* include/qconnect.h, include/qconnection.h, include/qguardedptr.h,
	  include/qkeycode.h, include/qmetaobj.h, include/qmetaobject.h,
	  include/qobjcoll.h, include/qobject.h,
	  include/qobjectcleanuphandler.h, include/qobjectdict.h,
	  include/qobjectlist.h, include/qpoint.h, include/qrect.h,
	  include/qsignal.h, include/qsignalslotimp.h, include/qsize.h,
	  include/qvariant.h, src/kernel/qguardedptr.cpp,
	  src/kernel/qobject.cpp, src/kernel/qobjectcleanuphandler.cpp,
	  src/kernel/qpoint.cpp, src/kernel/qrect.cpp,
	  src/kernel/qsignal.cpp, src/kernel/qsignalmapper.cpp,
	  src/kernel/qsize.cpp, src/kernel/qt_kernel.pri,
	  src/kernel/qucomextra_p.h, src/kernel/qvariant.cpp,
	  src/tools/qconfig-dist.h: Imported Qt 3.3.1 original sources (for
	  QObject)

2004-04-16 00:41  dmik

	* include/qconnect.h, include/qconnection.h, include/qguardedptr.h,
	  include/qkeycode.h, include/qmetaobj.h, include/qmetaobject.h,
	  include/qobjcoll.h, include/qobject.h,
	  include/qobjectcleanuphandler.h, include/qobjectdict.h,
	  include/qobjectlist.h, include/qpoint.h, include/qrect.h,
	  include/qsignal.h, include/qsignalslotimp.h, include/qsize.h,
	  include/qvariant.h, src/kernel/qguardedptr.cpp,
	  src/kernel/qobject.cpp, src/kernel/qobjectcleanuphandler.cpp,
	  src/kernel/qpoint.cpp, src/kernel/qrect.cpp,
	  src/kernel/qsignal.cpp, src/kernel/qsignalmapper.cpp,
	  src/kernel/qsize.cpp, src/kernel/qt_kernel.pri,
	  src/kernel/qucomextra_p.h, src/kernel/qvariant.cpp,
	  src/tools/qconfig-dist.h: Initial revision

2004-04-15 19:04  dmik

	* src/moc/moc.pro:
	  - Added OS/2-specific options and sources. moc now compiles under
	  OS/2.

2004-04-15 18:57  dmik

	* src/moc/: README, moc.l, moc.pro, moc.y, moc_lex.cpp,
	  moc_yacc.cpp, moc_yacc.h: Imported Qt 3.3.1 original moc sources

2004-04-15 18:57  dmik

	* src/moc/: README, moc.l, moc.pro, moc.y, moc_lex.cpp,
	  moc_yacc.cpp, moc_yacc.h: Initial revision

2004-04-15 17:53  dmik

	* mkspecs/os2-g++/qmake.conf:
	  - Applied temp. fix to avoid the creation of object scripts for ld
	  by MINGW generator
	  - qtmain.lib is not used when linking Qt applications (probably
	  won't ever be)

2004-04-15 17:50  dmik

	* os2-doc/macros.html, src/qt.pro, src/codecs/qtextcodec.cpp,
	  src/tools/qstring.cpp:
	  - Added codecs module.
	  - Implemented OS/2 version of the QTextCodec's locale default codec.
	  - QT_NO_TEXTCODEC don't need to be defined any more.

2004-04-15 16:19  dmik

	* src/tools/: qfile_pm.cpp, qsettings_pm.cpp:
	  - Some typecast corrections to avoid GCC warnings

2004-04-15 15:08  dmik

	* include/qbig5codec.h, include/qeucjpcodec.h,
	  include/qeuckrcodec.h, include/qgb18030codec.h,
	  include/qjiscodec.h, include/qjpunicode.h, include/qrtlcodec.h,
	  include/qsjiscodec.h, include/qtextcodecfactory.h,
	  include/qtextcodecplugin.h, include/qtsciicodec.h,
	  include/qutfcodec.h, src/codecs/qbig5codec.cpp,
	  src/codecs/qeucjpcodec.cpp, src/codecs/qeuckrcodec.cpp,
	  src/codecs/qfontcncodec.cpp, src/codecs/qfontcodecs_p.h,
	  src/codecs/qfonthkcodec.cpp, src/codecs/qfontjpcodec.cpp,
	  src/codecs/qfontkrcodec.cpp, src/codecs/qfontlaocodec.cpp,
	  src/codecs/qfonttwcodec.cpp, src/codecs/qgb18030codec.cpp,
	  src/codecs/qisciicodec.cpp, src/codecs/qisciicodec_p.h,
	  src/codecs/qjiscodec.cpp, src/codecs/qjpunicode.cpp,
	  src/codecs/qrtlcodec.cpp, src/codecs/qsjiscodec.cpp,
	  src/codecs/qt_codecs.pri, src/codecs/qtextcodec.cpp,
	  src/codecs/qtextcodecfactory.cpp,
	  src/codecs/qtextcodecinterface_p.h,
	  src/codecs/qtextcodecplugin.cpp, src/codecs/qtsciicodec.cpp,
	  src/codecs/qutfcodec.cpp: Imported Qt 3.3.1 original codecs
	  sources

2004-04-15 15:08  dmik

	* include/qbig5codec.h, include/qeucjpcodec.h,
	  include/qeuckrcodec.h, include/qgb18030codec.h,
	  include/qjiscodec.h, include/qjpunicode.h, include/qrtlcodec.h,
	  include/qsjiscodec.h, include/qtextcodecfactory.h,
	  include/qtextcodecplugin.h, include/qtsciicodec.h,
	  include/qutfcodec.h, src/codecs/qbig5codec.cpp,
	  src/codecs/qeucjpcodec.cpp, src/codecs/qeuckrcodec.cpp,
	  src/codecs/qfontcncodec.cpp, src/codecs/qfontcodecs_p.h,
	  src/codecs/qfonthkcodec.cpp, src/codecs/qfontjpcodec.cpp,
	  src/codecs/qfontkrcodec.cpp, src/codecs/qfontlaocodec.cpp,
	  src/codecs/qfonttwcodec.cpp, src/codecs/qgb18030codec.cpp,
	  src/codecs/qisciicodec.cpp, src/codecs/qisciicodec_p.h,
	  src/codecs/qjiscodec.cpp, src/codecs/qjpunicode.cpp,
	  src/codecs/qrtlcodec.cpp, src/codecs/qsjiscodec.cpp,
	  src/codecs/qt_codecs.pri, src/codecs/qtextcodec.cpp,
	  src/codecs/qtextcodecfactory.cpp,
	  src/codecs/qtextcodecinterface_p.h,
	  src/codecs/qtextcodecplugin.cpp, src/codecs/qtsciicodec.cpp,
	  src/codecs/qutfcodec.cpp: Initial revision

2004-04-14 23:34  dmik

	* include/private/: qlibrary_p.h, qdir_p.h, qsettings_p.h:
	  - Removed all private headers from include/private because they are
	  always duplicates of ones from source directories. They are now
	  copied there automatically upon compilation.

2004-04-14 22:37  dmik

	* src/: qt.pro, tools/qt_tools.pri:
	  - Added OS/2-specific options and sources. Qt can now be compiled
	  into a static library (tools module only) in the standard way using
	  qmake and make

2004-04-14 22:15  dmik

	* src/: kernel/qthread_pm.cpp, tools/qthreadstorage_pm.cpp:
	  - Removed commented out (unnecessary) pieces of code. - Fixed
	  QThreadInstance::terminate() call to DosKillThread() with zero TID.
	  - QThread::wait() now regards the maximum time to wait (thread end
	  state is polled every second).

2004-04-14 19:59  dmik

	* src/: kernel/qthread_pm.cpp, tools/qthreadinstance_p.h,
	  tools/qthreadstorage_pm.cpp:
	  - Implemented OS/2 versions of QThread and QThreadStorage classes

2004-04-14 19:58  dmik

	* src/kernel/qthread.cpp:
	  - qapplication.h is not included when QT_NO_COMPAT is defined

2004-04-14 17:55  dmik

	* mkspecs/os2-g++/qmake.conf:
	  - Added inclusion of .qtos2config from the QTDIR when it exists.
	  - Added registry.dll to the list of libraries an application is
	  linked with when it uses Qt.

2004-04-14 17:22  dmik

	* os2-doc/: index.html, macros.html:
	  - Added info about some qmake CONFIG options

2004-04-13 20:39  dmik

	* src/tools/qwaitcondition_pm.cpp:
	  - Implemented OS/2 version of QWaitCondition

2004-04-13 18:46  dmik

	* src/tools/qfileinfo_pm.cpp:
	  - Removed "quick" ({0}) structure initializer to avoid GCC warnings

2004-04-13 18:45  dmik

	* src/tools/qdir_pm.cpp:
	  - Added local var initializer to avoid GCC warnings

2004-04-13 18:40  dmik

	* include/qwindowdefs_pm.h:
	  - Changed temporary comments from // to /**/ to avoid GCC warnings

2004-04-13 18:38  dmik

	* src/tools/qmutex_pm.cpp:
	  - Implemented OS/2 version of QMutex

2004-04-13 16:44  dmik

	* src/tools/qlibrary_pm.cpp:
	  - Changed qSystemWarning() call to pass the return code in.

2004-04-13 14:45  dmik

	* src/tools/: qcriticalsection_p.cpp, qcriticalsection_p.h:
	  - Added OS/2 support. Windows and OS/2 critical sections differ
	  though, so an extra attenthion should be paid on OS/2 to what is
	  executed inside the critical section.

2004-04-12 22:52  dmik

	* src/tools/qgpluginmanager.cpp:
	  - Added OS/2 support

2004-04-12 21:48  dmik

	* include/qasciicache.h, include/qgeneric.h, include/qintcach.h,
	  include/qintcache.h, include/qmutex.h, include/qptrdict.h,
	  include/qptrqueue.h, include/qptrstack.h, include/qsemaphore.h,
	  include/qsortedlist.h, include/qstrvec.h, include/qthread.h,
	  include/qthreadstorage.h, include/qvaluevector.h,
	  include/qwaitcondition.h, src/kernel/qt_compat.pri,
	  src/kernel/qthread.cpp, src/tools/qcom_p.h,
	  src/tools/qcomlibrary.cpp, src/tools/qcomlibrary_p.h,
	  src/tools/qcomponentfactory.cpp, src/tools/qcomponentfactory_p.h,
	  src/tools/qcriticalsection_p.cpp, src/tools/qcriticalsection_p.h,
	  src/tools/qdeepcopy.cpp, src/tools/qgpluginmanager.cpp,
	  src/tools/qgpluginmanager_p.h, src/tools/qmutex_p.h,
	  src/tools/qmutexpool.cpp, src/tools/qmutexpool_p.h,
	  src/tools/qpluginmanager_p.h, src/tools/qsemaphore.cpp,
	  src/tools/qthreadinstance_p.h, src/tools/qucom.cpp,
	  src/tools/qucom_p.h: Imported Qt 3.3.1 original sources

2004-04-12 21:48  dmik

	* include/qasciicache.h, include/qgeneric.h, include/qintcach.h,
	  include/qintcache.h, include/qmutex.h, include/qptrdict.h,
	  include/qptrqueue.h, include/qptrstack.h, include/qsemaphore.h,
	  include/qsortedlist.h, include/qstrvec.h, include/qthread.h,
	  include/qthreadstorage.h, include/qvaluevector.h,
	  include/qwaitcondition.h, src/kernel/qt_compat.pri,
	  src/kernel/qthread.cpp, src/tools/qcom_p.h,
	  src/tools/qcomlibrary.cpp, src/tools/qcomlibrary_p.h,
	  src/tools/qcomponentfactory.cpp, src/tools/qcomponentfactory_p.h,
	  src/tools/qcriticalsection_p.cpp, src/tools/qcriticalsection_p.h,
	  src/tools/qdeepcopy.cpp, src/tools/qgpluginmanager.cpp,
	  src/tools/qgpluginmanager_p.h, src/tools/qmutex_p.h,
	  src/tools/qmutexpool.cpp, src/tools/qmutexpool_p.h,
	  src/tools/qpluginmanager_p.h, src/tools/qsemaphore.cpp,
	  src/tools/qthreadinstance_p.h, src/tools/qucom.cpp,
	  src/tools/qucom_p.h: Initial revision

2004-04-12 17:32  dmik

	* src/: qt.pro, qtmain.pro, tools/qt_tools.pri: Imported Qt 3.3.1
	  original project files

2004-04-12 17:32  dmik

	* src/: qt.pro, qtmain.pro, tools/qt_tools.pri: Initial revision

2004-04-09 20:18  dmik

	* bin/dummy:
	  - Added empty bin subdirectory, qmake build process places the
	  compiled qmake.exe here (it will be removed in the future)

2004-04-09 19:56  dmik

	* os2-misc/: gcc322.cmd, qt.cmd:
	  - Added helper CMD files to simplify setting up the environment to
	  run GCC and qmake

2004-04-09 19:55  dmik

	* readme.txt, os2-doc/changes.html, os2-doc/general.html,
	  os2-doc/index.html, os2-doc/macros.html, os2-doc/qtos2-www.css,
	  os2-doc/qtos2-xxe.css, os2-doc/qtos2.css, os2-doc/xhtml-xxe.css:
	  - Added project documentation

2004-04-09 01:44  dmik

	* qmake/generators/win32/msvc_nmake.cpp:
	  - Fixed a bug in findDependencies() that caused an ::open() to trap
	  under GCC in LIBC05.DLL because NULL was passed there as filename.
	  This should be reported to Trolltech.

2004-04-09 01:40  dmik

	* mkspecs/os2-g++/qmake.conf:
	  - Added QMAKE_FLAGS_MT_* to support the 'thread' CONFIG option

2004-04-08 18:05  dmik

	* mkspecs/os2-g++/qmake.conf:
	  - Some cleanup

2004-04-08 18:03  dmik

	* qmake/: generators/makefile.cpp, main.cpp, project.cpp:
	  - Added #ifdef Q_OS_OS2 where appropriate

2004-04-08 00:47  dmik

	* qmake/: option.cpp, option.h, project.cpp, property.cpp,
	  generators/makefile.cpp, generators/unix/unixmake.cpp:
	  - Added TARG_OS2_MODE to qmake, '-os2' command line option to
	  explicitly select it.
	  - Added recognition of 'os2 {...}' sections in project files.

2004-04-07 22:39  dmik

	* qmake/Makefile.os2-g++:
	  - Removed definition of UNICODE macro when compiling

2004-04-07 22:21  dmik

	* src/tools/qglobal.cpp:
	  - Added OS/2 version of qSystemWarning()

2004-04-07 20:28  dmik

	* src/tools/qdatetime.cpp:
	  - Added OS/2 support to QDate, QTime and QDateTime classes

2004-04-07 20:23  dmik

	* include/qstring.h, src/tools/qstring.cpp:
	  - Static system default (or process default) locale and uconv
	  objects are made global and availabe via qt_os2DefLocaleObj() and
	  qt_os2DefLocaleObj() respectively.
	  - Added qt_os2QString2MB() and qt_os2MB2QString() global functions
	  to simplify conversions between Unicode and system local encoded
	  strings.

2004-04-06 01:57  dmik

	* include/qstring.h, src/tools/qstring.cpp:
	  - Added initial locale/unicode support

2004-04-04 18:51  dmik

	* include/: qconfig-dist.h, qconfig-large.h, qconfig-medium.h,
	  qconfig-minimal.h, qconfig-small.h: Imported Qt 3.3.1 original
	  sources, required by qmake to work properly

2004-04-04 18:51  dmik

	* include/: qconfig-dist.h, qconfig-large.h, qconfig-medium.h,
	  qconfig-minimal.h, qconfig-small.h: Initial revision

2004-04-04 18:27  dmik

	* src/tools/qlocale.cpp:
	  - Fixed NAN and INFINITY definitions under GNU

2004-04-04 17:50  dmik

	* include/qt_os2.h, include/qwindowdefs_pm.h,
	  mkspecs/os2-g++/qplatformdefs.h:
	  - Now, when compiling under Innotek GCC its own OS/2 headers are
	  used by default until USE_OS2_TOOLKIT_HEADERS is defined.

2004-04-04 17:43  dmik

	* qmake/Makefile.os2-g++:
	  - Removed path to registry.dll. Now the path to it (usually
	  x:\OS2\DLL) must be present in the LIBRARY_PATH envvar when building
	  qmake.

2004-04-04 00:18  dmik

	* qmake/Makefile.os2-g++:
	  - QMAKE now compiles under GCC. And runs, but almost not tested yet.

2004-04-04 00:13  dmik

	* src/tools/: qdir.cpp, qdir_pm.cpp:
	  - Implemented OS/2 version of QDir

2004-04-04 00:12  dmik

	* mkspecs/os2-g++/qplatformdefs.h:
	  - QT_GETCWD, QT_CHDIR and QT_MKDIR are defined more correctly

2004-04-04 00:09  dmik

	* src/tools/qfileinfo_pm.cpp:
	  - Removed Q_CC_WAT and Q_CC_VAC #ifdefs, currently not necessary

2004-04-03 22:39  dmik

	* src/tools/qdir_p.h: Imported Qt 3.3.1 original source

2004-04-03 22:39  dmik

	* src/tools/qdir_p.h: Initial revision

2004-04-03 01:07  dmik

	* src/tools/: qfile.cpp, qfile_pm.cpp, qfiledefs_p.h,
	  qfileinfo.cpp, qfileinfo_pm.cpp:
	  - Implemented OS/2 versions of QFile and QFileInfo. Currently,
	  QFileInfo::group(), owner(), readLink() return QString::null;
	  isSymLink() returns FALSE; permission() returns FALSE only when
	  QFileInfo::PermissionSpec::Writer* is specified and a file is
	  readonly, otherwise it returns TRUE.

2004-04-02 12:34  dmik

	* src/tools/qsettings_p.h:
	  - Duplicated from include/private

2004-04-01 23:35  dmik

	* include/qnamespace.h:
	  - Added OS/2 definition of Qt::HANDLE

2004-04-01 23:11  dmik

	* src/tools/qlibrary.cpp:
	  - OS/2 is mentioned in class docs

2004-04-01 21:55  dmik

	* include/private/qsettings_p.h, mkspecs/os2-g++/qplatformdefs.h,
	  qmake/Makefile.os2-g++, src/tools/qsettings.cpp,
	  src/tools/qsettings_pm.cpp:
	  - Added OS/2 implementation of the QSettingsSysPrivate class:
	  currently this implementation uses the Open32 registry (identical to
	  Windows one) to store application settings
	  - Fixed classes QSettings and QSettingsPrivate to support OS/2

2004-04-01 14:55  dmik

	* include/private/qlibrary_p.h, mkspecs/os2-g++/qplatformdefs.h,
	  qmake/Makefile.os2-g++, src/tools/qlibrary.cpp,
	  src/tools/qlibrary_p.h, src/tools/qlibrary_pm.cpp:
	  - Added OS/2 implementation of the QLibraryPrivate class
	  - Fixed class QLibrary to support OS/2

2004-04-01 14:29  dmik

	* include/: qt_os2.h, qwindowdefs.h, qwindowdefs_pm.h:
	  - Added headers to include OS/2 and PM system types and function
	  definitions

2004-04-01 00:12  dmik

	* mkspecs/os2-g++/qplatformdefs.h:
	  - Changed to be compatible with gcc.
	  - Defines for large file support are (temporarily?) disabled.

2004-03-31 23:56  dmik

	* src/tools/qunicodetables.cpp: Imported Qt 3.3.1 original source

2004-03-31 23:56  dmik

	* src/tools/qunicodetables.cpp: Initial revision

2004-03-31 02:06  dmik

	* include/qasciidict.h, include/qbitarray.h, include/qbitarry.h,
	  include/qbuffer.h, include/qcache.h, include/qcleanuphandler.h,
	  include/qdeepcopy.h, include/qgcache.h, include/qgvector.h,
	  include/qintdict.h, include/qlibrary.h, include/qobjdefs.h,
	  include/qobjectdefs.h, include/qptrvector.h,
	  include/qtextcodec.h, include/qwindefs.h, include/qwindowdefs.h,
	  include/private/qdir_p.h, include/private/qlibrary_p.h,
	  include/private/qsettings_p.h, src/tools/qbitarray.cpp,
	  src/tools/qbuffer.cpp, src/tools/qconfig.cpp,
	  src/tools/qcstring.cpp, src/tools/qdatastream.cpp,
	  src/tools/qdatetime.cpp, src/tools/qdir.cpp, src/tools/qfile.cpp,
	  src/tools/qfiledefs_p.h, src/tools/qfileinfo.cpp,
	  src/tools/qgarray.cpp, src/tools/qgcache.cpp,
	  src/tools/qgdict.cpp, src/tools/qglist.cpp,
	  src/tools/qglobal.cpp, src/tools/qgvector.cpp,
	  src/tools/qiodevice.cpp, src/tools/qlibrary.cpp,
	  src/tools/qlibrary_p.h, src/tools/qlocale.cpp,
	  src/tools/qlocale_p.h, src/tools/qmap.cpp,
	  src/tools/qptrcollection.cpp, src/tools/qregexp.cpp,
	  src/tools/qsettings.cpp, src/tools/qsettings_p.h,
	  src/tools/qstring.cpp, src/tools/qstringlist.cpp,
	  src/tools/qtextstream.cpp, src/tools/qunicodetables_p.h,
	  src/tools/quuid.cpp: Imported Qt 3.3.1 original sources necessary
	  for qmake

2004-03-31 02:06  dmik

	* include/qasciidict.h, include/qbitarray.h, include/qbitarry.h,
	  include/qbuffer.h, include/qcache.h, include/qcleanuphandler.h,
	  include/qdeepcopy.h, include/qgcache.h, include/qgvector.h,
	  include/qintdict.h, include/qlibrary.h, include/qobjdefs.h,
	  include/qobjectdefs.h, include/qptrvector.h,
	  include/qtextcodec.h, include/qwindefs.h, include/qwindowdefs.h,
	  include/private/qdir_p.h, include/private/qlibrary_p.h,
	  include/private/qsettings_p.h, src/tools/qbitarray.cpp,
	  src/tools/qbuffer.cpp, src/tools/qconfig.cpp,
	  src/tools/qcstring.cpp, src/tools/qdatastream.cpp,
	  src/tools/qdatetime.cpp, src/tools/qdir.cpp, src/tools/qfile.cpp,
	  src/tools/qfiledefs_p.h, src/tools/qfileinfo.cpp,
	  src/tools/qgarray.cpp, src/tools/qgcache.cpp,
	  src/tools/qgdict.cpp, src/tools/qglist.cpp,
	  src/tools/qglobal.cpp, src/tools/qgvector.cpp,
	  src/tools/qiodevice.cpp, src/tools/qlibrary.cpp,
	  src/tools/qlibrary_p.h, src/tools/qlocale.cpp,
	  src/tools/qlocale_p.h, src/tools/qmap.cpp,
	  src/tools/qptrcollection.cpp, src/tools/qregexp.cpp,
	  src/tools/qsettings.cpp, src/tools/qsettings_p.h,
	  src/tools/qstring.cpp, src/tools/qstringlist.cpp,
	  src/tools/qtextstream.cpp, src/tools/qunicodetables_p.h,
	  src/tools/quuid.cpp: Initial revision

2004-03-30 21:50  dmik

	* qmake/Makefile.os2-g++, mkspecs/os2-g++/qmake.conf,
	  mkspecs/os2-g++/qplatformdefs.h: Added draft mkspecs for Innotek
	  GCC and makefile for qmake, both based on the win32-g++
	  configuration. Nothing can be completely compiled yet.

2004-03-30 21:34  dmik

	* include/qglobal.h: corrected Q_OS_OS2 and Q_WS_PM definitions
	  (when compiled under Innotek GCC the OS macro is defined as
	  Q_OS_OS2, not Q_OS_OS2EMX)

2004-03-30 21:26  dmik

	* include/qconfig.h, include/qcstring.h, include/qdatastream.h,
	  include/qdatetime.h, include/qdict.h, include/qdir.h,
	  include/qfeatures.h, include/qfile.h, include/qfileinfo.h,
	  include/qgarray.h, include/qgdict.h, include/qglist.h,
	  include/qglobal.h, include/qiodevice.h, include/qlocale.h,
	  include/qmap.h, include/qmemarray.h, include/qmodules.h,
	  include/qnamespace.h, include/qpair.h, include/qptrcollection.h,
	  include/qptrlist.h, include/qregexp.h, include/qsettings.h,
	  include/qshared.h, include/qstring.h, include/qstringlist.h,
	  include/qstrlist.h, include/qtextstream.h, include/qtl.h,
	  include/quuid.h, include/qvaluelist.h, include/qvaluestack.h,
	  include/qwinexport.h, qmake/main.cpp, qmake/meta.cpp,
	  qmake/meta.h, qmake/option.cpp, qmake/option.h,
	  qmake/project.cpp, qmake/project.h, qmake/property.cpp,
	  qmake/property.h, qmake/qtmd5.cpp, qmake/qtmd5.h,
	  qmake/generators/makefile.cpp, qmake/generators/makefile.h,
	  qmake/generators/projectgenerator.cpp,
	  qmake/generators/projectgenerator.h,
	  qmake/generators/mac/metrowerks_xml.cpp,
	  qmake/generators/mac/metrowerks_xml.h,
	  qmake/generators/mac/pbuilder_pbx.cpp,
	  qmake/generators/mac/pbuilder_pbx.h,
	  qmake/generators/unix/unixmake.cpp,
	  qmake/generators/unix/unixmake.h,
	  qmake/generators/unix/unixmake2.cpp,
	  qmake/generators/win32/borland_bmake.cpp,
	  qmake/generators/win32/borland_bmake.h,
	  qmake/generators/win32/mingw_make.cpp,
	  qmake/generators/win32/mingw_make.h,
	  qmake/generators/win32/msvc_dsp.cpp,
	  qmake/generators/win32/msvc_dsp.h,
	  qmake/generators/win32/msvc_nmake.cpp,
	  qmake/generators/win32/msvc_nmake.h,
	  qmake/generators/win32/msvc_objectmodel.cpp,
	  qmake/generators/win32/msvc_objectmodel.h,
	  qmake/generators/win32/msvc_vcproj.cpp,
	  qmake/generators/win32/msvc_vcproj.h,
	  qmake/generators/win32/winmakefile.cpp,
	  qmake/generators/win32/winmakefile.h: Imported qmake sources and
	  some headers of the original Qt release 3.3.1

2004-03-30 21:26  dmik

	* include/qconfig.h, include/qcstring.h, include/qdatastream.h,
	  include/qdatetime.h, include/qdict.h, include/qdir.h,
	  include/qfeatures.h, include/qfile.h, include/qfileinfo.h,
	  include/qgarray.h, include/qgdict.h, include/qglist.h,
	  include/qglobal.h, include/qiodevice.h, include/qlocale.h,
	  include/qmap.h, include/qmemarray.h, include/qmodules.h,
	  include/qnamespace.h, include/qpair.h, include/qptrcollection.h,
	  include/qptrlist.h, include/qregexp.h, include/qsettings.h,
	  include/qshared.h, include/qstring.h, include/qstringlist.h,
	  include/qstrlist.h, include/qtextstream.h, include/qtl.h,
	  include/quuid.h, include/qvaluelist.h, include/qvaluestack.h,
	  include/qwinexport.h, qmake/main.cpp, qmake/meta.cpp,
	  qmake/meta.h, qmake/option.cpp, qmake/option.h,
	  qmake/project.cpp, qmake/project.h, qmake/property.cpp,
	  qmake/property.h, qmake/qtmd5.cpp, qmake/qtmd5.h,
	  qmake/generators/makefile.cpp, qmake/generators/makefile.h,
	  qmake/generators/projectgenerator.cpp,
	  qmake/generators/projectgenerator.h,
	  qmake/generators/mac/metrowerks_xml.cpp,
	  qmake/generators/mac/metrowerks_xml.h,
	  qmake/generators/mac/pbuilder_pbx.cpp,
	  qmake/generators/mac/pbuilder_pbx.h,
	  qmake/generators/unix/unixmake.cpp,
	  qmake/generators/unix/unixmake.h,
	  qmake/generators/unix/unixmake2.cpp,
	  qmake/generators/win32/borland_bmake.cpp,
	  qmake/generators/win32/borland_bmake.h,
	  qmake/generators/win32/mingw_make.cpp,
	  qmake/generators/win32/mingw_make.h,
	  qmake/generators/win32/msvc_dsp.cpp,
	  qmake/generators/win32/msvc_dsp.h,
	  qmake/generators/win32/msvc_nmake.cpp,
	  qmake/generators/win32/msvc_nmake.h,
	  qmake/generators/win32/msvc_objectmodel.cpp,
	  qmake/generators/win32/msvc_objectmodel.h,
	  qmake/generators/win32/msvc_vcproj.cpp,
	  qmake/generators/win32/msvc_vcproj.h,
	  qmake/generators/win32/winmakefile.cpp,
	  qmake/generators/win32/winmakefile.h: Initial revision

2004-03-28 02:26  root

	* CVSROOT/: checkoutlist, commitinfo, config, cvswrappers,
	  editinfo, loginfo, modules, notify, rcsinfo, taginfo, verifymsg:
	  initial checkin

